// Ionic Starter App

// angular.module is a global place for creating, registering and retrieving Angular modules
// 'starter' is the name of this angular module example (also set in a <body> attribute in index.html)
// the 2nd parameter is an array of 'requires'
angular.module('zscy', ['ionic', 'zscy.member_service', 'zscy.bannerlist', 'ngIOS9UIWebViewPatch', 'zscy.news', 'zscy.MyMessages', 'zscy.my_service', 'zscy.merchant', 'zscy.filters', 'zscy.comments', 'zscy.policyList', 'zscy.workFlow', 'ngCordova', 'zscy.basicMessage', 'zscy.home', 'zscy.login', 'zscy.register', 'zscy.directives', 'zscy.districtMessage', 'zscy.member_hotline', 'zscy.service_station', 'zscy.my-receives', 'zscy.services']);
angular.module('zscy')
  .config(function($stateProvider, $urlRouterProvider, $httpProvider) {
    // if none of the above states are matched, use this as the fallback
    $urlRouterProvider.otherwise('/home');
    $httpProvider.defaults.headers.post['Content-Type'] = 'application/x-www-form-urlencoded;charset=utf-8';
    var param = function(obj) {
      var query = '',
        name, value, fullSubName, subName, subValue, innerObj, i;

      for (name in obj) {
        value = obj[name];

        if (value instanceof Array) {
          for (i = 0; i < value.length; i++) {
            subValue = value[i];
            fullSubName = name + '[' + i + ']';
            innerObj = {};
            innerObj[fullSubName] = subValue;
            query += param(innerObj) + '&';
          }
        } else if (value instanceof Object) {
          for (subName in value) {
            subValue = value[subName];
            fullSubName = name + '[' + subName + ']';
            innerObj = {};
            innerObj[fullSubName] = subValue;
            query += param(innerObj) + '&';
          }
        } else if (value !== undefined && value !== null)
          query += encodeURIComponent(name) + '=' + encodeURIComponent(value) + '&';
      }

      return query.length ? query.substr(0, query.length - 1) : query;
    };
    $httpProvider.defaults.transformRequest = [function(data) {
      return angular.isObject(data) && String(data) !== '[object File]' ? param(data) : data;
    }];
    $httpProvider.interceptors.push(function($q) {
      return {
        // optional method
        'request': function(config) {
          // do something on success
          return config;
        },

        // optional method
        'requestError': function(rejection) {
          // do something on error
          console.log(rejection);
          return $q.reject(rejection);
        },



        // optional method
        'response': function(response) {
          // do something on success
          return response;
        },

        // optional method
        'responseError': function(rejection) {
          // do something on error

          return $q.reject(rejection);
        }
      };
    });
  })
  .run(function($ionicPlatform) {
    $ionicPlatform.ready(function() {
      if (window.cordova && window.cordova.plugins.Keyboard) {
        // Hide the accessory bar by default (remove this to show the accessory bar above the keyboard
        // for form inputs)
        cordova.plugins.Keyboard.hideKeyboardAccessoryBar(true);

        // Don't remove this line unless you know what you are doing. It stops the viewport
        // from snapping when text inputs are focused. Ionic handles this internally for
        // a much nicer keyboard experience.
        cordova.plugins.Keyboard.disableScroll(true);
      }
      if (window.StatusBar) {
        StatusBar.styleDefault();
      }
    });
  })
  .config(function($urlRouterProvider) {
    $urlRouterProvider.otherwise('/tab/home');
  })
  .config(function($cordovaInAppBrowserProvider) {

    var defaultOptions = {
      location: 'no',
      clearcache: 'no',
      toolbar: 'yes',
      closebuttoncaption: '关闭',
      hardwareback: 'no',
      toolbarposition: 'top'
    };
    $cordovaInAppBrowserProvider.setDefaultOptions(defaultOptions);
  })
  .config(function($ionicConfigProvider) {
    $ionicConfigProvider.views.maxCache(5).forwardCache(true);
    $ionicConfigProvider.backButton.text("").previousTitleText(false);
    $ionicConfigProvider.platform.android.scrolling.jsScrolling(false);
    $ionicConfigProvider.tabs.position("bottom").style('standard');
  })
  .run(function($state,$ionicPlatform, codelistService, messageService, $cordovaDialogs, splashService, geoLocationService, $rootScope, $location, $ionicLoading, analysisService, $cordovaSplashscreen, versionSer, $cordovaDevice, $cordovaInAppBrowser) {
    $ionicPlatform.ready(function() {
      /**检查版本**/
      if (window.cordova) {
        versionSer.checkUpdate().then(function(needUpdate) {
          if (needUpdate) {
            $cordovaDialogs.confirm('app有新版本', '更新提示', ['现在下载']).then(function(buttonIndex) {
              //if (buttonIndex == 1) {
                var url = '';
                //app的自动退出插件 lbywer
                app = window.plugins.app;
                if ($cordovaDevice.getPlatform() === 'iOS') {
                  url = 'https://itunes.apple.com/cn/app/掌上朝阳/id718026987?mt=8';
                } else {
                  url = 'https://www.cyzgh.org/mobile-2022/zscy.apk';
                  //url = 'http://appdl.bjzgh12351.org/download/bj12351.apk';
                }
                $cordovaInAppBrowser.open(url, '_system');
                setTimeout(function() {
                  app.exit({
                    "platform": $cordovaDevice.getPlatform()
                  });
                }, 300)
              //}
            });
          }
        }, function(err) {});
      }
      
      analysisService.login();
      $rootScope.$on('$stateChangeStart', function(evt, toState, toParams, fromState, fromParams) {
        if (toState.name === 'tab.my') {
          if (!localStorage.getItem('chaoyang.token')) {
            evt.preventDefault();
            $state.go('tab.mylogin');
          }
        }else if (toState.name === 'tab.mylogin') {
          if (!!localStorage.getItem('chaoyang.token')) {
            evt.preventDefault();
            $state.go('tab.my');
          }
        }
      });

      // Hide the accessory bar by default (remove this to show the accessory bar above the keyboard
      // for form inputs)
      /*
      if (!localStorage.getItem('chaoyang.ct_resident_type')) {
        codelistService.codelist('ct_resident_type').then(function(data) {
          if (data.errcode === undefined) {
            localStorage.setItem('chaoyang.ct_resident_type', JSON.stringify(data));
          } else {
            $cordovaDialogs.alert('获取代码表失败，请稍后重试', '温馨提示', '好的');
          }
        }, function() {
          $ionicLoading.show({
            template: '网络错误',
            duration: 1000
          });
        });
      }
      if (!localStorage.getItem('chaoyang.ct_education')) {
        codelistService.codelist('ct_education').then(function(data) {
          if (data.errcode === undefined) {
            localStorage.setItem('chaoyang.ct_education', JSON.stringify(data));
          } else {
            $cordovaDialogs.alert('获取代码表失败，请稍后重试', '温馨提示', '好的');
          }
        }, function() {
          $ionicLoading.show({
            template: '网络错误',
            duration: 1000
          });
        });
      }
      if (!localStorage.getItem('chaoyang.ct_migrant')) {
        codelistService.codelist('ct_migrant').then(function(data) {
          if (data.errcode === undefined) {
            localStorage.setItem('chaoyang.ct_migrant', JSON.stringify(data));
          } else {
            $cordovaDialogs.alert('获取代码表失败，请稍后重试', '温馨提示', '好的');
          }
        }, function() {
          $ionicLoading.show({
            template: '网络错误',
            duration: 1000
          });
        });
      }
      if (!localStorage.getItem('chaoyang.ct_area_beijing')) {
        codelistService.codelist('ct_area_beijing').then(function(data) {
          if (data.errcode === undefined) {
            localStorage.setItem('chaoyang.ct_area_beijing', JSON.stringify(data));
          } else {
            $cordovaDialogs.alert('获取代码表失败，请稍后重试', '温馨提示', '好的');
          }
        }, function() {
          $ionicLoading.show({
            template: '网络错误',
            duration: 1000
          });
        });
      }
      if (!localStorage.getItem('chaoyang.ct_skill')) {
        codelistService.codelist('ct_skill').then(function(data) {
          if (data.errcode === undefined) {
            localStorage.setItem('chaoyang.ct_skill', JSON.stringify(data));
          } else {
            $cordovaDialogs.alert('获取代码表失败，请稍后重试', '温馨提示', '好的');
          }
        }, function() {
          $ionicLoading.show({
            template: '网络错误',
            duration: 1000
          });
        });
      }
      */
      if (window.cordova && window.cordova.plugins && window.cordova.plugins.Keyboard) {
        cordova.plugins.Keyboard.hideKeyboardAccessoryBar(false);
      }
      /*
      if (window.StatusBar) {
        // org.apache.cordova.statusbar required
        StatusBar.styleLightContent();
      }
      */
      if (window.StatusBar) {
        // org.apache.cordova.statusbar required
        // StatusBar.styleDefault();
        StatusBar.backgroundColorByHexString("#d13a39");

        if (window.cordova && ionic.Platform.isIOS()) {
          window.addEventListener("statusTap", function() {
            $ionicScrollDelegate.scrollTop(true);
          });
        }
      }
      //splashService.refresh();
      $cordovaSplashscreen.hide();
    });
  });
  // setTimeout(function() {
  //   angular.bootstrap(document.body, ['zscy']);
  // }, 100)
angular.bootstrap(document.body, ['zscy']);
