angular.module('zscy.comments', ['ionic','zscy.services']);
angular.module('zscy.comments')
  .config(function($stateProvider, $urlRouterProvider,templateUrlPath) {
    $stateProvider

      .state('tab.service-comments', {
        url: '/:servicelist_id/service_detail/comments',
        views: {
          'tab-memberService': {
            templateUrl:templateUrlPath + 'templates/comments/comments.html',
            controller: 'ServiceCommentsCtrl'
          }
        }
      })
      .state('tab.livelist-comments', {
        url: '/:servicelist_id/livelist_detail/comments',
        views: {
          'tab-home': {
            templateUrl:templateUrlPath + 'templates/comments/comments.html',
            controller: 'livelistCommentsCtrl'
          }
        }
      })
      .state('tab.merchant-comments', {
        url: '/merchants/:merchant_id/detail/comments',
        views: {
          'tab-memberService': {
            templateUrl:templateUrlPath + 'templates/comments/comments.html',
            controller: 'MerchantCommentsCtrl'
          }
        }
      })
      .state('tab.my-service-comments', {
        url: '/:servicelist_id/my_service_detail/comments',
        views: {
          'tab-my': {
            templateUrl:templateUrlPath + 'templates/comments/comments.html',
            controller: 'MyServiceCommentsCtrl'
          }
        }
      })
      .state('tab.my-merchant-comments', {
        url: '/:merchant_id/my_merchant_detail/comments',
        views: {
          'tab-my': {
            templateUrl:templateUrlPath + 'templates/comments/comments.html',
            controller: 'MyMerchantCommentsCtrl'
          }
        }
      });
  })
  .controller('ServiceCommentsCtrl', function($scope, commentsService, $stateParams, $ionicModal, $ionicLoading, serviceinfoService, $cordovaDialogs, $location) {
    $scope.modal = {};
    $scope.comment = {};
    $scope.page = 1;
    $scope.size = 10;
    $scope.serchant = {};
    var has_more = false;
    serviceinfoService.detail($stateParams.servicelist_id).then(function(data) {
      if (data.errcode === undefined) {
        $scope.serchant = data;
      } else {
        $cordovaDialogs.alert(data.errmsg, '温馨提示', '好的').then(function() {
          $ionicHistory.goBack();
        });
      }
    }, function(error) {
      $ionicLoading.show({
        template: '网络错误',
        duration: 1000
      });
      $ionicHistory.goBack();
    });

    $scope.hasMore = function() {
      return has_more;
    };

    $scope.doRefresh = function() {
      commentsService.getCommentsByService($stateParams.servicelist_id, 1, $scope.size)
        .then(function(data) {
          if (data.errcode !== undefined && data.errcode !== 0) {
            $cordovaDialogs.alert(data.errmsg, '温馨提示', '好的');
          } else {
            if (data.length < $scope.size) {
              has_more = false;
            } else {
              has_more = true;
            }
            $scope.page = 2;
          }
          $scope.comments = data;
        }, function(error) {
          $ionicLoading.show({
            template: '网络错误',
            duration: 1000
          });
        })
        .finally(function() {
          $scope.$broadcast('scroll.refreshComplete');
        });
    };
    $scope.doRefresh();
    $scope.more = function() {
      commentsService.getCommentsByService($stateParams.servicelist_id, $scope.page, $scope.size)
        .then(function(data) {
          if (data.errcode !== undefined && data.errcode !== 0) {
            has_more = false;
            $cordovaDialogs.alert(data.errmsg, '温馨提示', '好的');
          } else {
            $scope.page++;
            if (data.length < $scope.size) {
              has_more = false;
            }
          }
          $scope.comments = $scope.comments.concat(data);
          $scope.$broadcast('scroll.infiniteScrollComplete');
        }, function(error) {
          $ionicLoading.show({
            template: '网络错误',
            duration: 1000
          });
        });
    };

    $scope.openModal = function(modal_name) {
      var token = localStorage.getItem('chaoyang.token');
      if (token) {
        serviceinfoService.isTaked(token, $stateParams.servicelist_id).then(function(data) {
          if (data.errcode !== undefined && data.errcode !== 0) {
            $cordovaDialogs.alert(data.errmsg, '温馨提示', '好的');
          } else {
            if (data.is_taked) {
              $ionicModal.fromTemplateUrl('templates/modals/' + modal_name + '.html', {
                scope: $scope,
                animation: 'slide-in-up'
              }).then(function(modal) {
                $scope.modal[modal_name] = modal;
                $scope.modal[modal_name].show();
              });
            } else {
              $cordovaDialogs.alert('您还没有参加过此活动，暂时无法评论', '温馨提示：', '好的');
            }
          }
        }, function(error) {
          $ionicLoading.show({
            template: '网络错误',
            duration: 1000
          });
        });
      } else {
        $cordovaDialogs.alert('请先登录', '温馨提示：', '好的').then(function() {
          $location.path('/tab/memberservicelogin');
        });
      }
    };

    $scope.closeModal = function(modal_name) {
      $scope.modal[modal_name].remove();
    };

    $scope.removeModal = function(modal_name) {
      $scope.modal[modal_name].remove();
    };

    $scope.submitModal = function(modal_name) { //弃用
      var token = localStorage.getItem('chaoyang.token');
      var name = JSON.parse(localStorage.getItem('chaoyang.user')).name;
      var star = $scope.comment.star;
      var content = $scope.comment.content;
      var is_anonymity = $scope.comment.is_anonymity;
      if (token) {
        commentsService.postServiceComment(token, $stateParams.servicelist_id, content, star, is_anonymity).then(function(data) {
          if (data.errcode !== undefined && data.errcode !== 0) {
            $cordovaDialogs.alert(data.errmsg, '温馨提示', '好的');
          } else {
            $scope.modal[modal_name].remove();
            var now = new Date();
            $scope.comments.unshift({
              content: content,
              star: star,
              is_anonymity: is_anonymity,
              member_name: JSON.parse(localStorage.getItem('chaoyang.user')).name,
              create_at: now.getFullYear() + '-' + (now.getMonth() + 1) + '-' + now.getDate() + ' ' + now.getHours() + ':' + now.getMinutes() + ':' + now.getSeconds()
            });
            //$scope.doRefresh();
          }
        }, function(error) {
          $ionicLoading.show({
            template: '网络错误',
            duration: 1000
          });
        });
      } else {
        $cordovaDialogs.alert('请先登录', '温馨提示：', '好的').then(function() {
          $location.path('/tab/memberservicelogin');
        });
      }
    };
  })
  .controller('livelistCommentsCtrl', function($scope, commentsService, $stateParams, $ionicModal, $ionicLoading, serviceinfoService, $cordovaDialogs, $location) {
    $scope.modal = {};
    $scope.comment = {};
    $scope.page = 1;
    $scope.size = 10;
    $scope.serchant = {};
    var has_more = false;
    serviceinfoService.detail($stateParams.servicelist_id).then(function(data) {
      if (data.errcode === undefined) {
        $scope.serchant = data;
      } else {
        $cordovaDialogs.alert(data.errmsg, '温馨提示', '好的').then(function() {
          $ionicHistory.goBack();
        });
      }
    }, function(error) {
      $ionicLoading.show({
        template: '网络错误',
        duration: 1000
      });
      $ionicHistory.goBack();
    });

    $scope.hasMore = function() {
      return has_more;
    };

    $scope.doRefresh = function() {
      commentsService.getCommentsByService($stateParams.servicelist_id, 1, $scope.size)
        .then(function(data) {
          if (data.errcode !== undefined && data.errcode !== 0) {
            $cordovaDialogs.alert(data.errmsg, '温馨提示', '好的');
          } else {
            if (data.length < $scope.size) {
              has_more = false;
            } else {
              has_more = true;
            }
            $scope.page = 2;
          }
          $scope.comments = data;
        }, function(error) {
          $ionicLoading.show({
            template: '网络错误',
            duration: 1000
          });
        })
        .finally(function() {
          $scope.$broadcast('scroll.refreshComplete');
        });
    };
    $scope.doRefresh();
    $scope.more = function() {
      commentsService.getCommentsByService($stateParams.servicelist_id, $scope.page, $scope.size)
        .then(function(data) {
          if (data.errcode !== undefined && data.errcode !== 0) {
            has_more = false;
            $cordovaDialogs.alert(data.errmsg, '温馨提示', '好的');
          } else {
            $scope.page++;
            if (data.length < $scope.size) {
              has_more = false;
            }
          }
          $scope.comments = $scope.comments.concat(data);
          $scope.$broadcast('scroll.infiniteScrollComplete');
        }, function(error) {
          $ionicLoading.show({
            template: '网络错误',
            duration: 1000
          });
        });
    };

    $scope.openModal = function(modal_name) {
      var token = localStorage.getItem('chaoyang.token');
      if (token) {
        serviceinfoService.isTaked(token, $stateParams.servicelist_id).then(function(data) {
          if (data.errcode !== undefined && data.errcode !== 0) {
            $cordovaDialogs.alert(data.errmsg, '温馨提示', '好的');
          } else {
            if (data.is_taked) {
              $ionicModal.fromTemplateUrl('templates/modals/' + modal_name + '.html', {
                scope: $scope,
                animation: 'slide-in-up'
              }).then(function(modal) {
                $scope.modal[modal_name] = modal;
                $scope.modal[modal_name].show();
              });
            } else {
              $cordovaDialogs.alert('您还没有参加过此活动，暂时无法评论', '温馨提示：', '好的');
            }
          }
        }, function(error) {
          $ionicLoading.show({
            template: '网络错误',
            duration: 1000
          });
        });
      } else {
        $cordovaDialogs.alert('请先登录', '温馨提示：', '好的').then(function() {
          $location.path('/tab/memberservicelogin');
        });
      }
    };

    $scope.closeModal = function(modal_name) {
      $scope.modal[modal_name].remove();
    };

    $scope.removeModal = function(modal_name) {
      $scope.modal[modal_name].remove();
    };

    $scope.submitModal = function(modal_name) { //弃用
      var token = localStorage.getItem('chaoyang.token');
      var name = JSON.parse(localStorage.getItem('chaoyang.user')).name;
      var star = $scope.comment.star;
      var content = $scope.comment.content;
      var is_anonymity = $scope.comment.is_anonymity;
      if (token) {
        commentsService.postServiceComment(token, $stateParams.servicelist_id, content, star, is_anonymity).then(function(data) {
          if (data.errcode !== undefined && data.errcode !== 0) {
            $cordovaDialogs.alert(data.errmsg, '温馨提示', '好的');
          } else {
            $scope.modal[modal_name].remove();
            var now = new Date();
            $scope.comments.unshift({
              content: content,
              star: star,
              is_anonymity: is_anonymity,
              member_name: JSON.parse(localStorage.getItem('chaoyang.user')).name,
              create_at: now.getFullYear() + '-' + (now.getMonth() + 1) + '-' + now.getDate() + ' ' + now.getHours() + ':' + now.getMinutes() + ':' + now.getSeconds()
            });
            //$scope.doRefresh();
          }
        }, function(error) {
          $ionicLoading.show({
            template: '网络错误',
            duration: 1000
          });
        });
      } else {
        $cordovaDialogs.alert('请先登录', '温馨提示：', '好的').then(function() {
          $location.path('/tab/memberservicelogin');
        });
      }
    };
  })
  .controller('MerchantCommentsCtrl', function($scope, commentsService, $stateParams, $ionicModal, $ionicLoading, merchantsService, $cordovaDialogs, $location, $timeout) {
    $scope.modal = {};
    $scope.comment = {};
    $scope.comments = [];
    $scope.serchant = {};
    $scope.page = 1;
    $scope.size = 10;
    $scope.can_comment = true;
    var has_more = false;

    merchantsService.info($stateParams.merchant_id).then(function(data) {
      if (data.errcode === undefined) {
        $scope.serchant = data;
      } else {
        $cordovaDialogs.alert(data.errmsg, '温馨提示', '好的').then(function() {
          $ionicHistory.goBack();
        });
      }
    }, function(error) {
      $ionicLoading.show({
        template: '网络错误',
        duration: 1000
      });
      $ionicHistory.goBack();
    });

    $scope.hasMore = function() {
      return has_more;
    };


    $scope.doRefresh = function() {
      commentsService.getCommentsByMerchant($stateParams.merchant_id, 1, $scope.size)
        .then(function(data) {
          if (data.errcode !== undefined && data.errcode !== 0) {
            $cordovaDialogs.alert(data.errmsg, '温馨提示', '好的');
          } else {
            if (data.length < $scope.size) {
              has_more = false;
            } else {
              has_more = true;
            }
            $scope.page = 2;
          }
          $scope.comments = data;
        }, function(error) {
          $ionicLoading.show({
            template: '网络错误',
            duration: 1000
          });
        })
        .finally(function() {
          $scope.$broadcast('scroll.refreshComplete');
        });
    };
    $scope.doRefresh();
    $scope.more = function() {
      commentsService.getCommentsByMerchant($stateParams.merchant_id, $scope.page, $scope.size)
        .then(function(data) {
          if (data.errcode !== undefined && data.errcode !== 0) {
            has_more = false;
            $cordovaDialogs.alert(data.errmsg, '温馨提示', '好的');
          } else {
            $scope.page++;
            if (data.length < $scope.size) {
              has_more = false;
            }
          }
          $scope.comments = $scope.comments.concat(data);
          $scope.$broadcast('scroll.infiniteScrollComplete');
        }, function(error) {
          $ionicLoading.show({
            template: '网络错误',
            duration: 1000
          });
        });
    };

    $scope.openModal = function(modal_name) {
      var token = localStorage.getItem('chaoyang.token');
      if (token) {
        merchantsService.isTaked(token, $stateParams.merchant_id).then(function(data) {
          if (data.errcode !== undefined && data.errcode !== 0) {
            $cordovaDialogs.alert(data.errmsg, '温馨提示', '好的');
          } else {
            if (data.is_taked) {
              $ionicModal.fromTemplateUrl('templates/modals/' + modal_name + '.html', {
                scope: $scope,
                animation: 'slide-in-up'
              }).then(function(modal) {
                $scope.serchant.img = $scope.serchant.pics[0].src;
                $scope.comment.star = 5;
                $scope.comment.content = '';
                $scope.comment.is_anonymity = true;
                $scope.modal[modal_name] = modal;
                $scope.modal[modal_name].show();
              });
            } else {
              $cordovaDialogs.alert('您还没有参加过此商户的活动，暂时无法评论', '温馨提示：', '好的');
            }
          }
        }, function(error) {
          $ionicLoading.show({
            template: '网络错误',
            duration: 1000
          });
        });
      } else {
        $cordovaDialogs.alert('请先登录', '温馨提示：', '好的').then(function() {
          $location.path('/login');
        });
      }
    };

    $scope.closeModal = function(modal_name) {
      $scope.modal[modal_name].remove();
    };

    $scope.removeModal = function(modal_name) {
      $scope.modal[modal_name].remove();
    };

    $scope.submitModal = function(modal_name) {
      var token = localStorage.getItem('chaoyang.token');
      var name = JSON.parse(localStorage.getItem('chaoyang.user')).name;
      var star = $scope.comment.star;
      var content = $scope.comment.content;
      var is_anonymity = $scope.comment.is_anonymity;
      if (token) {
        commentsService.postMerchantComment(token, $stateParams.merchant_id, content, star, is_anonymity).then(function(data) {
          if (data.errcode !==undefined && data.errcode !== 0) {
            $cordovaDialogs.alert(data.errmsg, '温馨提示', '好的');
          } else {
            $scope.modal[modal_name].remove();
            var now = new Date();
            $scope.comments.unshift({
              content: content,
              star: star,
              is_anonymity: is_anonymity,
              member_name: name,
              create_at: now.getFullYear() + '-' + (now.getMonth() + 1) + '-' + now.getDate() + ' ' + now.getHours() + ':' + now.getMinutes() + ':' + now.getSeconds()
            });
          }
        }, function(error) {
          $ionicLoading.show({
            template: '网络错误',
            duration: 1000
          });
        });
      } else {
        $cordovaDialogs.alert('请先登录', '温馨提示：', '好的').then(function() {
          $location.path('/login');
        });
      }
    };
  })
  .controller('MyServiceCommentsCtrl', function($scope, commentsService, $stateParams, $ionicModal, $ionicLoading, serviceinfoService, $cordovaDialogs, $location) {
    $scope.modal = {};
    $scope.comment = {};
    $scope.page = 1;
    $scope.size = 10;
    $scope.serchant = {};
    var has_more = false;
    serviceinfoService.detail($stateParams.servicelist_id).then(function(data) {
      if (data.errcode === undefined) {
        $scope.serchant = data;
      } else {
        $cordovaDialogs.alert(data.errmsg, '温馨提示', '好的').then(function() {
          $ionicHistory.goBack();
        });
      }
    }, function(error) {
      $ionicLoading.show({
        template: '网络错误',
        duration: 1000
      });
      $ionicHistory.goBack();
    });

    $scope.hasMore = function() {
      return has_more;
    };

    $scope.doRefresh = function() {
      commentsService.getCommentsByService($stateParams.servicelist_id, 1, $scope.size)
        .then(function(data) {
          if (data.errcode !== undefined && data.errcode !== 0) {
            $cordovaDialogs.alert(data.errmsg, '温馨提示', '好的');
          } else {
            if (data.length < $scope.size) {
              has_more = false;
            } else {
              has_more = true;
            }
            $scope.page = 2;
          }
          $scope.comments = data;
        }, function(error) {
          $ionicLoading.show({
            template: '网络错误',
            duration: 1000
          });
        })
        .finally(function() {
          $scope.$broadcast('scroll.refreshComplete');
        });
    };
    $scope.doRefresh();
    $scope.more = function() {
      commentsService.getCommentsByService($stateParams.servicelist_id, $scope.page, $scope.size)
        .then(function(data) {
          if (data.errcode !== undefined && data.errcode !== 0) {
            has_more = false;
            $cordovaDialogs.alert(data.errmsg, '温馨提示', '好的');
          } else {
            $scope.page++;
            if (data.length < $scope.size) {
              has_more = false;
            }
          }
          $scope.comments = $scope.comments.concat(data);
          $scope.$broadcast('scroll.infiniteScrollComplete');
        }, function(error) {
          $ionicLoading.show({
            template: '网络错误',
            duration: 1000
          });
        });
    };

    $scope.openModal = function(modal_name) {
      var token = localStorage.getItem('chaoyang.token');
      if (token) {
        serviceinfoService.isTaked(token, $stateParams.servicelist_id).then(function(data) {
          if (data.errcode !== undefined && data.errcode !== 0) {
            $cordovaDialogs.alert(data.errmsg, '温馨提示', '好的');
          } else {
            if (data.is_taked) {
              $ionicModal.fromTemplateUrl('templates/modals/' + modal_name + '.html', {
                scope: $scope,
                animation: 'slide-in-up'
              }).then(function(modal) {
                $scope.modal[modal_name] = modal;
                $scope.modal[modal_name].show();
              });
            } else {
              $cordovaDialogs.alert('您还没有参加过此活动，暂时无法评论', '温馨提示：', '好的');
            }
          }
        }, function(error) {
          $ionicLoading.show({
            template: '网络错误',
            duration: 1000
          });
        });
      } else {
        $cordovaDialogs.alert('请先登录', '温馨提示：', '好的').then(function() {
          $location.path('/tab/memberservicelogin');
        });
      }
    };

    $scope.closeModal = function(modal_name) {
      $scope.modal[modal_name].remove();
    };

    $scope.removeModal = function(modal_name) {
      $scope.modal[modal_name].remove();
    };

    $scope.submitModal = function(modal_name) { //弃用
      var token = localStorage.getItem('chaoyang.token');
      var name = JSON.parse(localStorage.getItem('chaoyang.user')).name;
      var star = $scope.comment.star;
      var content = $scope.comment.content;
      var is_anonymity = $scope.comment.is_anonymity;
      if (token) {
        commentsService.postServiceComment(token, $stateParams.servicelist_id, content, star, is_anonymity).then(function(data) {
          if (data.errcode !== undefined && data.errcode !== 0) {
            $cordovaDialogs.alert(data.errmsg, '温馨提示', '好的');
          } else {
            $scope.modal[modal_name].remove();
            var now = new Date();
            $scope.comments.unshift({
              content: content,
              star: star,
              is_anonymity: is_anonymity,
              member_name: JSON.parse(localStorage.getItem('chaoyang.user')).name,
              create_at: now.getFullYear() + '-' + (now.getMonth() + 1) + '-' + now.getDate() + ' ' + now.getHours() + ':' + now.getMinutes() + ':' + now.getSeconds()
            });
            //$scope.doRefresh();
          }
        }, function(error) {
          $ionicLoading.show({
            template: '网络错误',
            duration: 1000
          });
        });
      } else {
        $cordovaDialogs.alert('请先登录', '温馨提示：', '好的').then(function() {
          $location.path('/tab/memberservicelogin');
        });
      }
    };
  })
  .controller('MyMerchantCommentsCtrl', function($scope, commentsService, $stateParams, $ionicModal, $ionicLoading, serviceinfoService, $cordovaDialogs, $location) {
    $scope.modal = {};
    $scope.comment = {};
    $scope.page = 1;
    $scope.size = 10;
    $scope.serchant = {};
    var has_more = false;
    serviceinfoService.detail($stateParams.merchant_id).then(function(data) {
      if (data.errcode === undefined) {
        $scope.serchant = data;
      } else {
        $cordovaDialogs.alert(data.errmsg, '温馨提示', '好的').then(function() {
          $ionicHistory.goBack();
        });
      }
    }, function(error) {
      $ionicLoading.show({
        template: '网络错误',
        duration: 1000
      });
      $ionicHistory.goBack();
    });

    $scope.hasMore = function() {
      return has_more;
    };

    $scope.doRefresh = function() {
      commentsService.getCommentsByService($stateParams.servicelist_id, 1, $scope.size)
        .then(function(data) {
          if (data.errcode !== undefined && data.errcode !== 0) {
            $cordovaDialogs.alert(data.errmsg, '温馨提示', '好的');
          } else {
            if (data.length < $scope.size) {
              has_more = false;
            } else {
              has_more = true;
            }
            $scope.page = 2;
          }
          $scope.comments = data;
        }, function(error) {
          $ionicLoading.show({
            template: '网络错误',
            duration: 1000
          });
        })
        .finally(function() {
          $scope.$broadcast('scroll.refreshComplete');
        });
    };
    $scope.doRefresh();
    $scope.more = function() {
      commentsService.getCommentsByService($stateParams.servicelist_id, $scope.page, $scope.size)
        .then(function(data) {
          if (data.errcode !== undefined && data.errcode !== 0) {
            has_more = false;
            $cordovaDialogs.alert(data.errmsg, '温馨提示', '好的');
          } else {
            $scope.page++;
            if (data.length < $scope.size) {
              has_more = false;
            }
          }
          $scope.comments = $scope.comments.concat(data);
          $scope.$broadcast('scroll.infiniteScrollComplete');
        }, function(error) {
          $ionicLoading.show({
            template: '网络错误',
            duration: 1000
          });
        });
    };

    $scope.openModal = function(modal_name) {
      var token = localStorage.getItem('chaoyang.token');
      if (token) {
        serviceinfoService.isTaked(token, $stateParams.servicelist_id).then(function(data) {
          if (data.errcode !== undefined && data.errcode !== 0) {
            $cordovaDialogs.alert(data.errmsg, '温馨提示', '好的');
          } else {
            if (data.is_taked) {
              $ionicModal.fromTemplateUrl('templates/modals/' + modal_name + '.html', {
                scope: $scope,
                animation: 'slide-in-up'
              }).then(function(modal) {
                $scope.modal[modal_name] = modal;
                $scope.modal[modal_name].show();
              });
            } else {
              $cordovaDialogs.alert('您还没有参加过此活动，暂时无法评论', '温馨提示：', '好的');
            }
          }
        }, function(error) {
          $ionicLoading.show({
            template: '网络错误',
            duration: 1000
          });
        });
      } else {
        $cordovaDialogs.alert('请先登录', '温馨提示：', '好的').then(function() {
          $location.path('/tab/memberservicelogin');
        });
      }
    };

    $scope.closeModal = function(modal_name) {
      $scope.modal[modal_name].remove();
    };

    $scope.removeModal = function(modal_name) {
      $scope.modal[modal_name].remove();
    };

    $scope.submitModal = function(modal_name) { //弃用
      var token = localStorage.getItem('chaoyang.token');
      var name = JSON.parse(localStorage.getItem('chaoyang.user')).name;
      var star = $scope.comment.star;
      var content = $scope.comment.content;
      var is_anonymity = $scope.comment.is_anonymity;
      if (token) {
        commentsService.postServiceComment(token, $stateParams.servicelist_id, content, star, is_anonymity).then(function(data) {
          if (data.errcode !== undefined && data.errcode !== 0) {
            $cordovaDialogs.alert(data.errmsg, '温馨提示', '好的');
          } else {
            $scope.modal[modal_name].remove();
            var now = new Date();
            $scope.comments.unshift({
              content: content,
              star: star,
              is_anonymity: is_anonymity,
              member_name: JSON.parse(localStorage.getItem('chaoyang.user')).name,
              create_at: now.getFullYear() + '-' + (now.getMonth() + 1) + '-' + now.getDate() + ' ' + now.getHours() + ':' + now.getMinutes() + ':' + now.getSeconds()
            });
            //$scope.doRefresh();
          }
        }, function(error) {
          $ionicLoading.show({
            template: '网络错误',
            duration: 1000
          });
        });
      } else {
        $cordovaDialogs.alert('请先登录', '温馨提示：', '好的').then(function() {
          $location.path('/tab/memberservicelogin');
        });
      }
    };
  });
