angular.module('zscy.bannerlist', ['ionic', 'zscy.services']);
angular.module('zscy.bannerlist')
  .config(function($stateProvider, $urlRouterProvider, templateUrlPath) {
    $stateProvider
      .state('tab.bannerlist', {
        url: '/bannerlist',
        views: {
          'tab-home': {
            templateUrl: templateUrlPath + 'templates/home/bannerlist/bannerlist.html',
            controller: 'bannerlistCtrl'
          }
        }
      })
      .state('tab.bannerlist_detail', {
        url: '/:bannerlist_id/bannerlist_detail',
        views: {
          'tab-home': {
            templateUrl: templateUrlPath + 'templates/home/bannerlist/bannerlist_detail.html',
            controller: 'bannerlist_detailCtrl'
          }
        }
      });
  })
  .controller('bannerlistCtrl', ['$scope', '$stateParams', 'bannerslistService', '$ionicModal', '$ionicLoading', '$cordovaDialogs', function($scope, $stateParams, bannerslistService, $ionicModal, $ionicLoading, $cordovaDialogs) {
    $scope.modal = {};
    $scope.bannerlist = bannerslistService.getbannerslist();
    $scope.title = '图片新闻';
    $scope.page = 1;
    $scope.size = 10;
    $scope.pullrefresh = true;
    $scope.search_button = true;
    var has_more = $scope.bannerlist.length >= $scope.size;
    $scope.hasMore = function() {
      return has_more;
    };
    $scope.refresh = function() {
      bannerslistService.refresh(1, $scope.size)
        .then(function(data) {
          if (data.errcode !== undefined && data.errcode !== 0) {
            $cordovaDialogs.alert(data.errmsg, '温馨提示', '好的');
          } else {
            if (data.length < $scope.size) {
              has_more = false;
            } else {
              has_more = true;
            }
            $scope.page = 2;
          }
          $scope.bannerlist = bannerslistService.getbannerslist();
        }, function(error) {
          $ionicLoading.show({
            template: '网络错误',
            duration: 1000
          });
        })
        .finally(function() {
          $scope.$broadcast('scroll.refreshComplete');
        });
    };
    $scope.refresh();
    $scope.doRefresh = function() {
      $scope.refresh();
    };
    $scope.more = function() {
      bannerslistService.more($scope.page, $scope.size)
        .then(function(data) {
          if (data.errcode !== undefined && data.errcode !== 0) {
            has_more = false;
            $cordovaDialogs.alert(data.errmsg, '温馨提示', '好的');
          } else {
            $scope.page++;
            if (data.length < $scope.size) {
              has_more = false;
            }
          }
          $scope.bannerlist = bannerslistService.getbannerslist();
          $scope.$broadcast('scroll.infiniteScrollComplete');
        }, function(error) {
          $ionicLoading.show({
            template: '网络错误',
            duration: 1000
          });
        });
    };
    $scope.openModal = function(modal_name) {
      $ionicModal.fromTemplateUrl('templates/modals/' + modal_name + '.html', {
        scope: $scope,
        animation: 'slide-in-up'
      }).then(function(modal) {
        $scope.modal[modal_name] = modal;
        $scope.modal[modal_name].show();
      });
    };

    $scope.closeModal = function(modal_name) {
      $scope.modal[modal_name].remove();
    };

    $scope.removeModal = function(modal_name) {
      $scope.modal[modal_name].remove();
    };

    $scope.submitModal = function(modal_name) {
      $scope.refresh();
      $scope.modal[modal_name].remove();
    };
  }])
  .controller('bannerlist_detailCtrl', function($scope, articleService, $stateParams, $ionicModal, $ionicLoading, $ionicHistory, $cordovaDialogs) {
    $scope.title = '图片新闻';
    $scope.modal = {};
    $scope.bannerlist = articleService.getInfo();
    $scope.page = 1;
    $scope.size = 10;
    var has_more = $scope.bannerlist.length >= $scope.size;
    $scope.hasMore = function() {
      return has_more;
    };
    $scope.refresh = function() {
      articleService.refresh($stateParams.bannerlist_id)
        .then(function(data) {
          if (data.errcode !== undefined && data.errcode !== 0) {
            $cordovaDialogs.alert(data.errmsg, '温馨提示', '好的');
          } else {
            if (data.length < $scope.size) {
              has_more = false;
            } else {
              has_more = true;
            }
            $scope.page = 2;
          }
          $scope.bannerlist = articleService.getInfo();
        }, function(error) {
          $ionicLoading.show({
            template: '网络错误',
            duration: 1000
          });
        })
        .finally(function() {
          $scope.$broadcast('scroll.refreshComplete');
        });
    };
    $scope.refresh();
    $scope.doRefresh = function() {
      $scope.refresh();
    };

    $scope.openModal = function(modal_name) {
      $ionicModal.fromTemplateUrl('templates/modals/' + modal_name + '.html', {
        scope: $scope,
        animation: 'slide-in-up'
      }).then(function(modal) {
        $scope.modal[modal_name] = modal;
        $scope.modal[modal_name].show();
      });
    };

    $scope.closeModal = function(modal_name) {
      $scope.modal[modal_name].remove();
    };

    $scope.removeModal = function(modal_name) {
      $scope.modal[modal_name].remove();
    };

    $scope.submitModal = function(modal_name) {
      $scope.modal[modal_name].remove();
      //TODO
    };

    $scope.showImg = function(url) {
      $scope.openModal('show_img');
    };
  });
