angular.module('zscy.basicMessage', ['ionic', 'zscy.services']);
angular.module('zscy.basicMessage')
  .config(function($stateProvider, $urlRouterProvider, templateUrlPath) {
    $stateProvider
      .state('tab.basicMessage', {
        url: '/basicMessage',
        views: {
          'tab-home': {
            templateUrl: templateUrlPath + 'templates/home/basic_message/basic_message.html',
            controller: 'basicMessageCtrl'
          }
        }
      })
      .state('tab.basicMessage_detail', {
        url: '/:basicMessage_id/basicMessage_detail',
        views: {
          'tab-home': {
            templateUrl: templateUrlPath + 'templates/home/basic_message/basic_message_detail.html',
            controller: 'basicMessage_detailCtrl'
          }
        }
      });
  })
  .controller('basicMessageCtrl', ['$scope', '$stateParams', 'basicMessageService', '$ionicModal', '$ionicLoading', '$cordovaDialogs', function($scope, $stateParams, basicMessageService, $ionicModal, $ionicLoading, $cordovaDialogs) {
    $scope.modal = {};
    $scope.basicMessage = basicMessageService.getbasicMessage();
    $scope.title = '基层动态';
    $scope.page = 1;
    $scope.size = 10;
    $scope.pullrefresh = true;
    $scope.search_button = true;
    var has_more = $scope.basicMessage.length >= $scope.size;
    $scope.hasMore = function() {
      return has_more;
    };
    $scope.refresh = function() {
      basicMessageService.refresh(1, $scope.size)
        .then(function(data) {
          if (data.errcode !== undefined && data.errcode !== 0) {
            $cordovaDialogs.alert(data.errmsg, '温馨提示', '好的');
          } else {
            if (data.length < $scope.size) {
              has_more = false;
            } else {
              has_more = true;
            }
            $scope.page = 2;
          }
          $scope.basicMessage = basicMessageService.getbasicMessage();
        }, function(error) {
          $ionicLoading.show({
            template: '网络错误',
            duration: 1000
          });
        })
        .finally(function() {
          $scope.$broadcast('scroll.refreshComplete');
        });
    };
    $scope.refresh();
    $scope.doRefresh = function() {
      $scope.refresh();
    };
    $scope.more = function() {
      basicMessageService.more($scope.page, $scope.size)
        .then(function(data) {
          if (data.errcode !== undefined && data.errcode !== 0) {
            has_more = false;
            $cordovaDialogs.alert(data.errmsg, '温馨提示', '好的');
          } else {
            $scope.page++;
            if (data.length < $scope.size) {
              has_more = false;
            }
          }
          $scope.basicMessage = basicMessageService.getbasicMessage();
          $scope.$broadcast('scroll.infiniteScrollComplete');
        }, function(error) {
          $ionicLoading.show({
            template: '网络错误',
            duration: 1000
          });
        });
    };
    $scope.openModal = function(modal_name) {
      $ionicModal.fromTemplateUrl('templates/modals/' + modal_name + '.html', {
        scope: $scope,
        animation: 'slide-in-up'
      }).then(function(modal) {
        $scope.modal[modal_name] = modal;
        $scope.modal[modal_name].show();
      });
    };

    $scope.closeModal = function(modal_name) {
      $scope.modal[modal_name].remove();
    };

    $scope.removeModal = function(modal_name) {
      $scope.modal[modal_name].remove();
    };

    $scope.submitModal = function(modal_name) {
      $scope.refresh();
      $scope.modal[modal_name].remove();
    };
  }])
  .controller('basicMessage_detailCtrl', function($scope, articleService, $stateParams, $ionicModal, $ionicLoading, $ionicHistory, $cordovaDialogs) {
    $scope.title = '基层动态';
    $scope.modal = {};
    $scope.basicMessage = articleService.getInfo();
    $scope.page = 1;
    $scope.size = 10;
    var has_more = $scope.basicMessage.length >= $scope.size;
    $scope.hasMore = function() {
      return has_more;
    };
    $scope.refresh = function() {
      articleService.refresh($stateParams.basicMessage_id)
        .then(function(data) {
          if (data.errcode !== undefined && data.errcode !== 0) {
            $cordovaDialogs.alert(data.errmsg, '温馨提示', '好的');
          } else {
            if (data.length < $scope.size) {
              has_more = false;
            } else {
              has_more = true;
            }
            $scope.page = 2;
          }
          $scope.basicMessage = articleService.getInfo();
        }, function(error) {
          $ionicLoading.show({
            template: '网络错误',
            duration: 1000
          });
        })
        .finally(function() {
          $scope.$broadcast('scroll.refreshComplete');
        });
    };
    $scope.refresh();
    $scope.doRefresh = function() {
      $scope.refresh();
    };

    $scope.openModal = function(modal_name) {
      $ionicModal.fromTemplateUrl('templates/modals/' + modal_name + '.html', {
        scope: $scope,
        animation: 'slide-in-up'
      }).then(function(modal) {
        $scope.modal[modal_name] = modal;
        $scope.modal[modal_name].show();
      });
    };

    $scope.closeModal = function(modal_name) {
      $scope.modal[modal_name].remove();
    };

    $scope.removeModal = function(modal_name) {
      $scope.modal[modal_name].remove();
    };

    $scope.submitModal = function(modal_name) {
      $scope.modal[modal_name].remove();
      //TODO
    };

    $scope.showImg = function(url) {
      $scope.openModal('show_img');
    };
  });
