angular.module('zscy.districtMessage', ['ionic', 'zscy.services']);
angular.module('zscy.districtMessage')
  .config(function($stateProvider, $urlRouterProvider, templateUrlPath) {
    $stateProvider
      .state('tab.districtMessage', {
        url: '/districtMessage',
        views: {
          'tab-home': {
            templateUrl: templateUrlPath + 'templates/home/district_message/district_message.html',
            controller: 'districtMessageCtrl'
          }
        }
      })

    .state('tab.districtMessage_detail', {
      url: '/:districtMessage_id/districtMessage_detail',
      views: {
        'tab-home': {
          templateUrl: templateUrlPath + 'templates/home/district_message/district_message_detail.html',
          controller: 'districtMessage_detailCtrl'
        }
      }
    });
  })
  .controller('districtMessageCtrl', ['$scope', '$stateParams', 'districtMessageService', '$ionicModal', '$ionicLoading', '$cordovaDialogs', function($scope, $stateParams, districtMessageService, $ionicModal, $ionicLoading, $cordovaDialogs) {
    $scope.search = {};
    $scope.modal = {};
    $scope.districtMessage = districtMessageService.getdistrictMessage();
    $scope.title = '区总动态';
    $scope.page = 1;
    $scope.size = 10;
    $scope.search.name = '';
    var has_more = $scope.districtMessage.length >= $scope.size;
    $scope.hasMore = function() {
      return has_more;
    };
    $scope.refresh = function() {
      districtMessageService.refresh(1, $scope.size)
        .then(function(data) {
          if (data.errcode !== undefined && data.errcode !== 0) {
            $cordovaDialogs.alert(data.errmsg, '温馨提示', '好的');
          } else {
            if (data.length < $scope.size) {
              has_more = false;
            } else {
              has_more = true;
            }
            $scope.page = 2;
          }
          $scope.districtMessage = districtMessageService.getdistrictMessage().concat();
        }, function(error) {
          $ionicLoading.show({
            template: '网络错误',
            duration: 1000
          });
        })
        .finally(function() {
          $scope.$broadcast('scroll.refreshComplete');
        });
    };
    $scope.refresh();
    $scope.doRefresh = function() {
      $scope.refresh();
    };
    $scope.more = function() {
      districtMessageService.more($scope.page, $scope.size)
        .then(function(data) {
          if (data.errcode !== undefined && data.errcode !== 0) {
            has_more = false;
            $cordovaDialogs.alert(data.errmsg, '温馨提示', '好的');
          } else {
            $scope.page++;
            if (data.length < $scope.size) {
              has_more = false;
            }
          }
          if (data.errcode === undefined){
            $scope.districtMessage = districtMessageService.getdistrictMessage().concat();
          }
          $scope.$broadcast('scroll.infiniteScrollComplete');
        }, function(error) {
          $ionicLoading.show({
            template: '网络错误',
            duration: 1000
          });
        });
    };
  }])
  .controller('districtMessage_detailCtrl', function($scope, articleService, $stateParams, $ionicModal, $ionicLoading, $ionicHistory, $cordovaDialogs) {
    $scope.modal = {};
    $scope.districtMessage = articleService.getInfo();
    $scope.page = 1;
    $scope.size = 10;
    var has_more = $scope.districtMessage.length >= $scope.size;
    $scope.hasMore = function() {
      return has_more;
    };
    $scope.refresh = function() {
      articleService.refresh($stateParams.districtMessage_id)
        .then(function(data) {
          if (data.errcode !== undefined && data.errcode !== 0) {
            $cordovaDialogs.alert(data.errmsg, '温馨提示', '好的');
          } else {
            if (data.length < $scope.size) {
              has_more = false;
            } else {
              has_more = true;
            }
            $scope.page = 2;
          }
          $scope.districtMessage = articleService.getInfo();
        }, function(error) {
          $ionicLoading.show({
            template: '网络错误',
            duration: 1000
          });
        })
        .finally(function() {
          $scope.$broadcast('scroll.refreshComplete');
        });
    };
    $scope.refresh();
    $scope.doRefresh = function() {
      $scope.refresh();
    };
  });
