angular.module('zscy.home', ['ionic', 'zscy.services']);
angular.module('zscy.home')
  .config(function($stateProvider, $urlRouterProvider, templateUrlPath) {
    $stateProvider
      .state('tab', {
        url: '/tab',
        abstract: true,
        views: {
          'main': {
            templateUrl: templateUrlPath + 'templates/tabs.html',
            controller: 'TabsCtrl'
          }
        },
        onEnter: function($rootScope, messageService) {
          if (localStorage.getItem('chaoyang.token')) {
            messageService.checkMessage(localStorage.getItem('chaoyang.token')).then(function(data) {
              $rootScope.unreaded = messageService.getUnreaded();
            }, function(err) {});
          }
        }
      })
      .state('tab.home', {
        url: '/home',
        views: {
          'tab-home': {
            templateUrl: templateUrlPath + 'templates/home/home.html',
            controller: 'HomeCtrl'
          }
        }
      })
      .state('tab.livelist', {
        url: '/livelist',
        views: {
          'tab-home': {
            templateUrl: templateUrlPath + 'templates/home/live_list/livelist.html',
            controller: 'livelistCtrl'
          }
        }
      })
      .state('tab.livelisthistory', {
        url: '/livelisthistory',
        views: {
          'tab-home': {
            templateUrl: templateUrlPath + 'templates/home/live_list/livelist_history.html',
            controller: 'livelisthistoryCtrl'
          }
        }
      })
      .state('tab.livelist_detail', {
        url: '/livelist/:service_id/service_detail',
        views: {
          'tab-home': {
            templateUrl: templateUrlPath + 'templates/home/live_list/livelist_detail.html',
            controller: 'livelist_detailCtrl'
          }
        }
      })
      .state('tab.livelisthistory_detail', {
        url: '/livelisthistory/:service_id/service_detail',
        views: {
          'tab-home': {
            templateUrl: templateUrlPath + 'templates/home/live_list/livelist_detail.html',
            controller: 'livelist_detailCtrl'
          }
        }
      })
      .state('tab.batch_livelist', {
        url: '/livelist/:project_id',
        views: {
          'tab-home': {
            templateUrl: templateUrlPath + 'templates/home/live_list/batch_livelist.html',
            controller: 'batch_livelistCtrl'
          }
        }
      })
      .state('tab.batch_livelisthistory', {
        url: '/livelisthistory/:project_id',
        views: {
          'tab-home': {
            templateUrl: templateUrlPath + 'templates/home/live_list/batch_livelist_history.html',
            controller: 'batch_livelisthistoryCtrl'
          }
        }
      })
      .state('tab.hotline', {
        url: '/hotline',
        views: {
          'tab-hotline': {
            templateUrl: templateUrlPath + 'templates/hotline/hotline.html',
            controller: 'HotlineCtrl'
          }
        }
      })
      .state('tab.hotline_right', {
        url: '/hotline_right',
        views: {
          'tab-hotline': {
            templateUrl: templateUrlPath + 'templates/hotline/hotline_right.html',
            controller: 'HotlineCtrl'
          }
        }
      })
      .state('tab.ylhz', {
        url: '/ylhz',
        views: {
          'tab-home': {
            templateUrl: templateUrlPath + 'templates/brands/ylhz/ylhz.html',
            controller: 'MyCtrl'
          }
        }
      })

      .state('tab.hzbz', {
        url: '/ylhz/hzbz',
        views: {
          'tab-home': {
            templateUrl: templateUrlPath + 'templates/brands/ylhz/hzbz.html'
          }
        }
      })

      .state('tab.zyjt', {
        url: '/ylhz/zyjt',
        views: {
          'tab-home': {
            templateUrl: templateUrlPath + 'templates/brands/ylhz/zyjt.html'
          }
        }
      })

      .state('tab.zzng', {
        url: '/ylhz/zzng',
        views: {
          'tab-home': {
            templateUrl: templateUrlPath + 'templates/brands/ylhz/zzng.html'
          }
        }
      })

      .state('tab.zdjb', {
        url: '/ylhz/zdjb',
        views: {
          'tab-home': {
            templateUrl: templateUrlPath + 'templates/brands/ylhz/zdjb.html'
          }
        }
      })

      .state('tab.zyyl', {
        url: '/ylhz/zyyl',
        views: {
          'tab-home': {
            templateUrl: templateUrlPath + 'templates/brands/ylhz/zyyl.html'
          }
        }
      })
      .state('tab.ylhz_zhbz', {
        url: '/ylhz/zhbz',
        views: {
          'tab-home': {
            templateUrl: templateUrlPath + 'templates/brands/ylhz/zhbz.html'
          }
        }
      })
      .state('tab.ywbz', {
        url: '/ywbz',
        views: {
          'tab-home': {
            templateUrl: templateUrlPath + 'templates/brands/ywbz/ywbz.html',
            controller: 'MyCtrl'
          }
        }
      })

      .state('tab.fgs', {
        url: '/ywbz/fgs',
        views: {
          'tab-home': {
            templateUrl: templateUrlPath + 'templates/brands/ywbz/fgs.html'
          }
        }
      })

      .state('tab.ywsh', {
        url: '/ywbz/ywsh',
        views: {
          'tab-home': {
            templateUrl: templateUrlPath + 'templates/brands/ywbz/ywsh.html'
          }
        }
      })

      .state('tab.zgzn', {
        url: '/ywbz/zgzn',
        views: {
          'tab-home': {
            templateUrl: templateUrlPath + 'templates/brands/ywbz/zgzn.html'
          }
        }
      })
      .state('tab.ywbz_zhbz', {
        url: '/ywbz/zhbz',
        views: {
          'tab-home': {
            templateUrl: templateUrlPath + 'templates/brands/ywbz/zhbz.html'
          }
        }
      })
      .state('tab.my_cards', {
        url: '/my_cards',
        views: {
          'tab-my': {
            templateUrl: templateUrlPath + 'templates/my/my_cards.html',
            controller: 'MyCtrl'
          }
        }
      })
      .state('tab.security_setting', {
        url: '/security_setting',
        views: {
          'tab-my': {
            templateUrl: templateUrlPath + 'templates/my/security_setting.html',
            controller: 'SettingCtrl'
          }
        }
      })
      .state('tab.set_gestpw', {
        url: '/set-gestpw',
        views: {
          'tab-my': {
            templateUrl: templateUrlPath + 'templates/my/set-gestpw.html',
            controller: 'SetGesturePwdCtrl'
          }
        }
      })
      .state('tab.my', {
        url: '/my',
        views: {
          'tab-my': {
            templateUrl: templateUrlPath + 'templates/my/my.html',
            controller: 'MyCtrl'
          }
        },
        onEnter: function($rootScope, messageService) {
          if (localStorage.getItem('chaoyang.token')) {
            messageService.checkMessage(localStorage.getItem('chaoyang.token')).then(function(data) {
              $rootScope.unreaded = messageService.getUnreaded();
            }, function(err) {});
          }
        }
      })
      .state('tab.doubleheart', {
        url: '/doubleheart',
        views: {
          'tab-home': {
            templateUrl: templateUrlPath + 'templates/home/doubleheart_hotline.html'
          }
        }
      })
      .state('tab.setting', {
        url: '/my_setting',
        views: {
          'tab-my': {
            templateUrl: templateUrlPath + 'templates/my/setting.html',
            controller: 'MySetting'
          }
        }
      })
      .state('tab.map', {
        url: '/map',
        views: {
          'tab-home': {
            templateUrl: templateUrlPath + 'templates/home/map.html',
            controller: 'mapCtrl'
          }
        }
      })
      .state('tab.map_detail', {
        url: '/map/:mapId/detail',
        views: {
          'tab-my': {
            templateUrl:templateUrlPath + 'templates/home/map_detail.html',
            controller: 'mapDetailCtrl'
          }
        }
      })
      .state('tab.protocol', {
        url: '/protocol/:articleId/detail',
        views: {
          'tab-my': {
            templateUrl: templateUrlPath + 'templates/my/protocol.html',
            controller: 'protocolCtrl'
          }
        }
      });
  })
  .controller('HomeCtrl', ['$scope', '$interval', '$cordovaDialogs', '$location', '$cordovaInAppBrowser', 'bannerslistService', '$ionicLoading', 'livelistService', '$ionicSlideBoxDelegate', '$state', '$ionicHistory', 'memberService','$cordovaClipboard','$ionicPopup', '$cordovaDevice', function($scope, $interval, $cordovaDialogs, $location, $cordovaInAppBrowser, bannerslistService, $ionicLoading, livelistService, $ionicSlideBoxDelegate, $state, $ionicHistory, memberService, $cordovaClipboard, $ionicPopup, $cordovaDevice) {
    $scope.page = 1;
    $scope.size = 10;
    $scope.search = {};
    $scope.search.name = '';
    $scope.district = 1539;
    $scope.category = 0;

    //删除历史
    $scope.clearHistory = function(state) {
      $ionicHistory.clearHistory();
      if(state=='tab.map'){
        $cordovaDialogs.alert('职工暖心驿站、职工之家由于企业经营状况变化会存在一定流失，如遇关、停等不提供服务的站家，还请您谅解，我们会定期根据实际情况更新名录！', '温馨提示', '好的').then(function() {
          $state.go(state);
        });
      }else{
         $state.go(state);
      }
    };

    $scope.goTiktok = function(){
        $cordovaClipboard.copy('8【匠心朝阳的个人主页】长按复制此条消息，长按复制打开抖音搜索，查看TA的更多作品##1TmjVGVDcn8##[抖音口:/ 令]').then(function() {
          $cordovaDialogs.alert('抖音口令已复制至手机剪贴板，请打开抖音app粘贴口令访问。', '温馨提示', '好的');
        }, function(err) {
          $ionicLoading.show({
            template: '抖音口令复制失败，请稍后再试。',
            duration: 1000
          });
        });
    };

    $scope.goSjzsxt = function(){
      $cordovaInAppBrowser.open('https://union.longser.com.cn:8455/kpi/phone/index.jsp', '_blank');
      // $cordovaInAppBrowser.open('http://unionpx.longser.com.cn/kpi/phone/', '_blank');
    };

    $scope.goStation = function(){
      $location.path('/tab/station');
    };

    $scope.call = function(){
      window.location.href = 'tel:12351';
    };

    /**搜索服务项目**/
    $scope.doSearch = function() {
      memberService.setSearchName($scope.search.name);
      $location.path('/tab/memberService');
    };

    $scope.options = {
      loop: true,
      speed: 850,
      autoplay: 6000,
      autoplayDisableOnInteraction: false
    };
    $scope.$on("$ionicSlides.sliderInitialized", function(event, data) {
      // data.slider is the instance of Swiper
      $scope.slider = data.slider;
    });

    function dataChangeHandler() {
      // call this function when data changes, such as an HTTP request, etc
      if ($scope.slider) {
        $scope.slider.updateLoop();
      }
    }
    bannerslistService.refresh(1, 10)
      .then(function(data) {
        $scope.bannerList = bannerslistService.getbannerslist().slice(0, 6);
      }, function(error) {
        $ionicLoading.show({
          template: '网络错误',
          duration: 1000
        });
      });
      /*
    livelistService.refresh($scope.search.name, 1, $scope.size, $scope.district, $scope.category)
      .then(function(data) {
        $scope.livelist = livelistService.getlivelist().slice(0, 4);
      }, function(error) {
        $ionicLoading.show({
          template: '网络错误',
          duration: 1000
        });
      });
      */
    $scope.doubleheart = function() {
      $state.go('tab.doubleheart');
    };
    $scope.isBinding = function() {
      return !!localStorage.getItem('chaoyang.token');
    };

    /**
       * 用户协议
       */
      $scope.userProtocol = function() {
        // $state.go('tab.protocol_user');
        $location.path('/tab/protocol/10203/detail');
        $scope.myPopup1.close();
      };

      /**
       * 隐私协议
       */
      $scope.privacyProtocol = function() {
        $location.path('/tab/protocol/10204/detail');
        // $state.go('tab.protocol_user');
        $scope.myPopup1.close();
      };

      /**退出app**/
      $scope.exitApp = function() {
        var app = window.plugins.app;
        app.exit({
          "platform": $cordovaDevice.getPlatform()
        });
      };

      /*检查是否同意过隐私协议和用户协议 */
      $scope.checkIsAgree = function() {
        var u = navigator.userAgent;
        var isAndroid = u.indexOf('Android') > -1 || u.indexOf('Adr') > -1; //android终端
        var isiOS = !!u.match(/\(i[^;]+;( U;)? CPU.+Mac OS X/); //ios终端

        isAndroid = true;
        if (isAndroid == true) {
          var is_agree = localStorage.getItem('chaoyang.is_agree'); //是否同意隐私政策和用户协议
          if (is_agree != null && is_agree != "" && is_agree != true) {
            return;
          } else {
            $scope.myPopup1 = $ionicPopup.show({
              template: '<div style="font-size: 15px; margin: 0 0 10px 0;">请你务必审慎阅读、理解“服务协议”和“隐私协议”的各条款。你可点击<span style="color:blue;text-decoration:underline;" ng-click="userProtocol()">《用户协议》</span>和<span style="color:blue;text-decoration:underline;" ng-click="privacyProtocol()">《隐私协议》</span>按钮了解详细信息。如你同意，请点击“同意”开始接受我们的服务。</div>',
              title: '<span style="font-size:17px;">服务协议与隐私协议</span>',
              scope: $scope,
              buttons: [{
                text: '暂不使用',
                onTap: function() {
                  //ionic.Platform.exitApp();
                  $scope.exitApp();
                }
              }, {
                text: '同意',
                type: 'button-assertive',
                onTap: function(e) {
                  e.preventDefault();
                  localStorage.setItem('chaoyang.is_agree', true);
                  $scope.myPopup1.close();
                }
              }]
            });
          }
        }
      };
      $scope.checkIsAgree();


  }])
  .controller('TabsCtrl', ['$scope', '$state', '$ionicHistory', function($scope,$state, $ionicHistory) {

    //删除历史
    $scope.clearHistory = function(state) {
      $ionicHistory.clearHistory();
      if(state=='tab.map'){
        $cordovaDialogs.alert('职工暖心驿站、职工之家由于企业经营状况变化会存在一定流失，如遇关、停等不提供服务的站家，还请您谅解，我们会定期根据实际情况更新名录！', '温馨提示', '好的').then(function() {
          $state.go(state);
        });
      }else{
         $state.go(state);
      }
    };
    $scope.call = function(){
      window.location.href = 'tel:12351';
    };

  }])
  .controller('livelistCtrl', ['$scope', 'livelistService', '$ionicLoading', '$cordovaDialogs', '$ionicModal', '$stateParams', function($scope, livelistService, $ionicLoading, $cordovaDialogs, $ionicModal, $stateParams) {
    /*
    $scope.title = '服务项目';
    $scope.modal = {};
    $scope.page = 1;
    $scope.size = 10;
    $scope.search = {};
    $scope.codelist = {};
    $scope.condition = {};
    $scope.search.name = '';
    $scope.pullrefresh = true;
    $scope.search_button = true;
    $scope.servicelist = livelistService.getlivelist();
    $scope.district = 1539;
    $scope.category = 0;
    var has_more = $scope.servicelist.length >= $scope.size;
    $scope.hasMore = function() {
      return has_more;
    };
    $scope.refresh = function() {
      livelistService.refresh($scope.search.name, 1, $scope.size, $scope.district, $scope.category)
        .then(function(data) {
          if (data.errcode !== undefined && data.errcode !== 0) {
            $cordovaDialogs.alert(data.errmsg, '温馨提示', '好的');
          } else {
            if (data.length < $scope.size) {
              has_more = false;
            } else {
              has_more = true;
            }
            $scope.page = 2;
          }
          $scope.servicelist = livelistService.getlivelist();
        }, function(error) {
          $ionicLoading.show({
            template: '网络错误',
            duration: 1000
          });
        })
        .finally(function() {
          $scope.$broadcast('scroll.refreshComplete');
        });
    };
    $scope.refresh();
    $scope.doRefresh = function() {
      $scope.refresh();
    };
    $scope.more = function() {
      livelistService.more($scope.search.name, $scope.page, $scope.size, $scope.district, $scope.category)
        .then(function(data) {
          if (data.errcode !== undefined && data.errcode !== 0) {
            has_more = false;
            $cordovaDialogs.alert(data.errmsg, '温馨提示', '好的');
          } else {
            $scope.page++;
            if (data.length < $scope.size) {
              has_more = false;
            }
          }
          $scope.servicelist = livelistService.getlivelist().concat();
          $scope.$broadcast('scroll.infiniteScrollComplete');
        }, function(error) {
          $ionicLoading.show({
            template: '网络错误',
            duration: 1000
          });
        });
    };
    $scope.openModal = function(modal_name) {
      $ionicModal.fromTemplateUrl('templates/modals/' + modal_name + '.html', {
        scope: $scope,
        animation: 'slide-in-up'
      }).then(function(modal) {
        $scope.modal[modal_name] = modal;
        $scope.modal[modal_name].show();
      });
    };
    $scope.closeModal = function(modal_name) {
      $scope.modal[modal_name].remove();
    };
    $scope.removeModal = function(modal_name) {
      $scope.modal[modal_name].remove();
    };
    $scope.submitModal = function(modal_name) {
      $scope.refresh();
      $scope.modal[modal_name].remove();
    };
    */
  }])
  .controller('livelisthistoryCtrl', ['$scope', 'livelistService', '$ionicLoading', '$cordovaDialogs', '$ionicModal', '$stateParams', function($scope, livelistService, $ionicLoading, $cordovaDialogs, $ionicModal, $stateParams) {
    $scope.title = '服务项目';
    $scope.modal = {};
    $scope.page = 1;
    $scope.size = 10;
    $scope.search = {};
    $scope.codelist = {};
    $scope.condition = {};
    $scope.search.name = '';
    $scope.pullrefresh = true;
    $scope.search_button = true;
    $scope.servicelist = livelistService.getlivelisthistory();
    $scope.district = 1539;
    $scope.category = 0;
    var has_more = $scope.servicelist.length >= $scope.size;
    $scope.hasMore = function() {
      return has_more;
    };
    $scope.refresh = function() {
      livelistService.refreshHistory($scope.search.name, 1, $scope.size, $scope.district, $scope.category)
        .then(function(data) {
          if (data.errcode !== undefined && data.errcode !== 0) {
            $cordovaDialogs.alert(data.errmsg, '温馨提示', '好的');
          } else {
            if (data.length < $scope.size) {
              has_more = false;
            } else {
              has_more = true;
            }
            $scope.page = 2;
          }
          $scope.servicelist = livelistService.getlivelisthistory();
        }, function(error) {
          $ionicLoading.show({
            template: '网络错误',
            duration: 1000
          });
        })
        .finally(function() {
          $scope.$broadcast('scroll.refreshComplete');
        });
    };
    $scope.refresh();
    $scope.doRefresh = function() {
      $scope.refresh();
    };
    $scope.more = function() {
      livelistService.morehistory($scope.search.name, $scope.page, $scope.size, $scope.district, $scope.category)
        .then(function(data) {
          if (data.errcode !== undefined && data.errcode !== 0) {
            has_more = false;
            $cordovaDialogs.alert(data.errmsg, '温馨提示', '好的');
          } else {
            $scope.page++;
            if (data.length < $scope.size) {
              has_more = false;
            }
          }
          $scope.servicelist = livelistService.getlivelisthistory().concat();
          $scope.$broadcast('scroll.infiniteScrollComplete');
        }, function(error) {
          $ionicLoading.show({
            template: '网络错误',
            duration: 1000
          });
        });
    };
    $scope.openModal = function(modal_name) {
      $ionicModal.fromTemplateUrl('templates/modals/' + modal_name + '.html', {
        scope: $scope,
        animation: 'slide-in-up'
      }).then(function(modal) {
        $scope.modal[modal_name] = modal;
        $scope.modal[modal_name].show();
      });
    };
    $scope.closeModal = function(modal_name) {
      $scope.modal[modal_name].remove();
    };
    $scope.removeModal = function(modal_name) {
      $scope.modal[modal_name].remove();
    };
    $scope.submitModal = function(modal_name) {
      $scope.refresh();
      $scope.modal[modal_name].remove();
    };
  }])
  .controller('batch_livelistCtrl', function($scope, memberService, $stateParams, $ionicModal, $ionicLoading, $cordovaDialogs) {
    $scope.title = '服务项目';
    $scope.modal = {};
    $scope.search = {};
    $scope.servicelist = [];
    $scope.page = 1;
    $scope.size = 10;
    $scope.search.name = '';
    $scope.pullrefresh = true;
    $scope.search_button = true;
    var has_more = $scope.servicelist.length >= $scope.size;
    $scope.hasMore = function() {
      return has_more;
    };

    $scope.refresh = function() {
      memberService.refreshMemberBatchService($stateParams.project_id, $scope.search.name, 1, $scope.size)
        .then(function(data) {
          if (data.errcode !== undefined && data.errcode !== 0) {
            $cordovaDialogs.alert(data.errmsg, '温馨提示', '好的');
          } else {
            if (data.length < $scope.size) {
              has_more = false;
            } else {
              has_more = true;
            }
            $scope.page = 2;
          }
          $scope.servicelist = data;
        }, function(error) {
          $ionicLoading.show({
            template: '网络错误',
            duration: 1000
          });
        })
        .finally(function() {
          $scope.$broadcast('scroll.refreshComplete');
        });
    };
    $scope.refresh();


    //获取服务列表
    $scope.doRefresh = function() {
      $scope.search.name = '';
      $scope.refresh();
    };
    $scope.more = function() {
      memberService.moreMemberBatchService($stateParams.project_id, $scope.search.name, $scope.page, $scope.size)
        .then(function(data) {
          if (data.errcode !== undefined && data.errcode !== 0) {
            has_more = false;
            $cordovaDialogs.alert(data.errmsg, '温馨提示', '好的');
          } else {
            $scope.page++;
            if (data.length < $scope.size) {
              has_more = false;
            }
          }
          if (data.errcode === undefined) {
            $scope.servicelist = $scope.servicelist.concat(data);
          }
          $scope.$broadcast('scroll.infiniteScrollComplete');
        }, function(error) {
          $ionicLoading.show({
            template: '网络错误',
            duration: 1000
          });
        });
    };

    $scope.openModal = function(modal_name) {
      $ionicModal.fromTemplateUrl('templates/modals/' + modal_name + '.html', {
        scope: $scope,
        animation: 'slide-in-up'
      }).then(function(modal) {
        $scope.modal[modal_name] = modal;
        $scope.modal[modal_name].show();
      });
    };

    $scope.closeModal = function(modal_name) {
      $scope.modal[modal_name].remove();
    };

    $scope.removeModal = function(modal_name) {
      $scope.modal[modal_name].remove();
    };

    $scope.submitModal = function(modal_name) {
      $scope.refresh();
      $scope.modal[modal_name].remove();
    };
  })
  .controller('batch_livelisthistoryCtrl', function($scope, memberService, $stateParams, $ionicModal, $ionicLoading, $cordovaDialogs) {
    $scope.title = '服务项目';
    $scope.modal = {};
    $scope.search = {};
    $scope.servicelist = [];
    $scope.page = 1;
    $scope.size = 10;
    $scope.search.name = '';
    $scope.pullrefresh = true;
    $scope.search_button = true;
    var has_more = $scope.servicelist.length >= $scope.size;
    $scope.hasMore = function() {
      return has_more;
    };

    $scope.refresh = function() {
      memberService.refreshLiveListBatchService($stateParams.project_id, $scope.search.name, 1, $scope.size)
        .then(function(data) {
          if (data.errcode !== undefined && data.errcode !== 0) {
            $cordovaDialogs.alert(data.errmsg, '温馨提示', '好的');
          } else {
            if (data.length < $scope.size) {
              has_more = false;
            } else {
              has_more = true;
            }
            $scope.page = 2;
          }
          $scope.servicelist = data;
        }, function(error) {
          $ionicLoading.show({
            template: '网络错误',
            duration: 1000
          });
        })
        .finally(function() {
          $scope.$broadcast('scroll.refreshComplete');
        });
    };
    $scope.refresh();


    //获取服务列表
    $scope.doRefresh = function() {
      $scope.search.name = '';
      $scope.refresh();
    };
    $scope.more = function() {
      memberService.moreLiveListBatchService($stateParams.project_id, $scope.search.name, $scope.page, $scope.size)
        .then(function(data) {
          if (data.errcode !== undefined && data.errcode !== 0) {
            has_more = false;
            $cordovaDialogs.alert(data.errmsg, '温馨提示', '好的');
          } else {
            $scope.page++;
            if (data.length < $scope.size) {
              has_more = false;
            }
          }
          if (data.errcode === undefined) {
            $scope.servicelist = $scope.servicelist.concat(data);
          }
          $scope.$broadcast('scroll.infiniteScrollComplete');
        }, function(error) {
          $ionicLoading.show({
            template: '网络错误',
            duration: 1000
          });
        });
    };

    $scope.openModal = function(modal_name) {
      $ionicModal.fromTemplateUrl('templates/modals/' + modal_name + '.html', {
        scope: $scope,
        animation: 'slide-in-up'
      }).then(function(modal) {
        $scope.modal[modal_name] = modal;
        $scope.modal[modal_name].show();
      });
    };

    $scope.closeModal = function(modal_name) {
      $scope.modal[modal_name].remove();
    };

    $scope.removeModal = function(modal_name) {
      $scope.modal[modal_name].remove();
    };

    $scope.submitModal = function(modal_name) {
      $scope.refresh();
      $scope.modal[modal_name].remove();
    };
  })
  .controller('livelist_detailCtrl', ['$scope', '$stateParams', 'serviceinfoService', 'commentsService', '$ionicLoading', '$cordovaDialogs', '$ionicHistory', '$location', '$ionicModal', '$cordovaDatePicker', 'userService', 'codelistService', 'livelistscanBarcodeService', 'geoLocationService', '$timeout', function($scope, $stateParams, serviceinfoService, commentsService, $ionicLoading, $cordovaDialogs, $ionicHistory, $location, $ionicModal, $cordovaDatePicker, userService, codelistService, livelistscanBarcodeService, geoLocationService, $timeout) {
    $scope.token = localStorage.getItem('chaoyang.token');
    $scope.title = '服务项目';
    $scope.comments = [];
    $scope.service = {};
    $scope.add = {};
    $scope.add.address = '';
    $scope.add.post_code = '';
    $scope.modal = {};
    $scope.user = {};
    $scope.reserve = {};
    $scope.stations = [];
    $scope.max_num = 0;
    $scope.min_num = 0;
    $scope.has_reserve = false;
    $scope.reserve.station = {};
    $scope.latitude = geoLocationService.getLatitude();
    $scope.longitude = geoLocationService.getLongitude();
    $scope.servicelist = serviceinfoService.getServiceInfo();
    $scope.page = 1;
    $scope.size = 2;
    $scope.refresh = function() {
      serviceinfoService.detail($stateParams.service_id).then(function(data) {
          if (data.errcode === undefined) {
            $scope.service = data;
          } else {
            $cordovaDialogs.alert(data.errmsg, '温馨提示', '好的').then(function() {
              $ionicHistory.goBack();
            });
          }
        }, function(error) {
          $ionicLoading.show({
            template: '网络错误',
            duration: 1000
          });
          $ionicHistory.goBack();
        })
        .finally(function() {
          $scope.$broadcast('scroll.refreshComplete');
        });

      commentsService.getCommentsByService($stateParams.service_id, 1, 2)
        .then(function(data) {
          $scope.comments = data.slice(0, 2);
        }, function(error) {
          $ionicLoading.show({
            template: '网络错误',
            duration: 1000
          });
        });
    };
    $scope.refresh();
    $scope.doRefresh = function() {
      $scope.refresh();
    };
    $scope.openModal = function(modal_name) {
      $ionicModal.fromTemplateUrl('templates/modals/' + modal_name + '.html', {
        scope: $scope,
        animation: 'slide-in-up'
      }).then(function(modal) {
        if (modal_name === 'select_station') {
          $scope.doStationsRefresh();
        } else if (modal_name === 'select_date') {
          $scope.getTimeTable();
        }
        $scope.modal[modal_name] = modal;
        $scope.modal[modal_name].show();
      });
    };
    $scope.closeModal = function(modal_name) {
      $scope.modal[modal_name].remove();
    };
    $scope.removeModal = function(modal_name) {
      $scope.modal[modal_name].remove();
    };
    $scope.submitModal = function(modal_name) {
      $scope.modal[modal_name].remove();
    };
    $scope.scanBarcode = function() {
      livelistscanBarcodeService.scan();
    };
    $scope.service_verify = function() {
      if (localStorage.getItem('chaoyang.token')) {
        $scope.user = JSON.parse(localStorage.getItem('chaoyang.user'));
        $scope.user.default_receive = $scope.user.receives.filter(function(item) {
          return item.is_default;
        })[0];
        $scope.reserve.receive = $scope.user.default_receive || {};
        $scope.reserve.phone = $scope.user.phone;
        //判断是否有预定资格
        serviceinfoService.verify(localStorage.getItem('chaoyang.token'), $stateParams.service_id).then(function(data) {
          if (data.errcode === 0) {
            $scope.max_num = data.max_num;
            $scope.min_num = data.min_num;
            $scope.batch_period = data.batch_period;
            $scope.is_reserve = data.is_reserve;
            $scope.is_square = data.is_square;
            if (data.is_square) {
              $scope.reserve.use_date = '';
            } else {
              $scope.reserve.use_date = new Date();
            }
            $scope.apply_address = data.apply_address;
            $scope.reserve.count = $scope.max_num > 0 ? $scope.max_num : $scope.min_num;
            $scope.begin_date = data.begin_date;
            $scope.begin_time = data.begin_time;
            $scope.end_time = data.end_time;
            $scope.openModal('service_reserve');
          } else if (data.errcode == -1) {
            $cordovaDialogs.confirm('您尚未登录哦', '温馨提示：', ['现在登录', '稍后登录'])
              .then(function(buttonIndex) {
                if (buttonIndex == 1) {
                  $location.path('/tab/memberservicelogin');
                }
              });
          } else if (data.errcode == -2) {
            $cordovaDialogs.alert(data.errmsg, '温馨提示', '好的');
          } else if (data.errcode == 1) {
            $cordovaDialogs.alert('先对未评价的服务进行评价', '温馨提示', '好的').then(function() {
              $location.path("/my-service/" + data.apply_id + "/my-service-detail");
            });
          } else if (data.errcode == 2) {
            $cordovaDialogs.alert(data.errmsg, '温馨提示', '好的');
          }
        }, function() {
          $ionicLoading.show({
            template: '网络错误',
            duration: 1000
          });
        });
      } else {
        $cordovaDialogs.alert('请先登录', '温馨提示：', '好的').then(function() {
          $location.path("/tab/memberservicelogin");
        });
      }
    };
    $scope.setUseDate = function() {
      var options = {
        date: new Date(),
        mode: 'date', // or 'time'
        minDate: $scope.begin_time,
        maxDate: $scope.end_time,
        allowOldDates: true,
        allowFutureDates: false,
        doneButtonLabel: '完成',
        doneButtonColor: '#F2F3F4',
        cancelButtonLabel: '取消',
        cancelButtonColor: '#000000'
      };
      $cordovaDatePicker.show(options).then(function(date) {
        $scope.reserve.use_date = data;
      });
    };
    $scope.service_reserve = function() {
      if (localStorage.getItem('chaoyang.token')) {
        if (($scope.is_reserve == 1 || $scope.is_square) && ($scope.reserve.use_date === undefined || $scope.reserve.use_date.length === 0)) {
          $cordovaDialogs.alert('请填写预约时间', '温馨提示', '好的');
          return;
        }
        if ($scope.reserve.count > $scope.max_num) {
          $cordovaDialogs.alert('领取数量不能超过' + $scope.max_num, '温馨提示', '好的');
          return;
        }
        if ($scope.reserve.count < $scope.min_num) {
          $cordovaDialogs.alert('领取数量不能小于' + $scope.min_num, '温馨提示', '好的');
          return;
        }
        if (!/^1\d{10}$/.test($scope.reserve.phone)) {
          $cordovaDialogs.alert('请输入正确的联系人手机号', '温馨提示', '好的');
          return;
        }
        if ($scope.reserve.receive === undefined) {
          $cordovaDialogs.alert('请选择收件地址', '温馨提示', '好的');
          return;
        }
        if ($scope.apply_address && ($scope.reserve.station.name === undefined || $scope.reserve.station.name.length === 0)) {
          $cordovaDialogs.alert('请选择领物地址', '温馨提示', '好的');
          return;
        }
        serviceinfoService.reserve(localStorage.getItem('chaoyang.token'), $stateParams.service_id, $scope.reserve.receive.id, $scope.reserve.use_date, $scope.reserve.station.id, $scope.reserve.count, $scope.reserve.phone).then(function(data) {
          if (data.errcode === 0) {
            $cordovaDialogs.alert('您已经成功预订该服务,可以在我的服务中随时查看', '温馨提示', '好的').then(function() {
              $scope.has_reserve = true;
              $scope.submitModal('service_reserve');
            });
          } else if (data.errcode == -1) {
            $cordovaDialogs.confirm('您尚未登录哦', '温馨提示：', ['现在登录', '稍后登录'])
              .then(function(buttonIndex) {
                $scope.submitModal('service_reserve');
                if (buttonIndex == 1) {
                  $location.path('/tab/memberservicelogin');
                }
              });
          } else if (data.errcode == -2) {
            $cordovaDialogs.alert(data.errmsg, '温馨提示', '好的');
          }
        }, function() {
          $ionicLoading.show({
            template: '网络错误',
            duration: 1000
          });
        });
      } else {
        $cordovaDialogs.alert('请先登录', '温馨提示：', '好的').then(function() {
          $scope.submitModal('service_reserve');
          $location.path("/tab/memberservicelogin");
        });
      }
    };
    $scope.add_receive = function() {
      userService.addReceive($scope.token, $scope.add.address, $scope.add.post_code).then(function(data) {
        if (data.errcode === 0) {
          userService.info(localStorage.getItem('chaoyang.token')).then(function() {
            $scope.user = userService.getUserInfo();
          });
          $scope.add.address = '';
          $scope.add.post_code = '';
        } else if (data.errcode == -2) {
          $cordovaDialogs.alert(data.errmsg, '温馨提示', '好的');
        }
      }, function() {
        $ionicLoading.show({
          template: '网络错误',
          duration: 1000
        });
      });
      $scope.submitModal('add_receives');
    };
    $scope.closeModal = function(modal_name) {
      $scope.modal[modal_name].remove();
    };
    $scope.removeModal = function(modal_name) {
      $scope.modal[modal_name].remove();
    };
    $scope.submitModal = function(modal_name) {
      $scope.modal[modal_name].remove();
    };
  }])
  .controller('HotlineCtrl', ['$scope', 'memberService', '$ionicLoading', '$cordovaDialogs', '$ionicModal', '$stateParams', '$location', 'memberHotlineService', function($scope, memberService, $ionicLoading, $cordovaDialogs, $ionicModal, $stateParams, $location, memberHotlineService) {
    $scope.rightsNew = function() {
      if (!localStorage.getItem('chaoyang.token')) {
        $cordovaDialogs.confirm('您还未登录，是否登录？', '温馨提示', ['是', '否'])
          .then(function(buttonIndex) {
            if (buttonIndex == 1) {
              $location.path('/tab/hotlinelogin');
            }
          });
      } else {
        $location.path('/tab/member-hotline-rightNew');
      }
    };
    $scope.goJoinPerson = function() {
      memberHotlineService.getJoinUrl()
        .then(function(data) {
          if (data.errcode !== undefined && data.errcode < 0) {
            $cordovaDialogs.alert(data.errmsg, '温馨提示', '好的');
          } else if (data.url !== undefined) {
            window.location.href=data.url;
          } else {
            $ionicLoading.show({
              template: '网络错误',
              duration: 1000
            });
          }
        }, function(error) {
          $ionicLoading.show({
            template: '网络错误',
            duration: 1000
          });
        });
      //window.location.href="https://wxaurl.cn/0uyWL3kEmbg"; //链接进入北京工会i会员小程序我要入会，此url是通过微信接口生成的预计永久生效
    }
    $scope.rightSearch = function() {
      if (!localStorage.getItem('chaoyang.token')) {
        $cordovaDialogs.confirm('您还未登录，是否登录？', '温馨提示', ['是', '否'])
          .then(function(buttonIndex) {
            if (buttonIndex == 1) {
              $location.path('/tab/hotlinelogin');
            }
          });
      } else {
        $location.path('/tab/member-hotline-rightSearch');
      }
    };
  }])
  .controller('MyCtrl', function($scope, $state, $location, $ionicModal, codelistService, userService, $ionicLoading, $interval, $cordovaDialogs, md5Service, $cordovaInAppBrowser, scanBarcodeService, templateUrlPath, feedbackService, servicesService) {
    $scope.user = userService.getUserInfo();
    $scope.token = localStorage.getItem('chaoyang.token');
    $scope.modal = {};
    $scope.codelist = {};
    $scope.list = {};
    $scope.modify = {};
    $scope.feedback = {};
    $scope.feedback.star = '';
    $scope.feedback.content = '';
    $scope.modify.phone = '';
    $scope.modify.checked = false;
    $scope.modify.valid_code = '';
    $scope.modify.resident_type = '';
    $scope.modify.residence = '';
    $scope.modify.degree = '';
    $scope.modify.skill_level = '';
    $scope.modify.migrant_worker = '';
    $scope.modify.oldpw = '';
    $scope.modify.pw = '';
    $scope.modify.pw_confirm = '';
    $scope.gain_code = '点击获取验证码';
    $scope.unused = 0;
    $scope.uncomment = 0;
    $scope.service_all = 0;

    servicesService.getUnusedCount(localStorage.getItem('chaoyang.token'))
      .then(function(data) {
        $scope.unused = data.count;
      });    
    servicesService.getUncommentCount(localStorage.getItem('chaoyang.token'))
      .then(function(data) {
        $scope.uncomment = data.count;
      });    
    servicesService.getMyServiceAllCount(localStorage.getItem('chaoyang.token'))
      .then(function(data) {
        $scope.service_all = data.count;
      });
    var count;
    $scope.toState = function(state) {
      //$ionicHistory.clearHistory();
      $state.go(state);
    };
    $scope.toStateWithParams = function(state,params) {
      //$ionicHistory.clearHistory();
      $state.go(state,params);
    };

    /**
     * 用户协议
     */
    $scope.userProtocol = function() {
      $location.path('/tab/protocol/10203/detail');
    };

    /**
     * 隐私协议
     */
    $scope.privacyProtocol = function() {
      $location.path('/tab/protocol/10204/detail');
    };

    $scope.open_Modal = function(modal_name) {
      $ionicModal.fromTemplateUrl(templateUrlPath + 'templates/modals/' + modal_name + '.html', {
        scope: $scope,
        animation: 'slide-in-up'
      }).then(function(modal) {
        $interval.cancel(count);
        $scope.gain_code = '点击获取验证码';
        $scope.modify.checked = false;
        $scope.modify.phone = '';
        $scope.modify.valid_code = '';
        $scope.modal[modal_name] = modal;
        $scope.modal[modal_name].show();
      });
    };
    $scope.openModal = function(modal_name) {
      $ionicModal.fromTemplateUrl('templates/modals/' + modal_name + '.html', {
        scope: $scope,
        animation: 'slide-in-up'
      }).then(function(modal) {
        $scope.modal[modal_name] = modal;
        $scope.modal[modal_name].show();
        switch (modal_name) {
          case 'modify_residence':
            $scope.list = JSON.parse(localStorage.getItem('chaoyang.ct_area_beijing'));
            $scope.modify.residence = $scope.user.residence;
            break;
          case 'modify_degree':
            $scope.list = JSON.parse(localStorage.getItem('chaoyang.ct_education'));
            $scope.modify.degree = $scope.user.degree;
            break;
          case 'modify_skill_level':
            $scope.list = JSON.parse(localStorage.getItem('chaoyang.ct_skill'));
            $scope.modify.skill_level = $scope.user.skill_level;
            break;
          case 'modify_migrant_worker':
            $scope.list = JSON.parse(localStorage.getItem('chaoyang.ct_migrant'));
            $scope.modify.migrant_worker = $scope.user.migrant_worker;
            break;
          case 'modify_resident_type':
            $scope.list = JSON.parse(localStorage.getItem('chaoyang.ct_resident_type'));
            $scope.modify.resident_type = $scope.user.resident_type;
            break;
          case 'modifypw':
            $scope.modify.oldpw = '';
            $scope.modify.pw = '';
            $scope.modify.pw_confirm = '';
            break;
        }
        if ($scope.list[0] && $scope.list[0].code === 0) {
          $scope.list.splice(0, 1);
        }
        $scope.codelist[modal_name] = $scope.list;
      });
    };
    $scope.closeModal = function(modal_name) {
      $scope.modal[modal_name].remove();
    };

    $scope.removeModal = function(modal_name) {
      $scope.modal[modal_name].remove();
    };

    $scope.submitModal = function(modal_name) {
      $scope.modal[modal_name].remove();
      //TODO
    };

    $scope.function_modify_password = function() {
      userService.modifyOldPassword($scope.token, md5Service.md5($scope.modify.oldpw), md5Service.md5($scope.modify.pw)).then(function(data) {
        if (data.errcode === 0) {
          $cordovaDialogs.alert(data.errmsg, '温馨提示', '好的');
          $scope.submitModal('modifypw');
        } else if (data.errcode == -1) {
          $cordovaDialogs.confirm('登录已失效，再登录一次吧', '温馨提示：', ['现在登录', '稍后登录'])
            .then(function(buttonIndex) {
              if (buttonIndex == 1) {
                $location.path('/tab/login');
              }
            });
        } else if (data.errcode == -2) {
          $cordovaDialogs.alert(data.errmsg, '温馨提示', '好的');
        }
      }, function() {
        $ionicLoading.show({
          template: '网络错误',
          duration: 1000
        });
      });
    };
    $scope.function_feedback = function() {
      feedbackService.post($scope.feedback.star, $scope.feedback.content).then(function(data) {
        if (data.errcode === 0) {
          $cordovaDialogs.alert(data.errmsg, '温馨提示', '好的');
          $scope.submitModal('feedback');
        } else if (data.errcode == -1) {
          $cordovaDialogs.confirm('登录已失效，再登录一次吧', '温馨提示：', ['现在登录', '稍后登录'])
            .then(function(buttonIndex) {
              if (buttonIndex == 1) {
                $location.path('/tab/login');
              }
            });
        } else if (data.errcode == -2) {
          $cordovaDialogs.alert(data.errmsg, '温馨提示', '好的');
        }
      }, function() {
        $ionicLoading.show({
          template: '网络错误',
          duration: 1000
        });
      });
    };
    $scope.clearLocalStorage = function() {
      localStorage.removeItem('chaoyang.manifest');
      $cordovaDialogs.alert('缓存清空成功', '温馨提示', '好的');
    };

    $scope.doRefresh = function() {
      userService.info(localStorage.getItem('chaoyang.token')).then(function(data) {
          if (data.errcode === undefined) {
            $scope.user = userService.getUserInfo();
          } else if (data.errcode == -1) {
            localStorage.removeItem('chaoyang.token', undefined);
            $cordovaDialogs.confirm('您尚未登录哦', '温馨提示：', ['现在登录', '稍后登录'])
              .then(function(buttonIndex) {
                if (buttonIndex == 1) {
                  $state.go('tab.mylogin');
                }
              });
          } else if (data.errcode == -2) {
            $cordovaDialogs.alert(data.errmsg, '温馨提示', '好的');
          }
        }, function(error) {
          $ionicLoading.show({
            template: '网络错误',
            duration: 1000
          });
        })
        .finally(function() {
          $scope.$broadcast('scroll.refreshComplete');
        });
      servicesService.getUnusedCount(localStorage.getItem('chaoyang.token'))
        .then(function(data) {
          $scope.unused = data.count;
        });    
      servicesService.getUncommentCount(localStorage.getItem('chaoyang.token'))
        .then(function(data) {
          $scope.uncomment = data.count;
        });    
      servicesService.getMyServiceAllCount(localStorage.getItem('chaoyang.token'))
        .then(function(data) {
          $scope.service_all = data.count;
        });
    };
    if (!localStorage.getItem("chaoyang.user")) {
      $scope.doRefresh();
    }
    //修改居民类型
    $scope.function_modify_resident_type = function() {
      userService.modifyResidentType($scope.token, $scope.modify.resident_type).then(function(data) {
        if (data.errcode === 0) {
          $scope.user.resident_type = $scope.modify.resident_type;
          localStorage.setItem('chaoyang.user', JSON.stringify($scope.user));
        } else if (data.errcode == -1) {
          $cordovaDialogs.confirm('登录已失效，再登录一次吧', '温馨提示：', ['现在登录', '稍后登录'])
            .then(function(buttonIndex) {
              if (buttonIndex == 1) {
                $location.path('/tab/login');
              }
            });
        } else if (data.errcode == -2) {
          $cordovaDialogs.alert(data.errmsg, '温馨提示', '好的');
        }
      }, function() {
        $ionicLoading.show({
          template: '网络错误',
          duration: 1000
        });
      });
      $scope.submitModal('modify_resident_type');
    };
    //修改居住地
    $scope.function_modify_residence = function() {
      userService.modifyResidence($scope.token, $scope.modify.residence).then(function(data) {
        if (data.errcode === 0) {
          $scope.user.residence = $scope.modify.residence;
          localStorage.setItem('chaoyang.user', JSON.stringify($scope.user));
        } else if (data.errcode == -1) {
          $cordovaDialogs.confirm('登录已失效，再登录一次吧', '温馨提示：', ['现在登录', '稍后登录'])
            .then(function(buttonIndex) {
              if (buttonIndex == 1) {
                $location.path('/tab/login');
              }
            });
        } else if (data.errcode == -2) {
          $cordovaDialogs.alert(data.errmsg, '温馨提示', '好的');
        }
      }, function() {
        $ionicLoading.show({
          template: '网络错误',
          duration: 1000
        });
      });
      $scope.submitModal('modify_residence');
    };

    //修改学历
    $scope.function_modify_degree = function() {
      userService.modifyDegree($scope.token, $scope.modify.degree).then(function(data) {
        if (data.errcode === 0) {
          $scope.user.degree = $scope.modify.degree;
          localStorage.setItem('chaoyang.user', JSON.stringify($scope.user));
        } else if (data.errcode == -1) {
          $cordovaDialogs.confirm('登录已失效，再登录一次吧', '温馨提示：', ['现在登录', '稍后登录'])
            .then(function(buttonIndex) {
              if (buttonIndex == 1) {
                $location.path('/tab/login');
              }
            });
        } else if (data.errcode == -2) {
          $cordovaDialogs.alert(data.errmsg, '温馨提示', '好的');
        }
      }, function() {
        $ionicLoading.show({
          template: '网络错误',
          duration: 1000
        });
      });
      $scope.submitModal('modify_degree');

    };

    //修改技能等级
    $scope.function_modify_skill_level = function() {
      userService.modifySkillLevel($scope.token, $scope.modify.skill_level).then(function(data) {
          if (data.errcode === 0) {
            $scope.user.skill_level = $scope.modify.skill_level;
            localStorage.setItem('chaoyang.user', JSON.stringify($scope.user));
          } else if (data.errcode == -1) {
            $cordovaDialogs.confirm('登录已失效，再登录一次吧', '温馨提示：', ['现在登录', '稍后登录'])
              .then(function(buttonIndex) {
                if (buttonIndex == 1) {
                  $location.path('/tab/login');
                }
              });
          } else if (data.errcode == -2) {
            $cordovaDialogs.alert(data.errmsg, '温馨提示', '好的');
          }
        },
        function() {
          $ionicLoading.show({
            template: '网络错误',
            duration: 1000
          });
        });
      $scope.submitModal('modify_skill_level');

    };

    //修改外来务工人员
    $scope.function_modify_migrant_worker = function() {
      userService.modifyMigrantWorker($scope.token, $scope.modify.migrant_worker).then(function(data) {
        if (data.errcode === 0) {
          $scope.user.migrant_worker = $scope.modify.migrant_worker;
          localStorage.setItem('chaoyang.user', JSON.stringify($scope.user));
        } else if (data.errcode == -1) {
          $cordovaDialogs.confirm('登录已失效，再登录一次吧', '温馨提示：', ['现在登录', '稍后登录'])
            .then(function(buttonIndex) {
              if (buttonIndex == 1) {
                $location.path('/login');
              }
            });
        } else if (data.errcode == -2) {
          $cordovaDialogs.alert(data.errmsg, '温馨提示', '好的');
        }
      }, function() {
        $ionicLoading.show({
          template: '网络错误',
          duration: 1000
        });
      });
      $scope.submitModal('modify_migrant_worker');
    };

    $scope.ylhzqueryActivities = function() {
      if (!!localStorage.getItem('chaoyang.token')) {
        $cordovaInAppBrowser.open('https://app.bjzgh12351.org/insurance/index.jsp?type=ylhzactive&token=' + localStorage.getItem('chaoyang.token'), '_blank');
      } else {
        $cordovaDialogs.alert('请先登录', '温馨提示：', '好的').then(function() {
          $location.path('/tab/mylogin');
        });
      }
    };
    $scope.ylhzqueryPayments = function() {
      if (!!localStorage.getItem('chaoyang.token')) {
        $cordovaInAppBrowser.open('https://app.bjzgh12351.org/insurance/index.jsp?type=ylhzpay&token=' + localStorage.getItem('chaoyang.token'), '_blank');
      } else {
        $cordovaDialogs.alert('请先登录', '温馨提示：', '好的').then(function() {
          $location.path('/tab/mylogin');
        });
      }
    };
    $scope.ywbzqueryActivities = function() {
      if (!!localStorage.getItem('chaoyang.token')) {
        $cordovaInAppBrowser.open('https://app.bjzgh12351.org/insurance/index.jsp?type=ywbzactive&token=' + localStorage.getItem('chaoyang.token'), '_blank');
      } else {
        $cordovaDialogs.alert('请先登录', '温馨提示：', '好的').then(function() {
          $location.path('/login');
        });
      }
    };
    $scope.ywbzqueryPayments = function() {
      if (!!localStorage.getItem('chaoyang.token')) {
        $cordovaInAppBrowser.open('https://app.bjzgh12351.org/insurance/index.jsp?type=ywbzpay&token=' + localStorage.getItem('chaoyang.token'), '_blank');
      } else {
        $cordovaDialogs.alert('请先登录', '温馨提示：', '好的').then(function() {
          $location.path('/login');
        });
      }
    };
    $scope.logout = function() {
      localStorage.removeItem('chaoyang.token', undefined);
      localStorage.removeItem('chaoyang.user', undefined);
      $state.go('tab.mylogin');
    };
    $scope.setting = function() {
      $state.go('tab.setting');
    };
    $scope.scanBarcode = function() {
      scanBarcodeService.scan();
    };
    $scope.toggleGroup = function(user) {
      if ($scope.isGroupShown(user)) {
        $scope.shownGroup = null;
      } else {
        $scope.shownGroup = user;
      }
    };
    $scope.isGroupShown = function(user) {
      return $scope.shownGroup === user;
    };
  })
  .controller('MySetting', function($scope, $state, $location, $ionicModal, codelistService, userService, $ionicLoading, $cordovaDialogs, md5Service, $cordovaInAppBrowser) {
    $scope.user = userService.getUserInfo();
    $scope.token = localStorage.getItem('chaoyang.token');
    $scope.modal = {};
    $scope.codelist = {};
    $scope.list = {};
    $scope.modify = {};
    $scope.modify.phone = '';
    $scope.modify.checked = false;
    $scope.modify.oldpw = '';
    $scope.modify.pw = '';
    $scope.modify.pw_confirm = '';
    $scope.gain_code = '点击获取验证码';
    $scope.openModal = function(modal_name) {
      $ionicModal.fromTemplateUrl('templates/modals/' + modal_name + '.html', {
        scope: $scope,
        animation: 'slide-in-up'
      }).then(function(modal) {
        $scope.modal[modal_name] = modal;
        $scope.modal[modal_name].show();
      });
    };
    $scope.closeModal = function(modal_name) {
      $scope.modal[modal_name].remove();
    };
    $scope.removeModal = function(modal_name) {
      $scope.modal[modal_name].remove();
    };
    $scope.submitModal = function(modal_name) {
      $scope.modal[modal_name].remove();
    };
    
  })
  .controller('SettingCtrl', function($scope, $location, $ionicModal, $ionicLoading, $interval, $cordovaDialogs, md5Service, userService) {
    $scope.$on('$ionicView.beforeEnter', function() {
      $scope.user = JSON.parse(localStorage.getItem('chaoyang.user'));

    });
    $scope.changeGestPwd = function() {
      if ($scope.user.is_gesture_pwd === true) { //使用手势密码
        $location.path('/tab/set-gestpw');
      } else if ($scope.user.is_gesture_pwd === false) {
        userService.setIsGesturePwd(localStorage.getItem('chaoyang.token'), 0)
          .then(function(data) {
              if (data.errcode === 0 || data.errcode === undefined) {
                localStorage.setItem('chaoyang.user', JSON.stringify($scope.user));
                localStorage.setItem('chaoyang.is_gesture_pwd', false);
              } else {
                $cordovaDialogs.alert(data.errmsg, '温馨提示', '好的');
              }
            },
            function(error) {
              $ionicLoading.show({
                template: '网络繁忙，请稍后重试。',
                duration: 1000
              });
            });
      }
    };

  })
  .controller('SetGesturePwdCtrl', function($scope, $location, $ionicModal, $ionicLoading, $interval, $ionicHistory, $cordovaDialogs, md5Service, userService) {
    $("#setgesturepwd").GesturePasswd({
      backgroundColor: "#fff", //背景色
      color: "#ccc", //主要的控件颜色
      roundRadii: 30, //大圆点的半径
      pointRadii: 6, //大圆点被选中时显示的圆心的半径
      space: 30, //大圆点之间的间隙
      width: 270, //整个组件的宽度
      height: 270, //整个组件的高度
      lineColor: "#33cc33", //用户划出线条的颜色
      zindex: 100 //整个组件的css z-index属性
    });

    $("#setgesturepwd").on("hasPasswd", function(e, passwd) {
      if (passwd === null || passwd === '') {
        return;
      }
      if (passwd !== null && passwd.length < 5) {
        $("#setgesturepwd").trigger("passwdWrong");
        setTimeout(function() {
          $cordovaDialogs.alert('手势密码至少连接5个点。', '温馨提示', '好的');
        }, 500); //延迟半秒以照顾视觉效果
        //密码验证错误后的其他操作。。。
        return;
      }
      $scope.set_gestpwd(passwd);
    });
    $scope.user = userService.getUserInfo();
    $scope.set_gestpwd = function(passwd) {
      userService.setGesturePassword(localStorage.getItem('chaoyang.token'), md5Service.md5(passwd), 1).then(function(data) {
        if (data.errcode === 0) {
          $scope.user.is_gesture_pwd = true;
          localStorage.setItem('chaoyang.is_gesture_pwd', $scope.user.is_gesture_pwd);
          localStorage.setItem('chaoyang.user', JSON.stringify($scope.user));
          localStorage.removeItem('chaoyang.gesture_pwd_new', undefined);
          $("#setgesturepwd").trigger("clearPasswd");
          $cordovaDialogs.alert(data.errmsg, '温馨提示', '好的');
          $ionicHistory.goBack();
        } else if (data.errcode == -1) {
          $cordovaDialogs.confirm('登录已失效，再登录一次吧', '温馨提示', ['现在登录', '稍后登录'])
            .then(function(buttonIndex) {
              if (buttonIndex == 1) {
                // $location.path('/login');
                $scope.is_gesture = localStorage.getItem('chaoyang.is_gesture_pwd');
                if ($scope.is_gesture === "true") {
                  $state.go('tab.login');
                } else {
                  $state.go('tab.login-other');
                }
              }
            });
        } else if (data.errcode == -2) {
          $cordovaDialogs.alert(data.errmsg, '温馨提示', '好的');
        }
      }, function() {
        $ionicLoading.show({
          template: '网络繁忙，请稍后重试。',
          duration: 1000
        });
      });

    };

  })
  .controller('mapCtrl', function($scope, $cordovaDialogs, templateUrlPath, $ionicModal, $ionicLoading, $ionicHistory, $cordovaLaunchNavigator, $cordovaInAppBrowser, $cordovaDevice, mapService, geoLocationService, $sce, $ionicPopup) {
    var vm = $scope.vm = {};
    vm.CityPickData3 = {
      areaData: ['按区域查找'],
      hardwareBackButtonClose: false
    };
    
    $scope.map_level = 14;
    $scope.flag = 0;
    $scope.back = false;
    $scope.type = 0;
    $scope.marker = [];

    $scope.search_type = 0;

    $scope.search = {};
    $scope.search.ent_name = '';
    $scope.search.yearly = '';
    $scope.search.service = '';

    $scope.project_levels = [{
      code: 0,
      name: '请选择'
    },{
      code: 1,
      name: '全总'
    }, {
      code: 2,
      name: '市总'
    }, {
      code: 4,
      name: '区总'
    }, {
      code: 5,
      name: '街乡'
    }];
    $scope.search.project_level = $scope.project_levels[0];
    $scope.project_types = [{
      code: 0,
      name: '请选择'
    },{
      code: 12,
      name: '公共区域性职工之家'
    },{
      code: 15,
      name: '职工暖心驿站'
    }];
    $scope.search.project_type = $scope.project_types[0];

    /**评选级别改变**/
    $scope.changeLevel = function() {
      if($scope.search.project_level.code==1){
        $scope.project_types = [{
          code: 0,
          name: '请选择'
        },{
          code: 1,
          name: '全国模范职工之家'
        },{
          code: 2,
          name: '全国模范职工小家'
        },{
          code: 3,
          name: '优秀工会工作者'
        },{
          code: 4,
          name: '优秀工会之友'
        },{
          code: 18,
          name: '最美工会户外劳动者服务站点'
        }];
      }else if($scope.search.project_level.code==2){
        $scope.project_types = [{
          code: 0,
          name: '请选择'
        },{
          code: 5,
          name: '模范职工之家'
        },{
          code: 6,
          name: '模范职工小家'
        },{
          code: 7,
          name: '优秀工会工作者'
        },{
          code: 8,
          name: '优秀工会积极分子'
        },{
          code: 9,
          name: '优秀工会之友'
        },{
          code: 12,
          name: '公共区域性职工之家'
        },{
          code: 13,
          name: '示范性职工之家'
        },{
          code: 14,
          name: '百人新建会同步建家'
        },{
          code: 15,
          name: '职工暖心驿站'
        },{
          code: 19,
          name: '最美工会户外劳动者服务站点'
        }];
      }else if($scope.search.project_level.code==4){
        $scope.project_types = [{
          code: 0,
          name: '请选择'
        },{
          code: 16,
          name: '区级职工之家'
        },{
          code: 20,
          name: '非公企业工会兼职补贴'
        }];
      }else if($scope.search.project_level.code==5){
        $scope.project_types = [{
          code: 0,
          name: '请选择'
        },{
          code: 17,
          name: '本级职工之家'
        }]
      }else{
        $scope.project_types = [{
          code: 0,
          name: '请选择'
        }]
      }
      $scope.search.project_type = $scope.project_types[0];
    };

    $scope.employee_services = JSON.parse(localStorage.getItem('chaoyang.ct_service_type'));
    // $scope.employee_services.unshift({
    //   code: 0,
    //   name: '全部'
    // });
    // $scope.search.employee_service = $scope.employee_services[0];

    var latitude = geoLocationService.getLatitude();
    var longitude = geoLocationService.getLongitude();

    /*重定位 */
    function reLocated() {
      geoLocationService.reLocated();
      latitude = geoLocationService.getLatitude();
      longitude = geoLocationService.getLongitude();
    }
    reLocated();

    $scope.selectType = function(){
      $ionicPopup.confirm({
        title: '温馨提示',
        template: '请选择查询类别',
        cssClass: 'new-confirm',
        buttons: [{
          text: '职工之家',
          onTap: function(e){
            $scope.search.employee_type = $scope.employee_types[0];
            $scope.change();
          }
        }, {
          text: '职工小家',
          onTap: function(e) {
            $scope.search.employee_type = $scope.employee_types[1];
            $scope.change();
          }
        },{
          text: '暖心驿站',
          onTap: function(e) {
            $scope.search.employee_type = $scope.employee_types[2];
            $scope.change();
          }
        }]
      });
    }


    //获取屏幕内的职工之家数据
    $scope.getStationList = function(map) {
      var cp = map.getBounds(); //返回map可视区域
      var pt = map.getCenter();
      var sw = cp.getSouthWest();
      var ne = cp.getNorthEast();
      $scope.sw_lng = sw.lng;
      $scope.sw_lat = sw.lat;
      $scope.ne_lng = ne.lng;
      $scope.ne_lat = ne.lat;
      $scope.employeeList = JSON.parse(localStorage.getItem('chaoyang.employeeList')) || [];
      mapService.refresh($scope.search.project_level.code,$scope.search.project_type.code, $scope.sw_lng, $scope.sw_lat, $scope.ne_lng, $scope.ne_lat, $scope.search.ent_name, $scope.search.yearly).then(function(data) {
          if (data.errcode == undefined) {
            $scope.employeeList = data;
            $scope.forEachStation(map);
          } else if (data.errcode == -3) {
            $cordovaDialogs.alert(data.errmsg, '温馨提示', '好的');
          } else {
            $cordovaDialogs.alert(data.errmsg, '温馨提示', '好的').then(function() {
              $ionicHistory.goBack();
            });
          }
        }, function(error) {
          $ionicLoading.show({
            template: '网络繁忙，请稍后重试。',
            duration: 1000
          });
        })
        .finally(function() {
          $scope.$broadcast('scroll.refreshComplete');
        });

    };

    // 遍历数据添加属性
    $scope.forEachStation = function(map) {
      if ($scope.employeeList.length == 0 && $scope.type == 0) {
        $ionicLoading.show({
          template: '当前范围内没有职工阵地信息！',
          duration: 1000
        });
        return;
      }
      for (var i = 0; i < $scope.employeeList.length; i++) {
        if (($scope.employeeList[i].latitude != null && $scope.employeeList[i].latitude != 0.0) || ($scope.longitude != null && $scope.longitude != 0.0)) {

          var point = new BMap.Point($scope.employeeList[i].longitude, $scope.employeeList[i].latitude);
          var content = '<div style="margin:0;line-height:20px;padding:2px;">' + '地址：' + $scope.employeeList[i].address + '<br/>' +
            // '<a class="button button-small button-assertive" style="float:right;" href="#/tab/map/' + $scope.employeeList[i].id + '/detail">详情查看</a>' +
            '</div>';
          //创建检索信息窗口对象
          var searchInfoWindow = new BMapLib.SearchInfoWindow(map, content, {
            title: $scope.employeeList[i].enter_name, //标题
            width: '80%', //宽度
            height: 60, //高度
            enableSendToPhone: false,
            searchTypes: []
          });
          $scope.addMarker(map, point, searchInfoWindow, $scope.employeeList[i].name, $scope.employeeList[i].address, $scope.employeeList[i].id);
        }
      }
    };

    //------添加拖拽事件----
    $scope.addDragend = function(map) {
      //拖拽开始事件
      map.addEventListener("dragstart", function() {
        console.log("dragstart");
        $scope.show_id = 0;
        map.clearOverlays();
      });

      //拖拽结束事件
      map.addEventListener("dragend", function() {
        console.log("dragend");
        $scope.toMap(map);
      });
    };

    //刷新展示标注点
    $scope.toMap = function(map) {
      var pt = map.getCenter();
      var cp = map.getBounds(); //返回map可视区域
      var sw = cp.getSouthWest();
      var ne = cp.getNorthEast();
      var level = $scope.getZoom(ne.lng, sw.lng, ne.lat, sw.lat);
      // console.log("level_zoom:" + level);
      $scope.map_level = level;
      // if (level <= 10) {
      //   //myObj.appService.alert("请精确所选范围");
      //   myObj.toastCtrl.create({
      //     message: '当前范围较大，请您精确范围！',
      //     duration: 2000,
      //     position: 'bottom'
      //   }).present();
      // } else {
      $scope.addMap(pt.lng, pt.lat, $scope.map_level);
      // }
    };

    // 添加标注点
    $scope.addMarker = function(map, point, searchInfoWindow, name, address, id) {
      // var myIcon = new BMap.Icon("img/mark.png", new BMap.Size(30, 35), {
      var myIcon = new BMap.Icon("img/mark1.png", new BMap.Size(30, 30), {
        // anchor: new BMap.Size(10, 10),
        imageSize: new BMap.Size(30, 30)
      });
      // if ($scope.search.employee_type.code == 2 || $scope.search.employee_type.code == 3) {
      //   myIcon = new BMap.Icon("img/mark2.png", new BMap.Size(30, 30), {
      //     // anchor: new BMap.Size(10, 10),
      //     imageSize: new BMap.Size(30, 30)
      //   });
      // }


      var marker = new BMap.Marker(point, {
        icon: myIcon
      });
      $scope.marker.concat(marker);
      map.addOverlay(marker);
      //添加点击事件
      marker.addEventListener("click", function(e) {
        $('#employee_' + id).show();
        $scope.show_id = id;
        searchInfoWindow.open(marker);
      });

      searchInfoWindow.addEventListener("close", function(e) {
        $('#employee_' + id).hide();
      });
    };


    $scope.getZoom = function(maxLng, minLng, maxLat, minLat) {
      var zoom = ["20", "50", "100", "200", "500", "1000", "2000", "5000", "10000", "20000", "25000", "50000", "100000", "200000", "500000", "1000000", "2000000", "5000000", "10000000"]; //级别18到3。
      var pointA = new BMap.Point(maxLng, maxLat); // 创建点坐标A
      var pointB = new BMap.Point(minLng, minLat); // 创建点坐标B
      var distance = $scope.map1.getDistance(pointA, pointB).toFixed(2); //获取两点距离,保留小数点后两位
      console.log("distance:" + distance);
      for (var i = 0, zoomLen = zoom.length; i < zoomLen; i++) {
        if (zoom[i] - distance > 0) {
          var level = 20 - i + 3;
          console.log(level >= 14 ? level - 1 : level);
          if (level >= 14 && level < 19)
            return level - 1;
          else
            return level;
          //return level >= 14 ? level - 1 : level;//之所以会多3，是因为地图范围常常是比例尺距离的10倍以上。所以级别会增加3。
        }
      }
    };

    //------地图添加标注点----
    $scope.addMap = function(longitude, latitude, level) {
      if ($scope.map1 == undefined) {
        $scope.map1 = new BMap.Map("allmap"); // 创建地图实例
        $scope.addDragend($scope.map1); //添加拖拽事件
      }
      var map = $scope.map1;
      map.centerAndZoom(new BMap.Point(longitude, latitude), level); // 设初始化地图,创建点坐标
      map.enableDragging(); //启用地图拖拽，默认启用
      if ($scope.flag == 0) {
        $scope.flag = 1;
        map.addEventListener("tilesloaded",$scope.tilesloadedFunction); //tilesloaded事件:当地图所有图块完成加载时触发此事件
        /*
        map.addEventListener("tilesloaded", function() { 
          var pt = map.getCenter(); //返回地图当前中心点
          var cp = map.getBounds(); //返回地图可视区域，以地理坐标表示
          var sw = cp.getSouthWest(); //返回矩形区域的西南角
          var ne = cp.getNorthEast(); //返回矩形区域的东北角

          var level = $scope.getZoom(ne.lng, sw.lng, ne.lat, sw.lat);
          $scope.map_level = level;

          if (!$scope.back) {
            if ($scope.map_level <= 10) {
              $ionicLoading.show({
                template: '当前范围较大，请您精确范围！',
                duration: 1000
              });

            } else {
              var flag = false;
              if ($scope.show_id != 0 && $scope.show_id != undefined) {
                flag = true;
              }
              if (!flag) {
                $scope.getStationList(map);
              }
            }
          }
        });
        */
      }

    };

    $scope.tilesloadedFunction = function(){
      var map = $scope.map1;
          var pt = map.getCenter(); //返回地图当前中心点
          var cp = map.getBounds(); //返回地图可视区域，以地理坐标表示
          var sw = cp.getSouthWest(); //返回矩形区域的西南角
          var ne = cp.getNorthEast(); //返回矩形区域的东北角

          var level = $scope.getZoom(ne.lng, sw.lng, ne.lat, sw.lat);
          $scope.map_level = level;

          if (!$scope.back) {
            if ($scope.map_level <= 10) {
              $ionicLoading.show({
                template: '当前范围较大，请您精确范围！',
                duration: 1000
              });

            } else {
              var flag = false;
              if ($scope.show_id != 0 && $scope.show_id != undefined) {
                flag = true;
              }
              if (!flag) {
                $scope.getStationList(map);
              }
            }
          }
    }

    $scope.launchNavigatorForIos = function() {
      $cordovaLaunchNavigator.navigate($scope.merchant.Address).then(function() {
        // console.log("Navigator launched");
      }, function(err) {
        console.error(err);
      });
    };
    $scope.navigate = function(address,longitude,latitude) {
      if ($cordovaDevice.getPlatform() === 'iOS') {
        $scope.launchNavigatorForIos();
      } else if ($cordovaDevice.getPlatform() === 'Android') {
        appAvailability.check('com.baidu.BaiduMap',
          function() { // Success start Bmap
            var targetSrc = 'http://api.map.baidu.com/direction?origin=latlng:' + geoLocationService.getLatitude() + ',' + geoLocationService.getLongitude() + '|name:您所在位置&destination=' + address + '&mode=driving&region=北京&output=html&src=测试北京12351app';
            $cordovaInAppBrowser.open(targetSrc, '_system', {
              clearcache: 'yes',
              clearsessioncache: 'yes',
              keyboardDisplayRequiresUserAction: 'no'
            });
          },
          function() { // Fail start Amap
            var targetSrc = 'http://uri.amap.com/navigation?from=&to=' + longitude + ',' + latitude + ',' + address + '&mode=car&policy=1&src=mypage&coordinate=gaode&callnative=1';
            $cordovaInAppBrowser.open(targetSrc, '_system', {
              clearcache: 'yes',
              clearsessioncache: 'yes',
              keyboardDisplayRequiresUserAction: 'no'
            });
          });
      }
    };


    $scope.$on('$ionicView.beforeEnter', function() {
      $scope.back = false;
      reLocated();
      longitude = geoLocationService.getLongitude() || "116.39098";
      latitude = geoLocationService.getLatitude() || "39.891935";
      $scope.addMap(longitude, latitude, $scope.map_level);

      // $scope.addMap("116.414867", "40.161169", $scope.map_level); //暖
    });

    //准备离开时触发
    $scope.$on('$ionicView.beforeLeave', function() {
      $scope.type = 1;
      $scope.back = true;
    });



    /*=================开始================*/
    //选择按钮
    $scope.multiple = function(id, event) {
      event.preventDefault();
      for (var i = 0; i < $scope.employee_services.length; i++) {
        if (id == $scope.employee_services[i].id) {
          if (!$scope.employee_services[i].is_checked) {
            angular.element(document.querySelector("#employeeli" + $scope.employee_services[i].id)).prop("checked", "checked").parent().removeClass("btn-weak");
            $scope.employee_services[i].is_checked = true;
          } else {
            angular.element(document.querySelector("#employeeli" + $scope.employee_services[i].id)).prop("checked", "checked").parent().addClass("btn-weak");
            $scope.employee_services[i].is_checked = false;
          }
        }
      }

    };

    $scope.change = function() {
      // $scope.addMap("116.419502", "39.996738", $scope.map_level);
      if ($scope.map1 !== undefined) {
        $scope.map1.clearOverlays();
        $scope.toMap($scope.map1);
      }
    };

    $scope.changeCenter = function() {
      // $scope.addMap("116.419502", "39.996738", $scope.map_level);
      //console.log("longitude="+localStorage.getItem("chaoyang.selected_longitude"));
      $scope.search_type=localStorage.getItem("chaoyang.selected_mapcode");
      if ($scope.map1 !== undefined) {
        $scope.map1.clearOverlays();
        $scope.toMap($scope.map1);
      }
    };


    /**重置筛选**/
    $scope.reset = function() {
      $scope.search.project_type = $scope.project_types[0];
      $scope.search.project_level = $scope.project_levels[0];
      $scope.search.yearly = '';
      $scope.search.ent_name = '';
    };


    /***模板方法*/
    $scope.modal = {};
    $scope.openModal = function(modal_name) {
      if (!!$scope.modal[modal_name] && $scope.modal[modal_name]._isShown) {
        return;
      }
      var options = {
        scope: $scope,
        animation: 'slide-in-up'
      };
      if (modal_name == 'search_employee') {
        options.animation = 'slide-in-right';
      }
      $ionicModal.fromTemplateUrl(templateUrlPath + 'templates/modals/' + modal_name + '.html', options).then(function(modal) {
        $scope.modal[modal_name] = modal;
        // if (modal_name == 'search_employee_ser') {
        //   console.log("----------------------");
        //   $scope.reset();
        // }
        $scope.modal[modal_name].show();
      });
    };

    $scope.closeModal = function(modal_name) {
      $scope.modal[modal_name].remove();
      // $scope.change();

      $scope.search.ent_name = '';
      $scope.search.service = '';
    };

    $scope.submitModal = function(modal_name) {

      $scope.change();
      // $scope.search.ent_name = '';
      // $scope.search.service = '';
      $scope.modal[modal_name].remove();
    };

    /**打开筛选模板**/
    $scope.openFilterModal = function() {
      var map = $scope.map1;
      map.removeEventListener("tilesloaded",$scope.tilesloadedFunction);
      $scope.flag=0;
      $scope.openModal('search_employee_ser');
    };
    /**取消筛选**/
    $scope.returnCancel = function() {
      $scope.closeModal('search_employee_ser');
    };
  })
  .controller('mapDetailCtrl', function($scope, $state, $cordovaDialogs, $stateParams, $ionicModal, $ionicLoading, $ionicHistory, templateUrlPath, mapDetailService, geoLocationService, $cordovaLaunchNavigator, $cordovaInAppBrowser, $cordovaDevice) {
    var page = 1;
    var size = 10;
    $scope.user = JSON.parse(localStorage.getItem('bj12351.user')) || {};
    $scope.user.hy_id = 0;

    $scope.merchant = {}; //服务单位

    /**刷新**/
    $scope.refresh = function() {
      geoLocationService.reLocated();
      mapDetailService.detail($stateParams.mapId).then(function(data) {
          if (data.errcode === undefined) {
            $scope.merchant = data;
            //加载地理编码插件
            AMap.plugin(["AMap.Geocoder"], function() {
              var myGeo = new AMap.Geocoder({
                city: "北京"
              });
              myGeo.getLocation($scope.merchant.address, function(status, result) {
                if (status === 'complete' && result.info === 'OK') {
                  // console.log(result.geocodes[0].location);
                  $scope.desLat = result.geocodes[0].location.lat;
                  $scope.desLng = result.geocodes[0].location.lng;
                }
              });
            });
          } else {
            $cordovaDialogs.alert(data.errmsg, '温馨提示', '好的').then(function() {
              $ionicHistory.goBack();
            });
          }
        }, function(error) {
          $ionicLoading.show({
            template: '网络繁忙，请稍后重试。',
            duration: 1000
          });
        })
        .finally(function() {
          $scope.$broadcast('scroll.refreshComplete');
        });
    };
    $scope.refresh();

    $scope.launchNavigatorForIos = function() {
      $cordovaLaunchNavigator.navigate($scope.merchant.Address).then(function() {
        // console.log("Navigator launched");
      }, function(err) {
        console.error(err);
      });
    };
    $scope.launchNavigator = function() {
      if ($cordovaDevice.getPlatform() === 'iOS') {
        $scope.launchNavigatorForIos();
      } else if ($cordovaDevice.getPlatform() === 'Android') {
        appAvailability.check('com.baidu.BaiduMap',
          function() { // Success start Bmap
            var targetSrc = 'http://api.map.baidu.com/direction?origin=latlng:' + geoLocationService.getLatitude() + ',' + geoLocationService.getLongitude() + '|name:您所在位置&destination=latlng:' + $scope.merchant.latitude + ',' + $scope.merchant.longitude + '|name:'+$scope.merchant.address+'&mode=driving&region=北京&output=html&src=测试北京12351app';
            console.log(targetSrc);
            $cordovaInAppBrowser.open(targetSrc, '_system', {
              clearcache: 'yes',
              clearsessioncache: 'yes',
              keyboardDisplayRequiresUserAction: 'no'
            });
          },
          function() { // Fail start Amap
            var targetSrc = 'http://uri.amap.com/navigation?from=&to=' + $scope.merchant.longitude + ',' + $scope.merchant.latitude + ',' + $scope.merchant.address + '&mode=car&policy=1&src=mypage&coordinate=gaode&callnative=1';
            console.log(targetSrc);
            $cordovaInAppBrowser.open(targetSrc, '_system', {
              clearcache: 'yes',
              clearsessioncache: 'yes',
              keyboardDisplayRequiresUserAction: 'no'
            });
          });
      }
      
      //访问地图app的方法，备用
      /*
      var amapAndroidSrc="amapuri://route/plan/?sid=&dlat="+$scope.desLat+"&dlon="+$scope.desLng+"&dname="+$scope.merchant.Address+"&dev=0&t=1"
      var baidumapAndroidSrc="baidumap://map/direction?destination=name:"+$scope.merchant.Address+"|latlng:"+($scope.desLat+0.00616)+","+($scope.desLng+0.00717)+"&coord_type=bd09ll&mode=transit&src=andr.longser.bj12351app";
      var amapIOSSrc="iosamap://path?sourceApplication=北京工会12351&sid=&dlat="+$scope.desLat+"&dlon="+$scope.desLng+"&dname="+$scope.merchant.Address+"&dev=0&t=1"
      var baidumapIOSSrc="baidumap://map/direction?destination=name:"+$scope.merchant.Address+"|latlng:"+($scope.desLat+0.00616)+","+($scope.desLng+0.00717)+"&coord_type=bd09ll&mode=transit&src=ios.longser.bj12351app";

      if ($cordovaDevice.getPlatform() === 'iOS') {
        appAvailability.check('baidumap://',
          function() { 
            appAvailability.check('iosamap://',
            function() { 
              $cordovaDialogs.confirm('请选择要使用的地图导航app', '温馨提示', ['百度地图', '高德地图'])
              .then(function(buttonIndex) {
                if (buttonIndex == 1) {
                  let baiduMapApp = startApp.set(baidumapIOSSrc);
                    baiduMapApp.start(function(){
                      
                    },function(error){
                      alert(error)
                    })
                }else if(buttonIndex == 2){
                  let gaodeApp = startApp.set(amapIOSSrc);
                    gaodeApp.start(function(){
                      
                    },function(error){
                      alert(error)
                    })
                }
              });
            },
            function() {
              let baiduMapApp = startApp.set(baidumapIOSSrc);
              baiduMapApp.start(function(){
                
              },function(error){
                alert(error)
              })
            });
          },
          function() { // Fail start Amap
            appAvailability.check('iosamap://',
            function() { 
              let gaodeApp = startApp.set(amapIOSSrc);
              gaodeApp.start(function(){
                
              },function(error){
                alert(error)
              })
            },
            function() {
              $scope.launchNavigatorForIos();
            });
          });
      } else if ($cordovaDevice.getPlatform() === 'Android') {
        appAvailability.check('com.baidu.BaiduMap',
          function() { 
            appAvailability.check('com.autonavi.minimap',
            function() { 
              $cordovaDialogs.confirm('请选择要使用的地图导航app', '温馨提示', ['百度地图', '高德地图'])
              .then(function(buttonIndex) {
                if (buttonIndex == 1) {
                  let baiduMapApp = startApp.set(
                    {
                      "action":"ACTION_VIEW",  
                  　　"category":"CATEGORY_DEFAULT",  
                  　　"type":"text/css",  
                  　　"package":"com.baidu.BaiduMap",  
                  　　"uri":baidumapAndroidSrc,   
                  　　"flags":["FLAG_ACTIVITY_CLEAR_TOP","FLAG_ACTIVITY_CLEAR_TASK"],   
                  　　"intentstart":"startActivity",  
                    }, {
                      "EXTRA_STREAM":"extraValue1",  
                      "extraKey2":"extraValue2" 
                    }
                  );
                  baiduMapApp.start(function () {
                    //$scope.exitApp();
                  }, function (error) { 
                    console.log('start fail', error)
                  });
                }else if(buttonIndex == 2){
                  let gaodeApp = startApp.set(
                    {
                      "action":"ACTION_VIEW",  
                  　　"category":"CATEGORY_DEFAULT",  
                  　　"type":"text/css",  
                  　　"package":"com.autonavi.minimap",  
                  　　"uri":amapAndroidSrc,   
                  　　"flags":["FLAG_ACTIVITY_CLEAR_TOP","FLAG_ACTIVITY_CLEAR_TASK"],   
                  　　"intentstart":"startActivity",  
                    }, {
                      "EXTRA_STREAM":"extraValue1",  
                      "extraKey2":"extraValue2" 
                    }
                  );
                  gaodeApp.start(function () {
                    //$scope.exitApp();
                  }, function (error) { 
                    console.log('start fail', error)
                  });
                }
              });
            },
            function() {
              let baiduMapApp = startApp.set(
                {
                  "action":"ACTION_VIEW",  
              　　"category":"CATEGORY_DEFAULT",  
              　　"type":"text/css",  
              　　"package":"com.baidu.BaiduMap",  
              　　"uri":baidumapAndroidSrc,   
              　　"flags":["FLAG_ACTIVITY_CLEAR_TOP","FLAG_ACTIVITY_CLEAR_TASK"],   
              　　"intentstart":"startActivity",  
                }, {
                  "EXTRA_STREAM":"extraValue1",  
                  "extraKey2":"extraValue2" 
                }
              );
              baiduMapApp.start(function () {
                //$scope.exitApp();
              }, function (error) { 
                console.log('start fail', error)
              });
            });
          },
          function() { // Fail start Amap
            appAvailability.check('com.autonavi.minimap',
            function() { 
              let gaodeApp = startApp.set(
                {
                  "action":"ACTION_VIEW",  
              　　"category":"CATEGORY_DEFAULT",  
              　　"type":"text/css",  
              　　"package":"com.autonavi.minimap",  
              　　"uri":amapAndroidSrc,   
              　　"flags":["FLAG_ACTIVITY_CLEAR_TOP","FLAG_ACTIVITY_CLEAR_TASK"],   
              　　"intentstart":"startActivity",  
                }, {
                  "EXTRA_STREAM":"extraValue1",  
                  "extraKey2":"extraValue2" 
                }
              );
              gaodeApp.start(function () {
                //$scope.exitApp();
              }, function (error) { 
                console.log('start fail', error)
              });
            },
            function() {
              $cordovaDialogs.alert('未在您的设备中找到地图导航APP，请安装高德地图或百度地图', '温馨提示', '好的');
            });
          });
      }
      */
    };


    /**显示图片**/
    $scope.showImg = function(url) {
      $scope.openModal('show_img');
    };


    /**模板方法**/
    $scope.modal = {};
    $scope.openModal = function(modal_name) {
      if (!!$scope.modal[modal_name] && $scope.modal[modal_name]._isShown) {
        return;
      }
      var option = {
        scope: $scope,
        animation: 'slide-in-up'
      };
      // if (modal_name == 'show_img') {
      //   option.animation = 'slide-in-up';
      // }
      $ionicModal.fromTemplateUrl(templateUrlPath + 'modules/modals/' + modal_name + '.html', option).then(function(modal) {
        $scope.modal[modal_name] = modal;
        $scope.modal[modal_name].show();
      });
    };

    $scope.closeModal = function(modal_name) {
      $scope.modal[modal_name].remove();
    };
    /**强制显示返回按钮**/
    $scope.$on('$ionicView.beforeEnter', function(event, viewData) {
      viewData.enableBack = true;
    });

  })
  .controller('protocolCtrl', function($scope, $ionicModal, $ionicLoading, $cordovaDialogs, $ionicHistory, $state, $stateParams, $sce, templateUrlPath, protocolService) {

    /**刷新服务详情**/
    $scope.refresh = function() {
      protocolService.detail($stateParams.articleId).then(function(data) {
          if (data.errcode === undefined) {
            $scope.service = data;
            $scope.service.content = $sce.trustAsHtml(data.content);
          } else {
            $cordovaDialogs.alert(data.errmsg, '温馨提示', '好的').then(function() {
              $ionicHistory.goBack();
            });
          }
        }, function(error) {
          $ionicLoading.show({
            template: '网络繁忙，请稍后重试。',
            duration: 1000
          });
          $ionicHistory.goBack();
        })
        .finally(function() {
          $scope.$broadcast('scroll.refreshComplete');
        });
    };
    $scope.refresh();
  });
