angular.module('zscy.policyList', ['ionic', 'zscy.services']);
angular.module('zscy.policyList')
  .config(function($stateProvider, $urlRouterProvider,templateUrlPath) {
    $stateProvider
      .state('tab.policyList', {
        url: '/policyList',
        views: {
          'tab-home': {
            templateUrl:templateUrlPath + 'templates/home/policy_list/policy_list.html',
            controller: 'policyListCtrl'
          }
        }
      })
      .state('tab.policyList_detail', {
        url: '/:policyList_id/policyList_detail',
        views: {
          'tab-home': {
            templateUrl:templateUrlPath + 'templates/home/policy_list/policy_list_detail.html',
            controller: 'policyList_detailCtrl'
          }
        }
      });
  })
  .controller('policyListCtrl', ['$scope', '$stateParams', 'policyListService', '$ionicModal', '$ionicLoading', '$cordovaDialogs', function($scope, $stateParams, policyListService, $ionicModal, $ionicLoading, $cordovaDialogs) {
    $scope.modal = {};
    $scope.policyList = policyListService.getpolicyList();
    $scope.title = '政策法规';
    $scope.page = 1;
    $scope.size = 10;
    var has_more = $scope.policyList.length >= $scope.size;
    $scope.hasMore = function() {
      return has_more;
    };
    $scope.refresh = function() {
      policyListService.refresh(1, $scope.size)
        .then(function(data) {
          if (data.errcode !== undefined && data.errcode !== 0) {
            $cordovaDialogs.alert(data.errmsg, '温馨提示', '好的');
          } else {
            if (data.length < $scope.size) {
              has_more = false;
            } else {
              has_more = true;
            }
            $scope.page = 2;
          }
          $scope.policyList = policyListService.getpolicyList();
        }, function(error) {
          $ionicLoading.show({
            template: '网络错误',
            duration: 1000
          });
        })
        .finally(function() {
          $scope.$broadcast('scroll.refreshComplete');
        });
    };
    $scope.refresh();
    $scope.doRefresh = function() {
      $scope.refresh();
    };
    $scope.more = function() {
      policyListService.more($scope.page, $scope.size)
        .then(function(data) {
          if (data.errcode !== undefined && data.errcode !== 0) {
            has_more = false;
            $cordovaDialogs.alert(data.errmsg, '温馨提示', '好的');
          } else {
            $scope.page++;
            if (data.length < $scope.size) {
              has_more = false;
            }
          }
          $scope.policyList = policyListService.getpolicyList();
          $scope.$broadcast('scroll.infiniteScrollComplete');
        }, function(error) {
          $ionicLoading.show({
            template: '网络错误',
            duration: 1000
          });
        });
    };
    $scope.openModal = function(modal_name) {
      $ionicModal.fromTemplateUrl('templates/modals/' + modal_name + '.html', {
        scope: $scope,
        animation: 'slide-in-up'
      }).then(function(modal) {
        $scope.modal[modal_name] = modal;
        $scope.modal[modal_name].show();
      });
    };

    $scope.closeModal = function(modal_name) {
      $scope.modal[modal_name].remove();
    };

    $scope.removeModal = function(modal_name) {
      $scope.modal[modal_name].remove();
    };

    $scope.submitModal = function(modal_name) {
      $scope.refresh();
      $scope.modal[modal_name].remove();
    };
  }])
  .controller('policyList_detailCtrl', function($scope, articleService, $stateParams, $ionicModal, $ionicLoading, $ionicHistory, $cordovaDialogs, $ionicScrollDelegate) {
    $scope.modal = {};
    $scope.policyList = articleService.getInfo();
    $scope.page = 1;
    $scope.size = 10;
    var has_more = $scope.policyList.length >= $scope.size;
    $scope.hasMore = function() {
      return has_more;
    };
    $scope.refresh = function() {
      articleService.refresh($stateParams.policyList_id)
        .then(function(data) {
          if (data.errcode !== undefined && data.errcode !== 0) {
            $cordovaDialogs.alert(data.errmsg, '温馨提示', '好的');
          } else {
            if (data.length < $scope.size) {
              has_more = false;
            } else {
              has_more = true;
            }
            $scope.page = 2;
          }
          $scope.policyList = articleService.getInfo();
        }, function(error) {
          $ionicLoading.show({
            template: '网络错误',
            duration: 1000
          });
        })
        .finally(function() {
          $scope.$broadcast('scroll.refreshComplete');
        });
    };
    $scope.refresh();
    $scope.doRefresh = function() {
      $scope.refresh();
    };

    $scope.openModal = function(modal_name) {
      $ionicModal.fromTemplateUrl('templates/modals/' + modal_name + '.html', {
        scope: $scope,
        animation: 'slide-in-up'
      }).then(function(modal) {
        $scope.modal[modal_name] = modal;
        $scope.modal[modal_name].show();
      });
    };

    $scope.closeModal = function(modal_name) {
      $scope.modal[modal_name].remove();
    };

    $scope.removeModal = function(modal_name) {
      $scope.modal[modal_name].remove();
    };

    $scope.submitModal = function(modal_name) {
      $scope.modal[modal_name].remove();
      //TODO
    };

    $scope.showImg = function(url) {
      $scope.openModal('show_img');
    };
  });
