angular.module('zscy.member_hotline', ['ionic', 'zscy.services']);
angular.module('zscy.member_hotline')
  .config(function($stateProvider, $urlRouterProvider, templateUrlPath) {
    $stateProvider
      .state('tab.member-hotline-joinPerson', {
        url: '/member-hotline-joinPerson',
        views: {
          'tab-hotline': {
            templateUrl: templateUrlPath + 'templates/hotline/join_person.html',
            controller: 'joinPersonCtrl'
          }
        }
      })
      .state('tab.member-hotline-joinCompany', {
        url: '/member-hotline-joinCompany',
        views: {
          'tab-hotline': {
            templateUrl: templateUrlPath + 'templates/hotline/join_company.html',
            controller: 'joinCompanyCtrl'
          }
        }
      })
      .state('tab.member-hotline-rightNew', {
        url: '/member-hotline-rightNew',
        views: {
          'tab-hotline': {
            templateUrl: templateUrlPath + 'templates/hotline/right_new.html',
            controller: 'rightNewCtrl'
          }
        }
      })
      .state('tab.member-hotline-joinPersonSearch', {
        url: '/member-hotline-joinPersonSearch',
        views: {
          'tab-hotline': {
            templateUrl: templateUrlPath + 'templates/hotline/join_person_search.html',
            controller: 'joinPersonSearchCtrl'
          }
        }
      })
      .state('tab.member-hotline-rightSearch', {
        url: '/member-hotline-rightSearch',
        views: {
          'tab-hotline': {
            templateUrl: templateUrlPath + 'templates/hotline/right_search.html',
            controller: 'rightSearchCtrl'
          }
        }
      })
      .state('tab.member-hotline-rightSearchFeedback', {
        url: '/:search_id/member-hotline-rightSearchFeedback',
        views: {
          'tab-hotline': {
            templateUrl: templateUrlPath + 'templates/hotline/right_search_detail.html',
            controller: 'rightSearchFeedbackCtrl'
          }
        }
      })
      .state('tab.member-hotline-joinCompanySearch', {
        url: '/member-hotline-joinCompanySearch',
        views: {
          'tab-hotline': {
            templateUrl: templateUrlPath + 'templates/hotline/join_company_search.html',
            controller: 'joinCompanySearchCtrl'
          }
        }
      });
  })
  .controller('joinPersonCtrl', ['$scope', '$stateParams', 'memberHotlineService', '$cordovaDialogs', '$ionicHistory', '$ionicModal', '$ionicLoading', 'userService', function($scope, $stateParams, memberHotlineService, $cordovaDialogs, $ionicHistory, $ionicModal, $ionicLoading, userService) {
    $scope.modal = {};
    $scope.title = '我要入会';
    $scope.user = {};
    $scope.user.org_id = 19;
    $scope.user.name = '';
    $scope.user.idcode = '';
    $scope.user.gender = 1;
    $scope.user.phone = '';
    $scope.user.other_contact = '';
    $scope.user.company = '';
    $scope.user.address = '';

    function IdentityCodeValid(code) {
      var city = {
        11: "北京",
        12: "天津",
        13: "河北",
        14: "山西",
        15: "内蒙古",
        21: "辽宁",
        22: "吉林",
        23: "黑龙江 ",
        31: "上海",
        32: "江苏",
        33: "浙江",
        34: "安徽",
        35: "福建",
        36: "江西",
        37: "山东",
        41: "河南",
        42: "湖北 ",
        43: "湖南",
        44: "广东",
        45: "广西",
        46: "海南",
        50: "重庆",
        51: "四川",
        52: "贵州",
        53: "云南",
        54: "西藏 ",
        61: "陕西",
        62: "甘肃",
        63: "青海",
        64: "宁夏",
        65: "新疆",
        71: "台湾",
        81: "香港",
        82: "澳门",
        91: "国外 "
      };
      var tip = "";
      var pass = true;
      if (!code || !/^[1-9]\d{5}((1[89]|20)\d{2})(0[1-9]|1[0-2])(0[1-9]|[12]\d|3[01])\d{3}[\dxX]$/i.test(code)) {
        tip = "身份证号格式错误";
        pass = false;
      } else if (!city[code.substr(0, 2)]) {
        tip = "地址编码错误";
        pass = false;
      } else {
        //18位身份证需要验证最后一位校验位
        if (code.length == 18) {
          code = code.split('');
          //∑(ai×Wi)(mod 11)
          //加权因子
          var factor = [7, 9, 10, 5, 8, 4, 2, 1, 6, 3, 7, 9, 10, 5, 8, 4, 2];
          //校验位
          var parity = [1, 0, 'X', 9, 8, 7, 6, 5, 4, 3, 2];
          var sum = 0;
          var ai = 0;
          var wi = 0;
          for (var i = 0; i < 17; i++) {
            ai = code[i];
            wi = factor[i];
            sum += ai * wi;
          }
          var last = parity[sum % 11];
          if (parity[sum % 11] != code[17].toUpperCase()) {
            tip = "校验位错误";
            pass = false;
          }
        }
      }
      return pass;
    }

    function checkPhone(phone) {
      var ab = /^1\d{10}$/;
      var tip = "";
      if (ab.test(phone) === false) {
        tip = "手机号格式错误";
        return false;
      }
      return true;
    }
    var apply_join = function() {
      if ($scope.user.name === "") {
        $cordovaDialogs.alert('姓名不能为空！', '温馨提示', '好的');
        return;
      }
      if (/\s+/.test($scope.user.name)) {
        $cordovaDialogs.alert('姓名不能含有空格！', '温馨提示', '好的');
        return;
      }
      if (!IdentityCodeValid($scope.user.idcode)) {
        $cordovaDialogs.alert('请正确填写身份证号！', '温馨提示', '好的');
        return;
      }
      if (!checkPhone($scope.user.phone)) {
        $cordovaDialogs.alert('请正确填写手机号！', '温馨提示', '好的');
        return;
      }
      if ($scope.user.company === "") {
        $cordovaDialogs.alert('工作单位不能为空！', '温馨提示', '好的');
        return;
      }
      if (/\s+/.test($scope.user.company)) {
        $cordovaDialogs.alert('工作单位不能含有空格！', '温馨提示', '好的');
        return;
      }
      if ($scope.user.address === "") {
        $cordovaDialogs.alert('单位地址不能为空！', '温馨提示', '好的');
        return;
      }
      memberHotlineService.applyJoin($scope.user.name, $scope.user.idcode.toUpperCase(), $scope.user.phone, $scope.user.company, $scope.user.address, $scope.user.gender, $scope.user.org_id, $scope.user.other_contact).then(function(data) {
        $cordovaDialogs.alert(data.errmsg, '温馨提示', '好的');
        $scope.user.name = '';
        $scope.user.idcode = '';
        $scope.user.phone = '';
        $scope.user.company = '';
        $scope.user.address = '';
        $scope.user.org_id = 19;
        $scope.user.gender = 1;
        $scope.user.other_contact = '';
        $ionicHistory.goBack();
      });
    };
    $scope.submit = apply_join;
  }])
  .controller('joinCompanyCtrl', ['$scope', '$stateParams', 'memberHotlineService', '$cordovaDialogs', '$ionicHistory', '$ionicModal', '$ionicLoading', 'userService', function($scope, $stateParams, memberHotlineService, $cordovaDialogs, $ionicHistory, $ionicModal, $ionicLoading, userService) {
    $scope.modal = {};
    $scope.title = '单位入会';
    $scope.company = {};
    $scope.company.name = '';
    $scope.company.orgcode = '';
    $scope.company.number = '';
    $scope.company.address = '';
    $scope.company.contact = '';
    $scope.company.telephone = '';

    function checkPhone(phone) {
      var ab = /^1\d{10}$/;
      var tip = "";
      if (ab.test(phone) === false) {
        tip = "手机号格式错误";
        return false;
      }
      return true;
    }
    //验证组织机构代码
    function check(orgcode) {
      var ab = /^[A-Z0-9]{9}$/;
      var tip = "";
      if (ab.test(orgcode) === false) {
        tip = "组织机构代码请输入数字或字母";
        return false;
      }
      return true;
    }
    var company_apply_join = function() {
      if ($scope.company.name === "") {
        $cordovaDialogs.alert('单位名称不能为空！', '温馨提示', '好的');
        return;
      }
      if (/\s+/.test($scope.company.name)) {
        $cordovaDialogs.alert('单位名称不能含有空格！', '温馨提示', '好的');
        return;
      }
      if (!check($scope.company.orgcode)) {
        $cordovaDialogs.alert('请正确输入组织机构代码！', '温馨提示', '好的');
        return;
      }
      if ($scope.company.number === "") {
        $cordovaDialogs.alert('请填写正确的公司人数！', '温馨提示', '好的');
        return;
      }
      if (!(/^[0-9]*[1-9][0-9]*$/.test($scope.company.number))) {
        $cordovaDialogs.alert('请正确输入公司人数！', '温馨提示', '好的');
        return;
      }
      if (/\s+/.test($scope.company.number)) {
        $cordovaDialogs.alert('公司人数不能含有空格！', '温馨提示', '好的');
        return;
      }
      if ($scope.company.address === "") {
        $cordovaDialogs.alert('单位地址不能为空！', '温馨提示', '好的');
        return;
      }
      if (/\s+/.test($scope.company.address)) {
        $cordovaDialogs.alert('单位地址不能含有空格！', '温馨提示', '好的');
        return;
      }
      if ($scope.company.contact === "") {
        $cordovaDialogs.alert('联系人不能为空！', '温馨提示', '好的');
        return;
      }
      if (/\s+/.test($scope.company.contact)) {
        $cordovaDialogs.alert('联系人不能含有空格！', '温馨提示', '好的');
        return;
      }
      if (!checkPhone($scope.company.telephone)) {
        $cordovaDialogs.alert('请正确填写联系人手机！', '温馨提示', '好的');
        return;
      }
      memberHotlineService.companyApplyJoin($scope.company.name, $scope.company.orgcode, $scope.company.number, $scope.company.address, $scope.company.contact, $scope.company.telephone).then(function(data) {
        $cordovaDialogs.alert(data.errmsg, '温馨提示', '好的');
        $scope.company.name = '';
        $scope.company.orgcode = '';
        $scope.company.number = '';
        $scope.company.address = '';
        $scope.company.contact = '';
        $scope.company.telephone = '';
        $ionicHistory.goBack();
      });
    };
    $scope.submit = company_apply_join;
  }])
  .controller('rightNewCtrl', ['$scope', '$stateParams', 'memberHotlineService', '$cordovaDialogs', '$ionicHistory', '$ionicModal', '$ionicLoading', 'userService', function($scope, $stateParams, memberHotlineService, $cordovaDialogs, $ionicHistory, $ionicModal, $ionicLoading, userService) {
    $scope.modal = {};
    $scope.title = '我要维权';
    $scope.user = {};
    $scope.user.name = '';
    $scope.user.phone = '';
    $scope.user.jing_card = '';
    $scope.user.title = '';
    $scope.user.content = '';
    $scope.user.org_id = 0;
    $scope.user.company = '';
    $scope.user.org_name = '';
    userService.info(localStorage.getItem('chaoyang.token')).then(function(data) {
      if (data.errcode === undefined) {
        $scope.user = data;
      }
    }, function() {
      $ionicLoading.show({
        template: '网络错误',
        duration: 1000
      });
    });
    var rights_new = function() {
      if ($scope.user.title === undefined || $scope.user.title === "") {
        $cordovaDialogs.alert('维权标题不能为空！', '温馨提示', '好的');
        return;
      }
      if ($scope.user.title.length > 32) {
        $cordovaDialogs.alert('维权标题字数过多，请删减！', '温馨提示', '好的');
        return;
      }
      if ($scope.user.content === undefined || $scope.user.content === "") {
        $cordovaDialogs.alert('维权内容不能为空！', '温馨提示', '好的');
        return;
      }
      if ($scope.user.content.length > 256) {
        $cordovaDialogs.alert('维权内容字数过多，请删减！', '温馨提示', '好的');
        return;
      }
      memberHotlineService.rightsNew($scope.user.name, $scope.user.jing_card, $scope.user.title, $scope.user.content, $scope.user.phone, $scope.user.org_id, $scope.user.company).then(function(data) {
        $cordovaDialogs.alert(data.errmsg, '温馨提示', '好的');
        $scope.user.content = '';
        $ionicHistory.goBack();
      });
    };
    $scope.submit = rights_new;
  }])
  .controller('joinPersonSearchCtrl', ['$scope', '$ionicHistory', '$stateParams', 'memberHotlineService', '$ionicModal', '$ionicLoading', '$cordovaDialogs', function($scope, $ionicHistory, $stateParams, memberHotlineService, $ionicModal, $ionicLoading, $cordovaDialogs) {
    $scope.user = {};
    $scope.user.idcode = '';
    $scope.title = '个人入会申请查询';
    $scope.hint = '请输入您当时入会申请时填写的身份证号进行结果查询';

    function IdentityCodeValid(code) {
      var city = {
        11: "北京",
        12: "天津",
        13: "河北",
        14: "山西",
        15: "内蒙古",
        21: "辽宁",
        22: "吉林",
        23: "黑龙江 ",
        31: "上海",
        32: "江苏",
        33: "浙江",
        34: "安徽",
        35: "福建",
        36: "江西",
        37: "山东",
        41: "河南",
        42: "湖北 ",
        43: "湖南",
        44: "广东",
        45: "广西",
        46: "海南",
        50: "重庆",
        51: "四川",
        52: "贵州",
        53: "云南",
        54: "西藏 ",
        61: "陕西",
        62: "甘肃",
        63: "青海",
        64: "宁夏",
        65: "新疆",
        71: "台湾",
        81: "香港",
        82: "澳门",
        91: "国外 "
      };
      var tip = "";
      var pass = true;
      if (!code || !/^[1-9]\d{5}((1[89]|20)\d{2})(0[1-9]|1[0-2])(0[1-9]|[12]\d|3[01])\d{3}[\dxX]$/i.test(code)) {
        tip = "身份证号格式错误";
        pass = false;
      } else if (!city[code.substr(0, 2)]) {
        tip = "地址编码错误";
        pass = false;
      } else {
        //18位身份证需要验证最后一位校验位
        if (code.length == 18) {
          code = code.split('');
          //∑(ai×Wi)(mod 11)
          //加权因子
          var factor = [7, 9, 10, 5, 8, 4, 2, 1, 6, 3, 7, 9, 10, 5, 8, 4, 2];
          //校验位
          var parity = [1, 0, 'X', 9, 8, 7, 6, 5, 4, 3, 2];
          var sum = 0;
          var ai = 0;
          var wi = 0;
          for (var i = 0; i < 17; i++) {
            ai = code[i];
            wi = factor[i];
            sum += ai * wi;
          }
          var last = parity[sum % 11];
          if (parity[sum % 11] != code[17].toUpperCase()) {
            tip = "校验位错误";
            pass = false;
          }
        }
      }
      return pass;
    }
    var person_search = function() {
      if (!IdentityCodeValid($scope.user.idcode)) {
        $cordovaDialogs.alert('请正确填写身份证号！', '温馨提示', '好的');
        return;
      }
      memberHotlineService.personSearch($scope.user.idcode.toUpperCase()).then(function(data) {
        $cordovaDialogs.alert(data.errmsg.replace('<br>', '\n').replace('<br>', '\n').replace('<br>', '\n').replace('<br>', '\n').replace('<br>', '\n'), '温馨提示', '好的');
        $scope.user.idcode = '';
        $ionicHistory.goBack();
      }, function() {
        $ionicLoading.show({
          template: '网络错误',
          duration: 1000
        });
      });
    };
    $scope.submit = person_search;
  }])
  .controller('joinCompanySearchCtrl', ['$scope', '$ionicHistory', '$stateParams', 'memberHotlineService', '$ionicModal', '$ionicLoading', '$cordovaDialogs', function($scope, $ionicHistory, $stateParams, memberHotlineService, $ionicModal, $ionicLoading, $cordovaDialogs) {
    $scope.company = {};
    $scope.company.orgcode = '';
    $scope.title = '单位入会申请查询';
    $scope.hint = '请输入您当时入会申请时填写的组织机构代码证号进行结果查询';
    //验证组织机构代码
    function check(orgcode) {
      var ab = /^[A-Za-z0-9]{9}$/;
      var tip = "";
      if (ab.test(orgcode) === false) {
        tip = "组织机构代码请输入数字或字母";
        return false;
      }
      return true;
    }
    var company_search = function() {
      if (!check($scope.company.orgcode)) {
        $cordovaDialogs.alert('请正确输入组织机构代码！', '温馨提示', '好的');
        return;
      }
      memberHotlineService.companySearch($scope.company.orgcode).then(function(data) {
        $cordovaDialogs.alert(data.errmsg.replace('<br>', '\n').replace('<br>', '\n').replace('<br>', '\n').replace('<br>', '\n'), '温馨提示', '好的');
        $scope.company.orgcode = '';
        $ionicHistory.goBack();
      }, function() {
        $ionicLoading.show({
          template: '网络错误',
          duration: 1000
        });
      });
    };
    $scope.submit = company_search;
  }])
  .controller('rightSearchCtrl', ['$scope', '$ionicHistory', '$stateParams', 'memberHotlineService', '$ionicModal', '$ionicLoading', '$cordovaDialogs', 'userService', function($scope, $ionicHistory, $stateParams, memberHotlineService, $ionicModal, $ionicLoading, $cordovaDialogs, userService) {
    $scope.modal = {};
    $scope.title = '维权信息查询';
    $scope.user = {};
    $scope.user.name = '';
    $scope.user.jing_card = '';
    $scope.rights = [];
    userService.info(localStorage.getItem('chaoyang.token')).then(function(data) {
      if (data.errcode === undefined) {
        $scope.user = data;
        $scope.rightsearch();
      }
    }, function() {
      $ionicLoading.show({
        template: '网络错误',
        duration: 1000
      });
    });
    $scope.rightsearch = function() {
      memberHotlineService.rightSearch($scope.user.name, $scope.user.jing_card).then(function(data) {
        $scope.rights = data;
      });
    };
    $scope.rightsearch();
  }])
  .controller('rightSearchFeedbackCtrl', ['$scope', '$ionicHistory', '$stateParams', 'memberHotlineService', '$ionicModal', '$ionicLoading', '$cordovaDialogs', 'userService', function($scope, $ionicHistory, $stateParams, memberHotlineService, $ionicModal, $ionicLoading, $cordovaDialogs, userService) {
    $scope.modal = {};
    $scope.score = {};
    $scope.title = '维权信息查询';
    $scope.right = {};
    $scope.score.value = 60;
    $scope.feedback = function() {
      memberHotlineService.rightFeedback($stateParams.search_id).then(function(data) {
        $scope.right = data;
      }, function() {
        $ionicLoading.show({
          template: '网络错误',
          duration: 1000
        });
      });
    };
    $scope.feedback();
    var rightfeedbackscore = function() {
      memberHotlineService.rightFeedbackScore($stateParams.search_id, $scope.score.value).then(function(data) {
        $cordovaDialogs.alert(data.errmsg, '温馨提示', '好的');
        $scope.score.value = 60;
        $ionicHistory.goBack();
      }, function() {
        $ionicLoading.show({
          template: '网络错误',
          duration: 1000
        });
      });
    };
    $scope.submit = rightfeedbackscore;
  }]);
