angular.module('zscy.login', ['ionic', 'zscy.services']);
angular.module('zscy.login')
  .config(function($stateProvider, $urlRouterProvider, templateUrlPath) {
    $stateProvider
      .state('tab.login', {
        url: '/login',
        views: {
          "tab-home": {
            templateUrl: templateUrlPath + 'templates/login/login.html',
            controller: 'LoginCtrl'
          }
        }
      })
      .state('tab.hotlinelogin', {
        url: '/hotlinelogin',
        views: {
          "tab-hotline": {
            templateUrl: templateUrlPath + 'templates/login/hotline_login.html',
            controller: 'LoginCtrl'
          }
        }
      })
      .state('tab.memberservicelogin', {
        url: '/memberservicelogin',
        views: {
          "tab-memberService": {
            templateUrl: templateUrlPath + 'templates/login/member_service_login.html',
            controller: 'LoginCtrl'
          }
        }
      })
      .state('tab.mylogin', {
        url: '/mylogin',
        views: {
          "tab-my": {
            templateUrl: templateUrlPath + 'templates/login/my_login.html',
            controller: 'LoginCtrl'
          }
        }
      });
  })
  .controller('LoginCtrl', function($scope, userService, $ionicLoading, $location, $ionicHistory, $cordovaDialogs, $interval, md5Service, $ionicModal, templateUrlPath) {
    $scope.login = {};
    $scope.forget = {};
    $scope.login.login_name = '';
    $scope.login.pw = '';
    $scope.modal = {};
    $scope.union_mobile = '';
    $scope.member_id = 0;

    /**
       * 用户协议
       */
      $scope.userProtocol = function() {
        // $state.go('tab.protocol_user');
        $location.path('/tab/protocol/10203/detail');
        $scope.myPopup1.close();
      };

      /**
       * 隐私协议
       */
      $scope.privacyProtocol = function() {
        $location.path('/tab/protocol/10204/detail');
        // $state.go('tab.protocol_user');
        $scope.myPopup1.close();
      };

    $scope.$on('$ionicView.beforeEnter', function() {
      $scope.id_card = localStorage.getItem('chaoyang.id_card');
      if($scope.id_card.length==18)
        $scope.id_card_protected = $scope.id_card.slice(0, 6) + '********' + $scope.id_card.slice(14);
      $scope.is_gesture_pwd = localStorage.getItem('chaoyang.is_gesture_pwd');
      if ($scope.is_gesture_pwd == 'true') {
        $scope.loginType = 'gesture';
        localStorage.setItem('chaoyang.login_type', 'gesture');
      }else{
        $scope.loginType = 'normal';
        localStorage.setItem('chaoyang.login_type', 'normal');
      }

    });

    $scope.loginType = localStorage.getItem('chaoyang.login_type') || 'normal';
      /**切换登录方式**/
      // /**切换登录方式**/
      $scope.changeLoginType = function(type) {
        $scope.loginType = type;
        localStorage.setItem('chaoyang.login_type', type);
      };

    $scope.doLogin = function() {
      userService.login($scope.login.login_name.toUpperCase(), md5Service.md5($scope.login.pw)).then(function(data) {
        if (data.errcode === 0) {
          localStorage.setItem('chaoyang.token', data.token);
          userService.info(localStorage.getItem('chaoyang.token')).then(function(data) {
            if (data.errcode === undefined) {
              $scope.login.login_name = '';
              $scope.login.pw = '';
              if (data.is_gesture_pwd) {
                localStorage.setItem('chaoyang.is_gesture_pwd', true);
              } else {
                localStorage.removeItem('chaoyang.is_gesture_pwd');
              }
              if ($ionicHistory.backView()) {
                $ionicHistory.goBack();
              } else {
                $location.path('/tab/home');
              }
            } else if (data.errcode == -1) {
              $cordovaDialogs.alert(data.errmsg, '温馨提示', '好的');
            } else if (data.errcode == -2) {
              $cordovaDialogs.alert(data.errmsg, '温馨提示', '好的');
            }
          }, function(error) {
            $ionicLoading.show({
              template: '网络错误',
              duration: 1000
            });
          });
        } else {
          $cordovaDialogs.alert(data.errmsg, '温馨提示', '好的');
        }
      }, function() {
        $ionicLoading.show({
          template: '网络错误',
          duration: 1000
        });
      });
    };


    $scope.mydoLogin = function() {
      userService.login($scope.login.login_name.toUpperCase(), md5Service.md5($scope.login.pw)).then(function(data) {
        if (data.errcode === 0) {
          console.log(data.token);
          localStorage.setItem('chaoyang.token', data.token);
          userService.info(localStorage.getItem('chaoyang.token')).then(function(data) {
            if (data.errcode === undefined) {
              $scope.login.login_name = '';
              $scope.login.pw = '';
              $location.path('/tab/my');
            } else if (data.errcode == -1) {
              $cordovaDialogs.alert(data.errmsg, '温馨提示', '好的');
            } else if (data.errcode == -2) {
              $cordovaDialogs.alert(data.errmsg, '温馨提示', '好的');
            }
          }, function(error) {
            $ionicLoading.show({
              template: '网络错误',
              duration: 1000
            });
          });
        } else {
          $cordovaDialogs.alert(data.errmsg, '温馨提示', '好的');
        }
      }, function() {
        $ionicLoading.show({
          template: '网络错误',
          duration: 1000
        });
      });
    };

    $scope.count_down = function() {
      $scope.forget.gain_code = '发送中' + '(' + 90 + 's)';
      var wait = 90;
      if (count !== undefined) {
        $interval.cancel(count);
      }
      var count = $interval(function() {
        $scope.forget.gain_code = '发送中' + '(' + wait + 's)';
        wait--;
        if (wait === 0) {
          $interval.cancel(count);
          $scope.forget.gain_code = '发送验证码';
          $scope.forget.checked = false;
        }
      }, 1000);
    };

    $scope.send_code = function() {
      userService.forgetValidCode($scope.forget.phone.toUpperCase()).then(function(data) {
        if (data.errcode === 0) {
          $scope.forget.checked = true;
          $scope.member_id = data.member_id;
          $scope.union_mobile = data.union_mobile;
          $scope.count_down();
          $cordovaDialogs.alert(data.errmsg, '温馨提示', '好的');
        } else {
          $cordovaDialogs.alert(data.errmsg, '温馨提示', '好的');
        }
      }, function() {
        $ionicLoading.show({
          template: '网络错误',
          duration: 1000
        });
      });
    };

    $scope.openModal = function(modal_name) {
      $ionicModal.fromTemplateUrl(templateUrlPath + 'templates/modals/' + modal_name + '.html', {
        scope: $scope,
        animation: 'slide-in-up'
      }).then(function(modal) {
        $scope.modal[modal_name] = modal;
        $scope.forget.phone = '';
        $scope.forget.verification_code = '';
        $scope.forget.gain_code = '发送验证码';
        $scope.forget.checked = false;
        $scope.modal[modal_name].show();
      });
    };
    $scope.closeModal = function(modal_name) {
      $scope.modal[modal_name].remove();
    };

    $scope.removeModal = function(modal_name) {
      $scope.modal[modal_name].remove();
    };
    $scope.submitModal = function(modal_name) {
      $scope.modal[modal_name].remove();
      //TODO
    };
    $scope.modifyPassword = function() {
      userService.modifyPassword($scope.forget.valid_code, $scope.forget.phone, md5Service.md5($scope.forget.pw),$scope.member_id,$scope.union_mobile).then(function(data) {
        $scope.modal['forgetpw'].remove();
        $cordovaDialogs.alert(data.errmsg, '温馨提示', '好的');
      }, function() {
        $ionicLoading.show({
          template: '网络错误',
          duration: 1000
        });
      });
    };

    /*=================手势密码部分相关js开始================*/

      /* 手势*/
      $("#gesturepwd").GesturePasswd({
        backgroundColor: "#fff", //背景色
        color: "#ccc", //主要的控件颜色
        roundRadii: 30, //大圆点的半径
        pointRadii: 6, //大圆点被选中时显示的圆心的半径
        space: 30, //大圆点之间的间隙
        width: 270, //整个组件的宽度
        height: 270, //整个组件的高度
        lineColor: "#33cc33", //用户划出线条的颜色
        zindex: 100 //整个组件的css z-index属性
      });

      $("#gesturepwd").on("hasPasswd", function(e, passwd) {
        if (passwd === null || passwd === '') {
          return;
        }
        if (passwd !== null && passwd.length < 5) {
          $("#gesturepwd").trigger("passwdWrong");
          setTimeout(function() {
            $cordovaDialogs.alert('手势密码至少连接5个点。', '温馨提示', '好的');
          }, 500); //延迟半秒以照顾视觉效果
          //密码验证错误后的其他操作。。。
          return;
        }

        if ($("#gesturepwd")) {
          $scope.gesture_login(passwd);
        }
      });

      //  $scope.user = userService.getUserInfo();
      $scope.gesture_login = function(passwd) {
        if (!localStorage.getItem('chaoyang.id_card')) {
          $cordovaDialogs.alert('您还没有设置手势密码，请用其他方式登录!', '温馨提示', '好的');
          return;
        }
        userService.gestureLogin(localStorage.getItem('chaoyang.id_card').toUpperCase(), md5Service.md5(passwd)).then(function(data) {
          if (data.errcode === 0) {
            localStorage.setItem('chaoyang.token', data.token);
            $("#gesturepwd").trigger("clearPasswd");
            userService.info(localStorage.getItem('chaoyang.token')).then(function(data) {
              if (data.errcode === undefined) {
                $scope.login = {};
                // if (localStorage.getItem('bj12351.is_gesture_pwd') == 'true') { //只能和字符串型'true'作比较，因为取出的localStorage值为字符串
                //   localStorage.setItem('bj12351.login_type', 'gesture');
                // }
                if ($ionicHistory.backView()) {
                  $ionicHistory.goBack();
                } else {
                  $state.go('tab.home');
                }
              } else {
                $cordovaDialogs.alert(data.errmsg, '温馨提示', '好的');
              }
            }, function(error) {
              $ionicLoading.show({
                template: '网络繁忙，请稍后重试。',
                duration: 1000
              });
            });
          } else {
            $cordovaDialogs.alert(data.errmsg, '温馨提示', '好的');
            $("#gesturepwd").trigger("clearPasswd");
          }
        }, function() {
          $ionicLoading.show({
            template: '网络繁忙，请稍后重试。',
            duration: 1000
          });
        });
      };
  });
