angular.module('zscy.member_service', ['ionic', 'zscy.services']);
angular.module('zscy.member_service')
  .config(function($stateProvider, $urlRouterProvider, templateUrlPath) {
    $stateProvider
      .state('tab.memberService', {
        url: '/memberService',
        views: {
          'tab-memberService': {
            templateUrl: templateUrlPath + 'templates/member_service/member_service.html',
            controller: 'MemberServiceCtrl'
          }
        },
        onEnter: function($rootScope, messageService) {
          if (localStorage.getItem('chaoyang.token')) {
            messageService.checkMessage(localStorage.getItem('chaoyang.token')).then(function(data) {
              $rootScope.unreaded = messageService.getUnreaded();
            }, function(err) {});
          }
        }
      })
      .state('tab.memberServiceHistory', {
        url: '/memberServiceHistory',
        views: {
          'tab-memberService': {
            templateUrl: templateUrlPath + 'templates/member_service/member_service_history.html',
            controller: 'MemberServiceHistoryCtrl'
          }
        }
      })
      .state('tab.service_detail', {
        url: '/memberService/:service_id/service_detail',
        views: {
          'tab-memberService': {
            templateUrl: templateUrlPath + 'templates/member_service/member_service_detail.html',
            controller: 'MemberServiceDetailCtrl'
          }
        }
      })
      .state('tab.service_history_detail', {
        url: '/memberServiceHistory/:service_id/service_detail',
        views: {
          'tab-memberService': {
            templateUrl: templateUrlPath + 'templates/member_service/member_service_history_detail.html',
            controller: 'MemberServiceDetailCtrl'
          }
        }
      })
      .state('tab.my_service_detail', {
        url: '/memberService/:service_id/my_service_detail',
        views: {
          'tab-my': {
            templateUrl: templateUrlPath + 'templates/my/my_service/my_merchants_service_detail.html',
            controller: 'MemberServiceDetailCtrl'
          }
        }
      })
      .state('tab.batch-list', {
        url: '/memberService/:project_id',
        views: {
          'tab-memberService': {
            templateUrl: templateUrlPath + 'templates/member_service/batch_list.html',
            controller: 'BatchListCtrl'
          }
        }
      })
      .state('tab.batch-list-history', {
        url: '/memberServiceHistory/:project_id',
        views: {
          'tab-memberService': {
            templateUrl: templateUrlPath + 'templates/member_service/batch_list_history.html',
            controller: 'BatchListHistoryCtrl'
          }
        }
      })
      .state('tab.merchant-services', {
        url: '/merchants/:merchant_id/detail/services',
        views: {
          'tab-memberService': {
            templateUrl: templateUrlPath + 'templates/member_service/merchants_service.html',
            controller: 'MerchantServiceCtrl'
          }
        }
      })
      .state('tab.my_merchant-services', {
        url: '/my_merchants/:merchant_id/detail/services',
        views: {
          'tab-my': {
            templateUrl: templateUrlPath + 'templates/my/my_service/my_merchants_service.html',
            controller: 'MyMerchantServiceCtrl'
          }
        }
      });
  })
  .controller('MemberServiceCtrl', ['$scope', 'memberService', '$ionicLoading', '$cordovaDialogs', '$ionicModal', '$stateParams', function($scope, memberService, $ionicLoading, $cordovaDialogs, $ionicModal, $stateParams) {
    $scope.modal = {};
    $scope.page = 1;
    $scope.size = 10;
    $scope.search = {};
    $scope.codelist = {};
    $scope.condition = {};
    $scope.search = {};
    $scope.search.name = memberService.getSearchName();
    $scope.district = 1539;
    $scope.category = 0;
    $scope.pullrefresh = true;
    $scope.search_button = true;
    $scope.servicelist = memberService.getmemberService();
    $scope.servicehistorylist = memberService.getmemberServiceHistory();
    var has_more = $scope.servicelist.length >= $scope.size;
    $scope.hasMore = function() {
      return has_more;
    };
    var has_more2 = $scope.servicehistorylist.length >= $scope.size;
    $scope.hasMore2 = function() {
      return has_more2;
    };
    $scope.refresh = function() {
      memberService.refresh($scope.search.name, 1, $scope.size, $scope.district, $scope.category)
        .then(function(data) {
          if (data.errcode !== undefined && data.errcode !== 0) {
            $cordovaDialogs.alert(data.errmsg, '温馨提示', '好的');
          } else {
            if (data.length < $scope.size) {
              has_more = false;
            } else {
              has_more = true;
            }
            $scope.page = 2;
          }
          $scope.servicelist = memberService.getmemberService();
        }, function(error) {
          $ionicLoading.show({
            template: '网络错误',
            duration: 1000
          });
        })
        .finally(function() {
          $scope.$broadcast('scroll.refreshComplete');
        });
    };
    $scope.refresh();
    $scope.refresh_history = function() {
      memberService.refreshMemberServiceHistory($scope.search.name, 1, $scope.size, $scope.district, $scope.category)
        .then(function(data) {
          if (data.errcode !== undefined && data.errcode !== 0) {
            $cordovaDialogs.alert(data.errmsg, '温馨提示', '好的');
          } else {
            if (data.length < $scope.size) {
              has_more = false;
            } else {
              has_more = true;
            }
            $scope.page = 2;
          }
          $scope.servicehistorylist = memberService.getmemberServiceHistory();
        }, function(error) {
          $ionicLoading.show({
            template: '网络错误',
            duration: 1000
          });
        })
        .finally(function() {
          $scope.$broadcast('scroll.refreshComplete');
        });
    };
    $scope.refresh_history();
    $scope.doRefresh = function() {
      $scope.search.name = '';
      $scope.refresh();
    };
    $scope.doRefreshHistory = function() {
      $scope.search.name = '';
      $scope.refresh_history();
    };
    $scope.more = function() {
      memberService.more($scope.search.name, $scope.page, $scope.size, $scope.district, $scope.category)
        .then(function(data) {
          if (data.errcode !== undefined && data.errcode !== 0) {
            has_more = false;
            $cordovaDialogs.alert(data.errmsg, '温馨提示', '好的');
          } else {
            $scope.page++;
            if (data.length < $scope.size) {
              has_more = false;
            }
          }
          $scope.servicelist = memberService.getmemberService().concat();
          $scope.$broadcast('scroll.infiniteScrollComplete');
        }, function(error) {
          $ionicLoading.show({
            template: '网络错误',
            duration: 1000
          });
        });
    };
    $scope.morehistory = function() {
      memberService.moreMemberServiceHistory($scope.search.name, $scope.page, $scope.size, $scope.district, $scope.category)
        .then(function(data) {
          if (data.errcode !== undefined && data.errcode !== 0) {
            has_more2 = false;
            $cordovaDialogs.alert(data.errmsg, '温馨提示', '好的');
          } else {
            $scope.page++;
            if (data.length < $scope.size) {
              has_more2 = false;
            }
          }
          $scope.servicehistorylist = memberService.getmemberServiceHistory().concat();
          $scope.$broadcast('scroll.infiniteScrollComplete');
        }, function(error) {
          $ionicLoading.show({
            template: '网络错误',
            duration: 1000
          });
        });
    };

    /**监听进入界面**/
    $scope.$on('$ionicView.beforeEnter', function() {
      /**由首页进入搜索框进入时，判断是否需要刷新列表**/
      if ($stateParams.needRefresh == 1) {
        $scope.search.name = memberService.getSearchName();
        $scope.refresh();
      }
    });

    $scope.openModal = function(modal_name) {
      $ionicModal.fromTemplateUrl('templates/modals/' + modal_name + '.html', {
        scope: $scope,
        animation: 'slide-in-up'
      }).then(function(modal) {
        $scope.modal[modal_name] = modal;
        $scope.modal[modal_name].show();
      });
    };
    $scope.closeModal = function(modal_name) {
      $scope.modal[modal_name].remove();
    };
    $scope.removeModal = function(modal_name) {
      $scope.modal[modal_name].remove();
    };
    $scope.submitModal = function(modal_name) {
      $scope.refresh();
      $scope.modal[modal_name].remove();
    };
  }])
  .controller('MemberServiceHistoryCtrl', ['$scope', 'memberService', '$ionicLoading', '$cordovaDialogs', '$ionicModal', '$stateParams', function($scope, memberService, $ionicLoading, $cordovaDialogs, $ionicModal, $stateParams) {
    $scope.modal = {};
    $scope.page = 1;
    $scope.size = 10;
    $scope.search = {};
    $scope.codelist = {};
    $scope.condition = {};
    $scope.search.name = '';
    $scope.district = 1539;
    $scope.category = 0;
    $scope.pullrefresh = true;
    $scope.search_button = true;
    $scope.servicelist = memberService.getmemberServiceHistory();
    var has_more = $scope.servicelist.length >= $scope.size;
    $scope.hasMore = function() {
      return has_more;
    };
    $scope.refresh = function() {
      memberService.refreshMemberServiceHistory($scope.search.name, 1, $scope.size, $scope.district, $scope.category)
        .then(function(data) {
          if (data.errcode !== undefined && data.errcode !== 0) {
            $cordovaDialogs.alert(data.errmsg, '温馨提示', '好的');
          } else {
            if (data.length < $scope.size) {
              has_more = false;
            } else {
              has_more = true;
            }
            $scope.page = 2;
          }
          $scope.servicelist = memberService.getmemberServiceHistory();
        }, function(error) {
          $ionicLoading.show({
            template: '网络错误',
            duration: 1000
          });
        })
        .finally(function() {
          $scope.$broadcast('scroll.refreshComplete');
        });
    };
    $scope.refresh();
    $scope.doRefresh = function() {
      $scope.search.name = '';
      $scope.refresh();
    };
    $scope.more = function() {
      memberService.moreMemberServiceHistory($scope.search.name, $scope.page, $scope.size, $scope.district, $scope.category)
        .then(function(data) {
          if (data.errcode !== undefined && data.errcode !== 0) {
            has_more = false;
            $cordovaDialogs.alert(data.errmsg, '温馨提示', '好的');
          } else {
            $scope.page++;
            if (data.length < $scope.size) {
              has_more = false;
            }
          }
          $scope.servicelist = memberService.getmemberServiceHistory().concat();
          $scope.$broadcast('scroll.infiniteScrollComplete');
        }, function(error) {
          $ionicLoading.show({
            template: '网络错误',
            duration: 1000
          });
        });
    };
    $scope.openModal = function(modal_name) {
      $ionicModal.fromTemplateUrl('templates/modals/' + modal_name + '.html', {
        scope: $scope,
        animation: 'slide-in-up'
      }).then(function(modal) {
        $scope.modal[modal_name] = modal;
        $scope.modal[modal_name].show();
      });
    };
    $scope.closeModal = function(modal_name) {
      $scope.modal[modal_name].remove();
    };
    $scope.removeModal = function(modal_name) {
      $scope.modal[modal_name].remove();
    };
    $scope.submitModal = function(modal_name) {
      $scope.refresh();
      $scope.modal[modal_name].remove();
    };
  }])
  .controller('MemberServiceDetailCtrl', ['$scope', '$stateParams', 'serviceinfoService', 'commentsService', '$ionicLoading', '$cordovaDialogs', '$ionicHistory','$sce', '$location', '$ionicModal', '$cordovaDatePicker', 'userService', 'codelistService', 'scanBarcodeService', 'geoLocationService', 'templateUrlPath', '$timeout', 'servicesService', function($scope, $stateParams, serviceinfoService, commentsService, $ionicLoading, $cordovaDialogs, $ionicHistory,$sce, $location, $ionicModal, $cordovaDatePicker, userService, codelistService, scanBarcodeService, geoLocationService, templateUrlPath, $timeout, servicesService) {
    $scope.token = localStorage.getItem('chaoyang.token');
    $scope.comments = [];
    $scope.service = {};
    $scope.add = {};
    $scope.add.address = '';
    $scope.add.post_code = '';
    $scope.modal = {};
    $scope.user = {};
    $scope.reserve = {};
    $scope.stations = [];
    $scope.max_num = 0;
    $scope.min_num = 0;
    $scope.has_reserve = false;
    $scope.reserve.station = {};
    $scope.latitude = geoLocationService.getLatitude();
    $scope.longitude = geoLocationService.getLongitude();
    $scope.servicelist = serviceinfoService.getServiceInfo();
    $scope.page = 1;
    $scope.size = 2;
    $scope.refresh = function() {
      serviceinfoService.detail($stateParams.service_id).then(function(data) {
          if (data.errcode === undefined) {
            $scope.service = data;
            $scope.is_address_phone = data.is_address_phone;
            $scope.service.description = $sce.trustAsHtml(data.description);
          } else {
            $cordovaDialogs.alert(data.errmsg, '温馨提示', '好的').then(function() {
              $ionicHistory.goBack();
            });
          }
        }, function(error) {
          $ionicLoading.show({
            template: '网络错误',
            duration: 1000
          });
          $ionicHistory.goBack();
        })
        .finally(function() {
          $scope.$broadcast('scroll.refreshComplete');
        });

      commentsService.getCommentsByService($stateParams.service_id, 1, 2)
        .then(function(data) {
          $scope.comments = data.slice(0, 2);
        }, function(error) {
          $ionicLoading.show({
            template: '网络错误',
            duration: 1000
          });
        });
    };
    $scope.refresh();
    $scope.doRefresh = function() {
      $scope.refresh();
    };

    $scope.stations_page = 1;
    $scope.stations_size = 20;
    $scope.reserve.name = '';
    var stations_has_more = $scope.stations.length >= $scope.stations_size;
    $scope.stationsHasMore = function() {
      return stations_has_more;
    };
    $scope.doStationsRefresh = function() {
      serviceinfoService.merchantList($scope.longitude, $scope.latitude, $stateParams.service_id, 1, $scope.stations_size, $scope.reserve.name).then(function(data) {
          if (data.errcode === undefined) {
            $scope.stations = data;
            $scope.reserve.station = data[0];
            if (data.length < $scope.stations_size) {
              stations_has_more = false;
            } else {
              stations_has_more = true;
            }
            $scope.stations_page = 2;
          } else {
            $cordovaDialogs.alert(data.errmsg, '温馨提示', '好的').then(function() {
              $ionicHistory.goBack();
            });
          }
        }, function(error) {
          $ionicLoading.show({
            template: '网络错误',
            duration: 1000
          });
        })
        .finally(function() {
          $scope.$broadcast('scroll.refreshComplete');
        });
    };

    //利用闭包实现延迟触发change搜索
    $scope.doSearch = (function() {
      var timeoutHandle;
      return function() {
        $timeout.cancel(timeoutHandle);
        timeoutHandle = $timeout($scope.doStationsRefresh, 1000);
      };
    })();

    $scope.getTimeTable = function() {
      servicesService.getTimeTable($stateParams.service_id).then(function(data) {
        if (data.errcode === undefined) {
          $scope.reserve.dates = data;
        } else {
          $cordovaDialogs.alert(data.errmsg, '温馨提示', '好的');
        }
      }, function(error) {
        $ionicLoading.show({
          template: '网络错误',
          duration: 1000
        });
      });
    };

    $scope.moreStations = function() {
      serviceinfoService.moreMerchants($scope.longitude, $scope.latitude, $stateParams.service_id, $scope.stations_page, $scope.stations_size, $scope.reserve.name)
        .then(function(data) {
          if (data.errcode !== undefined && data.errcode !== 0) {
            stations_has_more = false;
            $cordovaDialogs.alert(data.errmsg, '温馨提示', '好的');
          } else {
            $scope.stations_page++;
            if (data.length < $scope.stations_size) {
              stations_has_more = false;
            }
            $scope.stations = $scope.stations.concat(data);
          }
          $scope.$broadcast('scroll.infiniteScrollComplete');
        }, function(error) {
          $ionicLoading.show({
            template: '网络错误',
            duration: 1000
          });
        })
        .finally(function() {
          $scope.$broadcast('scroll.infiniteScrollComplete');
        });
    };
    $scope.openModal = function(modal_name) {
      $ionicModal.fromTemplateUrl(templateUrlPath + 'templates/modals/' + modal_name + '.html', {
        scope: $scope,
        animation: 'slide-in-up'
      }).then(function(modal) {
        if (modal_name === 'select_station') {
          $scope.doStationsRefresh();
        } else if (modal_name === 'select_date') {
          $scope.getTimeTable();
        }
        $scope.modal[modal_name] = modal;
        $scope.modal[modal_name].show();
      });
    };
    $scope.closeModal = function(modal_name) {
      $scope.modal[modal_name].remove();
    };
    $scope.removeModal = function(modal_name) {
      $scope.modal[modal_name].remove();
    };
    $scope.submitModal = function(modal_name) {
      $scope.modal[modal_name].remove();
    };
    $scope.scanBarcode = function() {
      scanBarcodeService.scan();
    };
    $scope.service_verify = function() {
      if (localStorage.getItem('chaoyang.token')) {
        $scope.user = JSON.parse(localStorage.getItem('chaoyang.user'));
        $scope.user.default_receive = $scope.user.receives.filter(function(item) {
          return item.is_default;
        })[0];
        $scope.reserve.receive = $scope.user.default_receive || {};
        $scope.reserve.phone = $scope.user.phone;
        //判断是否有预定资格
        serviceinfoService.verify(localStorage.getItem('chaoyang.token'), $stateParams.service_id).then(function(data) {
          if (data.errcode === 0) {
            $scope.max_num = data.max_num;
            $scope.min_num = data.min_num;
            $scope.batch_period = data.batch_period;
            $scope.is_reserve = data.is_reserve;
            $scope.is_square = data.is_square;
            if (data.is_square) {
              $scope.reserve.use_date = '';
            } else {
              $scope.reserve.use_date = new Date();
            }
            $scope.apply_address = data.apply_address;
            $scope.reserve.count = $scope.max_num > 0 ? $scope.max_num : $scope.min_num;
            $scope.begin_date = data.begin_date;
            $scope.begin_time = data.begin_time;
            $scope.end_time = data.end_time;
            if ($scope.is_reserve == 1) {
              $scope.begin_time = new Date($scope.begin_time);
              if (Date.parse($scope.reserve.use_date) - Date.parse($scope.begin_time) > 0 && Date.parse($scope.reserve.use_date) - Date.parse($scope.end_time) < 0) {
                $scope.reserve.use_date = $scope.reserve.use_date;
              }
              if (Date.parse($scope.reserve.use_date) - Date.parse($scope.begin_time) < 0) {
                $scope.reserve.use_date = $scope.begin_time;
              }
            }

            $scope.openModal('service_reserve');
          } else if (data.errcode == -1) {
            $cordovaDialogs.confirm('您尚未登录哦', '温馨提示：', ['现在登录', '稍后登录'])
              .then(function(buttonIndex) {
                if (buttonIndex == 1) {
                  $location.path('/tab/memberservicelogin');
                }
              });
          } else if (data.errcode == -2) {
            $cordovaDialogs.alert(data.errmsg, '温馨提示', '好的');
          } else if (data.errcode == 1) {
            $cordovaDialogs.alert('先对未评价的服务进行评价', '温馨提示', '好的').then(function() {
              $location.path("/my-service/" + data.apply_id + "/my-service-detail");
            });
          } else if (data.errcode == 2) {
            $cordovaDialogs.alert(data.errmsg, '温馨提示', '好的');
          }
        }, function() {
          $ionicLoading.show({
            template: '网络错误',
            duration: 1000
          });
        });
      } else {
        $cordovaDialogs.alert('请先登录', '温馨提示：', '好的').then(function() {
          $location.path("/tab/memberservicelogin");
        });
      }
    };
    $scope.setUseDate = function() {
      var options = {
        date: new Date(),
        mode: 'date',
        minDate: $scope.begin_time,
        maxDate: $scope.end_time,
        allowOldDates: true,
        allowFutureDates: false,
        doneButtonLabel: '完成',
        doneButtonColor: '#F2F3F4',
        cancelButtonLabel: '取消',
        cancelButtonColor: '#000000'
      };
      $cordovaDatePicker.show(options).then(function(date) {
        $scope.reserve.use_date = data;
      });
    };
    $scope.service_reserve = function() {
      if (localStorage.getItem('chaoyang.token')) {
        if (($scope.is_reserve == 1 || $scope.is_square) && ($scope.reserve.use_date === undefined || $scope.reserve.use_date.length === 0)) {
          $cordovaDialogs.alert('请填写预约时间', '温馨提示', '好的');
          return;
        }
        // 改
        if ($scope.max_num > 0) {
          if ($scope.reserve.count > $scope.max_num) {
            $cordovaDialogs.alert('领取数量不能超过' + $scope.max_num, '温馨提示', '好的');
            return;
          }
        }
        if ($scope.reserve.count < $scope.min_num) {
          $cordovaDialogs.alert('领取数量不能小于' + $scope.min_num, '温馨提示', '好的');
          return;
        }
        if ($scope.is_address_phone == 1) {
          if (!/^1\d{10}$/.test($scope.reserve.phone)) {
            $cordovaDialogs.alert('请输入正确的联系人手机号', '温馨提示', '好的');
            return;
          }
        } else if ($scope.is_address_phone == 0) {
          if ($scope.reserve.phone !== '' && (!/^1\d{10}$/.test($scope.reserve.phone))) {
            $cordovaDialogs.alert('请输入正确的联系人手机号', '温馨提示', '好的');
            return;
          }
        }
        if ($scope.is_address_phone == 1) {
          if ($scope.reserve.receive.address === undefined || $scope.reserve.receive.address.length == 0) {
            $cordovaDialogs.alert('请选择收件地址', '温馨提示', '好的');
            return;
          }
        }
        if ($scope.apply_address && ($scope.reserve.station.name === undefined || $scope.reserve.station.name.length === 0)) {
          $cordovaDialogs.alert('请选择领物地址', '温馨提示', '好的');
          return;
        }
        serviceinfoService.reserve(localStorage.getItem('chaoyang.token'), $stateParams.service_id, $scope.reserve.receive.id, $scope.reserve.use_date, $scope.reserve.station.id, $scope.reserve.count, $scope.reserve.phone).then(function(data) {
          if (data.errcode === 0) {
            $cordovaDialogs.alert('您已经成功预订该服务,可以在我的服务中随时查看', '温馨提示', '好的').then(function() {
              $scope.has_reserve = true;
              $scope.submitModal('service_reserve');
            });
          } else if (data.errcode == -1) {
            $cordovaDialogs.confirm('您尚未登录哦', '温馨提示：', ['现在登录', '稍后登录'])
              .then(function(buttonIndex) {
                $scope.submitModal('service_reserve');
                if (buttonIndex == 1) {
                  $location.path('/tab/memberservicelogin');
                }
              });
          } else if (data.errcode == -2) {
            $cordovaDialogs.alert(data.errmsg, '温馨提示', '好的');
          }
        }, function() {
          $ionicLoading.show({
            template: '网络错误',
            duration: 1000
          });
        });
      } else {
        $cordovaDialogs.alert('请先登录', '温馨提示：', '好的').then(function() {
          $scope.submitModal('service_reserve');
          $location.path("/tab/memberservicelogin");
        });
      }
    };
    $scope.add_receive = function() {
      userService.addReceive($scope.token, $scope.add.address, $scope.add.post_code).then(function(data) {
        if (data.errcode === 0) {
          userService.info(localStorage.getItem('chaoyang.token')).then(function() {
            $scope.user = userService.getUserInfo();
          });
          $scope.add.address = '';
          $scope.add.post_code = '';
        } else if (data.errcode == -2) {
          $cordovaDialogs.alert(data.errmsg, '温馨提示', '好的');
        }
      }, function() {
        $ionicLoading.show({
          template: '网络错误',
          duration: 1000
        });
      });
      $scope.submitModal('add_receives');
    };
    $scope.closeModal = function(modal_name) {
      $scope.modal[modal_name].remove();
    };
    $scope.removeModal = function(modal_name) {
      $scope.modal[modal_name].remove();
    };
    $scope.submitModal = function(modal_name) {
      $scope.modal[modal_name].remove();
    };
  }])
  .controller('BatchListCtrl', function($scope, memberService, $stateParams, $ionicModal, $ionicLoading, $cordovaDialogs) {
    $scope.title = '会员活动子项目列表';
    $scope.modal = {};
    $scope.search = {};
    $scope.servicelist = [];
    $scope.page = 1;
    $scope.size = 10;
    $scope.search.name = '';
    $scope.pullrefresh = true;
    $scope.search_button = true;
    var has_more = $scope.servicelist.length >= $scope.size;
    $scope.hasMore = function() {
      return has_more;
    };

    $scope.refresh = function() {
      memberService.refreshMemberBatchService($stateParams.project_id, $scope.search.name, 1, $scope.size)
        .then(function(data) {
          if (data.errcode !== undefined && data.errcode !== 0) {
            $cordovaDialogs.alert(data.errmsg, '温馨提示', '好的');
          } else {
            if (data.length < $scope.size) {
              has_more = false;
            } else {
              has_more = true;
            }
            $scope.page = 2;
          }
          $scope.servicelist = data;
        }, function(error) {
          $ionicLoading.show({
            template: '网络错误',
            duration: 1000
          });
        })
        .finally(function() {
          $scope.$broadcast('scroll.refreshComplete');
        });
    };
    $scope.refresh();

    //获取服务列表
    $scope.doRefresh = function() {
      $scope.search.name = '';
      $scope.refresh();
    };
    $scope.more = function() {
      memberService.moreMemberBatchService($stateParams.project_id, $scope.search.name, $scope.page, $scope.size)
        .then(function(data) {
          if (data.errcode !== undefined && data.errcode !== 0) {
            has_more = false;
            $cordovaDialogs.alert(data.errmsg, '温馨提示', '好的');
          } else {
            $scope.page++;
            if (data.length < $scope.size) {
              has_more = false;
            }
          }
          if (data.errcode === undefined) {
            $scope.servicelist = $scope.servicelist.concat(data);
          }
          $scope.$broadcast('scroll.infiniteScrollComplete');
        }, function(error) {
          $ionicLoading.show({
            template: '网络错误',
            duration: 1000
          });
        });
    };


    $scope.openModal = function(modal_name) {
      $ionicModal.fromTemplateUrl('templates/modals/' + modal_name + '.html', {
        scope: $scope,
        animation: 'slide-in-up'
      }).then(function(modal) {
        $scope.modal[modal_name] = modal;
        $scope.modal[modal_name].show();
      });
    };

    $scope.closeModal = function(modal_name) {
      $scope.modal[modal_name].remove();
    };

    $scope.removeModal = function(modal_name) {
      $scope.modal[modal_name].remove();
    };

    $scope.submitModal = function(modal_name) {
      $scope.refresh();
      $scope.modal[modal_name].remove();
    };
  })
  .controller('BatchListHistoryCtrl', function($scope, memberService, $stateParams, $ionicModal, $ionicLoading, $cordovaDialogs) {
    $scope.title = '会员活动子项目列表';
    $scope.modal = {};
    $scope.search = {};
    $scope.servicelist = [];
    $scope.page = 1;
    $scope.size = 10;
    $scope.search.name = '';
    $scope.pullrefresh = true;
    $scope.search_button = true;
    var has_more = $scope.servicelist.length >= $scope.size;
    $scope.hasMore = function() {
      return has_more;
    };

    $scope.refresh = function() {
      memberService.refreshHistoryMemberBatchService($stateParams.project_id, $scope.search.name, 1, $scope.size)
        .then(function(data) {
          if (data.errcode !== undefined && data.errcode !== 0) {
            $cordovaDialogs.alert(data.errmsg, '温馨提示', '好的');
          } else {
            if (data.length < $scope.size) {
              has_more = false;
            } else {
              has_more = true;
            }
            $scope.page = 2;
          }
          $scope.servicelist = data;
        }, function(error) {
          $ionicLoading.show({
            template: '网络错误',
            duration: 1000
          });
        })
        .finally(function() {
          $scope.$broadcast('scroll.refreshComplete');
        });
    };
    $scope.refresh();

    //获取服务列表
    $scope.doRefresh = function() {
      $scope.search.name = '';
      $scope.refresh();
    };
    $scope.more = function() {
      memberService.moreHistoryMemberBatchService($stateParams.project_id, $scope.search.name, $scope.page, $scope.size)
        .then(function(data) {
          if (data.errcode !== undefined && data.errcode !== 0) {
            has_more = false;
            $cordovaDialogs.alert(data.errmsg, '温馨提示', '好的');
          } else {
            $scope.page++;
            if (data.length < $scope.size) {
              has_more = false;
            }
          }
          if (data.errcode === undefined) {
            $scope.servicelist = $scope.servicelist.concat(data);
          }
          $scope.$broadcast('scroll.infiniteScrollComplete');
        }, function(error) {
          $ionicLoading.show({
            template: '网络错误',
            duration: 1000
          });
        });
    };


    $scope.openModal = function(modal_name) {
      $ionicModal.fromTemplateUrl('templates/modals/' + modal_name + '.html', {
        scope: $scope,
        animation: 'slide-in-up'
      }).then(function(modal) {
        $scope.modal[modal_name] = modal;
        $scope.modal[modal_name].show();
      });
    };

    $scope.closeModal = function(modal_name) {
      $scope.modal[modal_name].remove();
    };

    $scope.removeModal = function(modal_name) {
      $scope.modal[modal_name].remove();
    };

    $scope.submitModal = function(modal_name) {
      $scope.refresh();
      $scope.modal[modal_name].remove();
    };
  })
  .controller('MerchantServiceCtrl', function($scope, merchantsService, $stateParams, $ionicLoading, $cordovaDialogs) {
    $scope.servicelist = [];
    $scope.title = '服务列表';
    $scope.page = 1;
    $scope.size = 10;
    $scope.pullrefresh = true;
    var has_more = $scope.servicelist.length >= $scope.size;
    $scope.hasMore = function() {
      return has_more;
    };
    $scope.refresh = function() {
      merchantsService.serviceList($stateParams.merchant_id)
        .then(function(data) {

          if (data.errcode !== undefined && data.errcode !== 0) {
            $cordovaDialogs.alert(data.errmsg, '温馨提示', '好的');
          } else {
            if (data.length < $scope.size) {
              has_more = false;
            } else {
              has_more = true;
            }
            $scope.page = 2;
          }
          $scope.servicelist = data;
        }, function(error) {
          $ionicLoading.show({
            template: '网络错误',
            duration: 1000
          });
        })
        .finally(function() {
          $scope.$broadcast('scroll.refreshComplete');
        });
    };
    $scope.refresh();
    $scope.doRefresh = function() {
      $scope.refresh();
    };
    $scope.more = function() {
      merchantsService.serviceListMore($stateParams.merchant_id)
        .then(function(data) {
          if (data.errcode !== undefined && data.errcode !== 0) {
            has_more = false;
            $cordovaDialogs.alert(data.errmsg, '温馨提示', '好的');
          } else {
            $scope.page++;

            if (data.length < $scope.size) {
              has_more = false;
            }
          }
          $scope.servicelist = $scope.servicelist.concat(data);
          $scope.$broadcast('scroll.infiniteScrollComplete');
        }, function(error) {
          $ionicLoading.show({
            template: '网络错误',
            duration: 1000
          });
        });
    };
  })
  .controller('MyMerchantServiceCtrl', function($scope, merchantsService, $stateParams, $ionicLoading, $cordovaDialogs) {
    $scope.servicelist = [];
    $scope.title = '服务列表';
    merchantsService.serviceList($stateParams.merchant_id).then(function(data) {
      $scope.servicelist = data;
      if (data.errcode !== undefined && data.errcode !== 0) {
        $cordovaDialogs.alert(data.errmsg, '温馨提示', '好的');
      }
    }, function(error) {
      $ionicLoading.show({
        template: '网络错误',
        duration: 1000
      });
    });
  })
