angular.module('zscy.merchant', ['zscy.services', 'ionic']);
angular.module('zscy.merchant')
  .config(function($stateProvider, $urlRouterProvider,templateUrlPath) {
    $stateProvider
      .state('tab.service-merchants', {
        url: '/:service_id/service_detail/merchants',
        views: {
          'tab-memberService': {
            templateUrl:templateUrlPath + 'templates/merchant/merchants.html',
            controller: 'ServiceMerchantsCtrl'
          }
        }
      })
      .state('tab.service-livelistmerchants', {
        url: '/:service_id/service_detail/livelistmerchants',
        views: {
          'tab-home': {
            templateUrl:templateUrlPath + 'templates/merchant/merchants.html',
            controller: 'ServicelivelistMerchantsCtrl'
          }
        }
      })
      .state('tab.service-merchant-detail', {
        url: '/merchants/:service_id/detail',
        views: {
          'tab-memberService': {
            templateUrl:templateUrlPath + 'templates/merchant/merchant_detail.html',
            controller: 'MerchantDetailCtrl'
          }
        }
      })
      .state('tab.myservice-merchants', {
        url: '/:service_id/my_service_detail/merchants',
        views: {
          'tab-my': {
            templateUrl:templateUrlPath + 'templates/merchant/my_merchants.html',
            controller: 'MyServiceMerchantsCtrl'
          }
        }
      })
      .state('tab.myservice-merchant-detail', {
        url: '/my_merchants/:service_id/detail',
        views: {
          'tab-my': {
            templateUrl:templateUrlPath + 'templates/merchant/my_merchant_detail.html',
            controller: 'MyMerchantDetailCtrl'
          }
        }
      });
  })
  .controller('ServiceMerchantsCtrl', function($scope, serviceinfoService, $stateParams, $ionicLoading, $cordovaDialogs, $ionicHistory, geoLocationService) {
    $scope.merchants = [];
    $scope.title = '服务单位';
    $scope.latitude = geoLocationService.getLatitude();
    $scope.longitude = geoLocationService.getLongitude();
    $scope.page = 1;
    $scope.size = 10;
    var has_more = $scope.merchants.length >= $scope.size;
    $scope.hasMore = function() {
      return has_more;
    };
    $scope.doRefresh = function() {
      serviceinfoService.merchantList($scope.longitude, $scope.latitude, $stateParams.service_id, 1, $scope.size).then(function(data) {
          if (data.errcode === undefined) {
            $scope.merchants = data;
            if (data.length < $scope.size) {
              has_more = false;
            } else {
              has_more = true;
            }
            $scope.page = 2;
          } else {
            $cordovaDialogs.alert(data.errmsg, '温馨提示', '好的').then(function() {
              $ionicHistory.goBack();
            });
          }
        }, function(error) {
          $ionicLoading.show({
            template: '网络错误',
            duration: 1000
          });
        })
        .finally(function() {
          $scope.$broadcast('scroll.refreshComplete');
        });
    };
    $scope.doRefresh();

    $scope.more = function() {
      serviceinfoService.moreMerchants($scope.longitude, $scope.latitude, $stateParams.service_id, $scope.page, $scope.size)
        .then(function(data) {
          if (data.errcode !== undefined && data.errcode !== 0) {
            has_more = false;
            $cordovaDialogs.alert(data.errmsg, '温馨提示', '好的');
          } else {
            $scope.page++;
            if (data.length < $scope.size) {
              has_more = false;
            }
            $scope.merchants = $scope.merchants.concat(data);
          }
          $scope.$broadcast('scroll.infiniteScrollComplete');
        }, function(error) {
          $ionicLoading.show({
            template: '网络错误',
            duration: 1000
          });
        })
        .finally(function() {
          $scope.$broadcast('scroll.infiniteScrollComplete');
        });
    };
  })
  .controller('ServicelivelistMerchantsCtrl', function($scope, serviceinfoService, $stateParams, $ionicLoading, $cordovaDialogs, $ionicHistory, geoLocationService) {
    $scope.merchants = [];
    $scope.title = '服务单位';
    $scope.latitude = geoLocationService.getLatitude();
    $scope.longitude = geoLocationService.getLongitude();
    $scope.page = 1;
    $scope.size = 10;
    var has_more = $scope.merchants.length >= $scope.size;
    $scope.hasMore = function() {
      return has_more;
    };
    $scope.doRefresh = function() {
      serviceinfoService.merchantList($scope.longitude, $scope.latitude, $stateParams.service_id, 1, $scope.size).then(function(data) {
          if (data.errcode === undefined) {
            $scope.merchants = data;
            if (data.length < $scope.size) {
              has_more = false;
            } else {
              has_more = true;
            }
            $scope.page = 2;
          } else {
            $cordovaDialogs.alert(data.errmsg, '温馨提示', '好的').then(function() {
              $ionicHistory.goBack();
            });
          }
        }, function(error) {
          $ionicLoading.show({
            template: '网络错误',
            duration: 1000
          });
        })
        .finally(function() {
          $scope.$broadcast('scroll.refreshComplete');
        });
    };
    $scope.doRefresh();

    $scope.more = function() {
      serviceinfoService.moreMerchants($scope.longitude, $scope.latitude, $stateParams.service_id, $scope.page, $scope.size)
        .then(function(data) {
          if (data.errcode !== undefined && data.errcode !== 0) {
            has_more = false;
            $cordovaDialogs.alert(data.errmsg, '温馨提示', '好的');
          } else {
            $scope.page++;
            if (data.length < $scope.size) {
              has_more = false;
            }
            $scope.merchants = $scope.merchants.concat(data);
          }
          $scope.$broadcast('scroll.infiniteScrollComplete');
        }, function(error) {
          $ionicLoading.show({
            template: '网络错误',
            duration: 1000
          });
        })
        .finally(function() {
          $scope.$broadcast('scroll.infiniteScrollComplete');
        });
    };
  })
  .controller('MerchantDetailCtrl', function($scope, serviceinfoService, $stateParams, $ionicModal, $ionicLoading, $ionicHistory, commentsService, $cordovaDialogs, $ionicScrollDelegate) {
    $scope.modal = {};
    $scope.merchant = {};
    $scope.comments = [];
    $scope.doRefresh = function() {
      serviceinfoService.info($stateParams.service_id).then(function(data) {
          if (data.errcode === undefined) {
            $scope.merchant = data;
          } else {
            $cordovaDialogs.alert(data.errmsg, '温馨提示', '好的').then(function() {
              $ionicHistory.goBack();
            });
          }
        }, function(error) {
          $ionicLoading.show({
            template: '网络错误',
            duration: 1000
          });
        })
        .finally(function() {
          $scope.$broadcast('scroll.refreshComplete');
        });

      commentsService.getCommentsByMerchant($stateParams.service_id, 1, 2)
        .then(function(data) {
          $scope.comments = data.slice(0, 2);
        }, function(error) {
          $ionicLoading.show({
            template: '网络错误',
            duration: 1000
          });
        });
    };
    $scope.doRefresh();

    $scope.openModal = function(modal_name) {
      $ionicModal.fromTemplateUrl('templates/modals/' + modal_name + '.html', {
        scope: $scope,
        animation: 'slide-in-up'
      }).then(function(modal) {
        $scope.modal[modal_name] = modal;
        $scope.modal[modal_name].show();
      });
    };

    $scope.closeModal = function(modal_name) {
      $scope.modal[modal_name].remove();
    };

    $scope.removeModal = function(modal_name) {
      $scope.modal[modal_name].remove();
    };

    $scope.submitModal = function(modal_name) {
      $scope.modal[modal_name].remove();
      //TODO
    };

    $scope.showImg = function(url) {
      $scope.openModal('show_img');
    };
  })
  .controller('MyServiceMerchantsCtrl', function($scope, serviceinfoService, $stateParams, $ionicLoading, $cordovaDialogs, $ionicHistory, geoLocationService) {
    $scope.merchants = [];
    $scope.title = '服务单位';
    $scope.latitude = geoLocationService.getLatitude();
    $scope.longitude = geoLocationService.getLongitude();
    $scope.page = 1;
    $scope.size = 10;
    var has_more = $scope.merchants.length >= $scope.size;
    $scope.hasMore = function() {
      return has_more;
    };
    $scope.doRefresh = function() {
      serviceinfoService.merchantList($scope.longitude, $scope.latitude, $stateParams.service_id, 1, $scope.size).then(function(data) {
          if (data.errcode === undefined) {
            $scope.merchants = data;
            if (data.length < $scope.size) {
              has_more = false;
            } else {
              has_more = true;
            }
            $scope.page = 2;
          } else {
            $cordovaDialogs.alert(data.errmsg, '温馨提示', '好的').then(function() {
              $ionicHistory.goBack();
            });
          }
        }, function(error) {
          $ionicLoading.show({
            template: '网络错误',
            duration: 1000
          });
        })
        .finally(function() {
          $scope.$broadcast('scroll.refreshComplete');
        });
    };
    $scope.doRefresh();

    $scope.more = function() {
      serviceinfoService.moreMerchants($scope.longitude, $scope.latitude, $stateParams.service_id, $scope.page, $scope.size)
        .then(function(data) {
          if (data.errcode !== undefined && data.errcode !== 0) {
            has_more = false;
            $cordovaDialogs.alert(data.errmsg, '温馨提示', '好的');
          } else {
            $scope.page++;
            if (data.length < $scope.size) {
              has_more = false;
            }
            $scope.merchants = $scope.merchants.concat(data);
          }
          $scope.$broadcast('scroll.infiniteScrollComplete');
        }, function(error) {
          $ionicLoading.show({
            template: '网络错误',
            duration: 1000
          });
        })
        .finally(function() {
          $scope.$broadcast('scroll.infiniteScrollComplete');
        });
    };
  })
  .controller('MyMerchantDetailCtrl', function($scope, serviceinfoService, $stateParams, $ionicModal, $ionicLoading, $ionicHistory, commentsService, $cordovaDialogs, $ionicScrollDelegate) {
    $scope.modal = {};
    $scope.merchant = {};
    $scope.comments = [];
    $scope.doRefresh = function() {
      serviceinfoService.info($stateParams.service_id).then(function(data) {
          if (data.errcode === undefined) {
            $scope.merchant = data;
          } else {
            $cordovaDialogs.alert(data.errmsg, '温馨提示', '好的').then(function() {
              $ionicHistory.goBack();
            });
          }
        }, function(error) {
          $ionicLoading.show({
            template: '网络错误',
            duration: 1000
          });
        })
        .finally(function() {
          $scope.$broadcast('scroll.refreshComplete');
        });

      commentsService.getCommentsByMerchant($stateParams.service_id, 1, 2)
        .then(function(data) {
          $scope.comments = data.slice(0, 2);
        }, function(error) {
          $ionicLoading.show({
            template: '网络错误',
            duration: 1000
          });
        });
    };
    $scope.doRefresh();

    $scope.openModal = function(modal_name) {
      $ionicModal.fromTemplateUrl('templates/modals/' + modal_name + '.html', {
        scope: $scope,
        animation: 'slide-in-up'
      }).then(function(modal) {
        $scope.modal[modal_name] = modal;
        $scope.modal[modal_name].show();
      });
    };

    $scope.closeModal = function(modal_name) {
      $scope.modal[modal_name].remove();
    };

    $scope.removeModal = function(modal_name) {
      $scope.modal[modal_name].remove();
    };

    $scope.submitModal = function(modal_name) {
      $scope.modal[modal_name].remove();
      //TODO
    };

    $scope.showImg = function(url) {
      $scope.openModal('show_img');
    };
  });
