angular.module('zscy.MyMessages', ['zscy.services', 'ionic']);
angular.module('zscy.MyMessages')
  .config(function($stateProvider, $urlRouterProvider,templateUrlPath) {
    $stateProvider
      .state('tab.my-messages', {
        url: '/my-messages',
        views: {
          'tab-my': {
            templateUrl:templateUrlPath + 'templates/my/my_message.html',
            controller: 'MyMessagesCtrl'
          }
        }
      });
  })
  .controller('MyMessagesCtrl', function($scope, messageService, $ionicLoading, $location, $cordovaDialogs) {
    $scope.shouldShowDelete = false;
    $scope.listCanSwipe = true;
    $scope.messages = messageService.getMessages();
    $scope.message_id = '';
    $scope.page = 1;
    $scope.size = 10;
    var has_more = false;
    $scope.hasMore = function() {
      return has_more;
    };

    $scope.moreMessages = function() {
      // if (localStorage.getItem('chaoyang.token')) {
      messageService.more(localStorage.getItem('chaoyang.token'), $scope.page, $scope.size)
        .then(function(data) {
          if (data.errcode !== undefined && data.errcode !== 0) {
            has_more = false;
            $cordovaDialogs.alert(data.errmsg, '温馨提示', '好的');
          } else {
            $scope.page++;
            if (data.length < $scope.size) {
              has_more = false;
            }
          }
          $scope.messages = messageService.getMessages();
          $scope.$broadcast('scroll.infiniteScrollComplete');
        }, function(error) {
          $ionicLoading.show({
            template: '网络错误',
            duration: 1000
          });
        });
      //  } else {
      //    $cordovaDialogs.alert('请先登录', '温馨提示：', '好的').then(function() {
      //      $location.path("/login");
      //   });
      //  }
    };

    $scope.doRefresh = function() {
      //  if (localStorage.getItem('chaoyang.token')) {
      messageService.refresh(localStorage.getItem('chaoyang.token'), 1, $scope.size)
        .then(function(data) {
          if (data.errcode !== undefined && data.errcode !== 0) {
            $cordovaDialogs.alert(data.errmsg, '温馨提示', '好的');
          } else {
            if (data.length < $scope.size) {
              has_more = false;
            } else {
              has_more = true;
            }
            $scope.page = 2;
          }
          $scope.messages = messageService.getMessages();
        }, function(error) {
          $ionicLoading.show({
            template: '网络错误',
            duration: 1000
          });
        })
        .finally(function() {
          $scope.$broadcast('scroll.refreshComplete');
        });
      //} else {
      //  $cordovaDialogs.alert('请先登录', '温馨提示：', '好的').then(function() {
      //    $location.path("/login");
      //  });
      //}
    };
    $scope.doRefresh();


    $scope.deleteMessage = function(index, message_id) {
      //if (localStorage.getItem('chaoyang.token')) {
      messageService.deleteMessage(localStorage.getItem('chaoyang.token'), message_id, index).then(function(data) {
        if (data.errcode === 0) {
          $scope.messages = messageService.getMessages();
        } else if (data.errcode == -1) {
          alert('登录已失效，请重新登录', '温馨提示：', '好的', function() {
            $location.path('/login');
          });
        } else if (data.errcode == -2) {
          $cordovaDialogs.alert(data.errmsg, '温馨提示', '好的');
        }
      }, function() {
        $ionicLoading.show({
          template: '网络错误',
          duration: 1000
        });
      });
      //} else {
      // $cordovaDialogs.alert('请先登录', '温馨提示：', '好的').then(function() {
      //   $location.path("/login");
      //  });
      // }
    };
  });
