angular.module('zscy.my-receives', ['ionic','zscy.services']);
angular.module('zscy.my-receives')
  .config(function($stateProvider, $urlRouterProvider,templateUrlPath) {
    $stateProvider
      .state('tab.my_receives', {
        url: '/my_receives',
        views: {
          "tab-my": {
            templateUrl:templateUrlPath + 'templates/my/my_receives.html',
            controller: 'MyReceivesCtrl'
          }
        },

      });

  })
  .controller('MyReceivesCtrl', function($scope, $cordovaDialogs, $ionicModal, userService, codelistService, $ionicLoading, $ionicListDelegate, $location) {
    $scope.shouldShowDelete = false;
    $scope.listCanSwipe = true;
    $scope.user = userService.getUserInfo();
    $scope.token = localStorage.getItem('chaoyang.token');
    $scope.modal = {};
    $scope.add = {};
    $scope.add.address = '';
    $scope.add.post_code = '';
    $scope.openModal = function(modal_name) {
      $ionicModal.fromTemplateUrl('templates/modals/' + modal_name + '.html', {
        scope: $scope,
        animation: 'slide-in-up'
      }).then(function(modal) {
        $scope.modal[modal_name] = modal;
        $scope.modal[modal_name].show();
      });
    };

    $scope.closeModal = function(modal_name) {
      $scope.modal[modal_name].hide();
      $scope.add.address = '';
      $scope.add.post_code = '';
    };

    $scope.removeModal = function(modal_name) {
      $scope.modal[modal_name].remove();
      $scope.add.address = '';
      $scope.add.post_code = '';
    };

    $scope.submitModal = function(modal_name) {
      $scope.modal[modal_name].remove();
      //TODO

      $scope.add.address = '';
      $scope.add.post_code = '';
    };

    $scope.deleteReceive = function(index, receive) {
      userService.deleteReceive($scope.token, receive.id).then(function(data) {
        if (data.errcode === 0) {
          $scope.user.receives.splice(index, 1);
          localStorage.setItem('chaoyang.user', JSON.stringify($scope.user));
        } else if (data.errcode == -1) {
          $cordovaDialogs.alert('登录已失效，请重新登录', '温馨提示：', '好的');
          $location.path('/tab/mylogin');
        } else if (data.errcode == -2) {
          $cordovaDialogs.alert(data.errmsg, '温馨提示', '好的');
        }
      }, function() {
        $ionicLoading.show({
          template: '网络错误',
          duration: 1000
        });
      });

    };

    $scope.add_receive = function() {
      receive = {
        id: '',
        address: $scope.add.address,
        post_code: $scope.add.post_code
      };
      userService.addReceive($scope.token, $scope.add.address, $scope.add.post_code).then(function(data) {
        if (data.errcode === 0) {
          userService.info(localStorage.getItem('chaoyang.token')).then(function() {
            $scope.user = userService.getUserInfo();
            if ($scope.user.receives.length == 1) {
              $scope.function_set_default_receive(0, $scope.user.receives[index]);
            }
          });
        } else if (data.errcode == -1) {
          $cordovaDialogs.alert('登录已失效，请重新登录', '温馨提示：', '好的');
          $location.path('/tab/mylogin');
        } else if (data.errcode == -2) {
          $cordovaDialogs.alert(data.errmsg, '温馨提示', '好的');
        }
      }, function() {
        $ionicLoading.show({
          template: '网络错误',
          duration: 1000
        });
      });
      $scope.submitModal('add_receives');
    };


    $scope.function_set_default_receive = function(index, receive) {
      userService.setDefaultReceive($scope.token, receive.id).then(function(data) {
        if (data.errcode === 0) {
          //设置默认地址成功
          for (var i = 0; i < $scope.user.receives.length; i++) {
            $scope.user.receives[i].is_default = false;
          }
          $scope.user.receives[index].is_default = true;
          localStorage.setItem('chaoyang.user', JSON.stringify($scope.user));
          $ionicListDelegate.closeOptionButtons();
        } else if (data.errcode == -1) {
          $cordovaDialogs.alert('登录已失效，请重新登录', '温馨提示：', '好的');
          $location.path('/tab/mylogin');
        } else if (data.errcode == -2) {
          $cordovaDialogs.alert(data.errmsg, '温馨提示', '好的');
        }
      }, function() {
        $ionicLoading.show({
          template: '网络错误',
          duration: 1000
        });
      });

    };
  });
