angular.module('zscy.my_service', ['zscy.services', 'ionic']);
angular.module('zscy.my_service')
  .config(function($stateProvider, $urlRouterProvider,templateUrlPath) {
    $stateProvider

      .state('tab.my-services', {
        url: '/my-services',
        views: {
          'tab-my': {
            templateUrl:templateUrlPath + 'templates/my/my_service/my_service.html',
            controller: 'MyServicesCtrl'
          }
        },
        params:{
            type: ""
        }
      })
      .state('tab.my-footprints', {
        url: '/my-footprints',
        views: {
          'tab-home': {
            templateUrl:templateUrlPath + 'templates/my/my_service/my_footprints.html',
            controller: 'MyServicesCtrl'
          }
        }
      })
      .state('tab.my-service-detail', {
        url: '/my-service/:service_id/my-service-detail',
        views: {
          'tab-my': {
            templateUrl:templateUrlPath + 'templates/my/my_service/my_service_detail.html',
            controller: 'MyServiceDetailCtrl'
          }
        }
      })
      .state('tab.my-footprints-detail', {
        url: '/my-footprints/:service_id/my-footprints-detail',
        views: {
          'tab-my': {
            templateUrl:templateUrlPath + 'templates/my/my_service/my_service_detail.html',
            controller: 'MyServiceDetailCtrl'
          }
        }
      })
      .state('tab.my_doubleheart', {
        url: '/my_doubleheart',
        views: {
          'tab-my': {
            templateUrl: templateUrlPath + 'templates/home/doubleheart_hotline.html'
          }
        }
      });
  })
  .controller('MyServicesCtrl', function($scope, servicesService, $stateParams, $ionicModal, $ionicLoading, $cordovaDialogs, $location, commentsService) {
    $scope.modal = {};
    $scope.search = {};
    $scope.services = servicesService.getMyServices();
    $scope.page = 1;
    $scope.size = 10;
    $scope.search.name = '';
    $scope.comment = {};
    $scope.type = $stateParams.type;
    var has_more = false;
    $scope.hasMore = function() {
      return has_more;
    };

    $scope.refresh = function() {
      //if (localStorage.getItem('chaoyang.token')) {
      servicesService.refreshMyService(localStorage.getItem('chaoyang.token'), $scope.type, $scope.search.name, 1, $scope.size)
        .then(function(data) {
          if (data.errcode !== undefined && data.errcode !== 0) {
            $cordovaDialogs.alert(data.errmsg, '温馨提示', '好的');
          } else {
            if (data.length < $scope.size) {
              has_more = false;
            } else {
              has_more = true;
            }
            $scope.page = 2;
          }
          $scope.services = servicesService.getMyServices();
        }, function(error) {
          $ionicLoading.show({
            template: '网络错误',
            duration: 1000
          });
        })
        .finally(function() {
          $scope.$broadcast('scroll.refreshComplete');
        });
      // } else {
      //   $cordovaDialogs.confirm('您尚未登录哦', '温馨提示：', ['现在登录', '稍后登录'])
      //     .then(function(buttonIndex) {
      //       if (buttonIndex == 1) {
      //         $location.path('/login');
      //       } else {;
      //         $location.path('/home');
      //       }
      //     });
      // }
    };
    $scope.refresh();

    //获取服务列表
    $scope.doRefresh = function() {
      $scope.search.name = '';
      $scope.refresh();
    };
    $scope.more = function() {
      //if (localStorage.getItem('chaoyang.token')) {
      servicesService.moreMyService(localStorage.getItem('chaoyang.token'), $scope.type, $scope.search.name, $scope.page, $scope.size)
        .then(function(data) {
          if (data.errcode !== undefined && data.errcode !== 0) {
            has_more = false;
            $cordovaDialogs.alert(data.errmsg, '温馨提示', '好的');
          } else {
            $scope.page++;
            if (data.length < $scope.size) {
              has_more = false;
            }
          }
          $scope.services = servicesService.getMyServices();
          $scope.$broadcast('scroll.infiniteScrollComplete');
        }, function(error) {
          $ionicLoading.show({
            template: '网络错误',
            duration: 1000
          });
        });
      // } else {
      //   $cordovaDialogs.confirm('您尚未登录哦', '温馨提示：', ['现在登录', '稍后登录'])
      //     .then(function(buttonIndex) {
      //       if (buttonIndex == 1) {
      //         $location.path('/login');
      //       } else {;
      //         $location.path('/home');
      //       }
      //     });
      // }
    };

    $scope.openModal = function(modal_name) {
      $ionicModal.fromTemplateUrl('templates/modals/' + modal_name + '.html', {
        scope: $scope,
        animation: 'slide-in-up'
      }).then(function(modal) {
        $scope.comment.star = 5;
        $scope.comment.content = '';
        $scope.comment.is_anonymity = true;
        $scope.modal[modal_name] = modal;
        $scope.modal[modal_name].show();
      });
    };
    $scope.closeModal = function(modal_name) {
      $scope.modal[modal_name].remove();
    };

    $scope.removeModal = function(modal_name) {
      $scope.modal[modal_name].remove();
    };

    $scope.submitModal = function(modal_name) {
      $scope.refresh();
      $scope.modal[modal_name].remove();
    };

    $scope.addComment = function(index, event) {
      event.preventDefault();
      $scope.serchant = $scope.services[index];
      $scope.comment = {};
      $scope.openModal('list_add_comment');
    };
    $scope.submitComment = function(apply_id) {
      var token = localStorage.getItem('chaoyang.token');
      var name = JSON.parse(localStorage.getItem('chaoyang.user')).name;
      var star = $scope.comment.star;
      var content = $scope.comment.content;
      var is_anonymity = $scope.comment.is_anonymity;
      if (token) {
        commentsService.postServiceComment(token, apply_id, content, star, is_anonymity).then(function(data) {
          if (data.errcode !== undefined && data.errcode !== 0) {
            $cordovaDialogs.alert(data.errmsg, '温馨提示', '好的');
          } else {
            $scope.modal['list_add_comment'].remove();
            $cordovaDialogs.alert('评价成功', '温馨提示', '好的');
            for (var i = 0; i < $scope.services.length; i++) {
              if (apply_id === $scope.services[i].id) {
                $scope.services[i].is_comment = true;
              }
            }
          }
        }, function(error) {
          $ionicLoading.show({
            template: '网络错误',
            duration: 1000
          });
        });
      } else {
        $cordovaDialogs.alert('请先登录', '温馨提示：', '好的').then(function() {
          $location.path('/login');
        });
      }
    };
  })
  .controller('MyServiceDetailCtrl', function($scope, servicesService, $stateParams, $ionicHistory, $ionicLoading, commentsService, $cordovaDialogs, $sce,$ionicModal, servicesService) {
    $scope.comments = [];
    $scope.modal = {};
    $scope.serchant = {};
    $scope.comment = {};


    $scope.doRefresh = function() {
      servicesService.myServiceDetail(localStorage.getItem('chaoyang.token'), $stateParams.service_id).then(function(data) {
        if (data.errcode === undefined) {
          $scope.service = data;
          $scope.service.description = $sce.trustAsHtml(data.description);
          $scope.serchant = data;
          $scope.serchant.description = $sce.trustAsHtml(data.description);
          commentsService.getCommentsByService($scope.service.id, 1, 2)
            .then(function(data) {
              $scope.comments = data;
            }, function(error) {
              $ionicLoading.show({
                template: '网络错误',
                duration: 1000
              });
            })
            .finally(function() {
              $scope.$broadcast('scroll.refreshComplete');
            });
        } else {
          $cordovaDialogs.alert(data.errmsg, '温馨提示', '好的').then(function() {
            $ionicHistory.goBack();
          });
        }
      }, function(error) {
        $ionicLoading.show({
          template: '网络错误',
          duration: 1000
        });
        $ionicHistory.goBack();
      });
    };
    $scope.doRefresh();

    $scope.cancel = function() {
      if (localStorage.getItem('chaoyang.token')) {
        $cordovaDialogs.confirm('您要取消预订吗？', '温馨提示：', ['取消预定', '不取消'])
          .then(function(buttonIndex) {
            if (buttonIndex == 1) {
              servicesService.cancel(localStorage.getItem('chaoyang.token'), $stateParams.service_id).then(function(data) {
                if (data.errcode === 0) {
                  $ionicLoading.show({
                    template: '取消成功',
                    duration: 1000
                  });
                  $ionicHistory.goBack();
                } else {
                  $cordovaDialogs.alert(data.errmsg, '温馨提示', '好的');
                }
              });
            }
          });
      } else {
        $cordovaDialogs.confirm('您尚未登录哦', '温馨提示：', ['现在登录', '稍后登录'])
          .then(function(buttonIndex) {
            if (buttonIndex == 1) {
              $location.path('/login');
            } else {
              $location.path('/home');
            }
          });
      }
    };

    $scope.openModal = function(modal_name) {
      $ionicModal.fromTemplateUrl('templates/modals/' + modal_name + '.html', {
        scope: $scope,
        animation: 'slide-in-up'
      }).then(function(modal) {
        $scope.comment.star = 5;
        $scope.comment.content = '';
        $scope.comment.is_anonymity = true;
        $scope.modal[modal_name] = modal;
        $scope.modal[modal_name].show();
      });
    };
    $scope.closeModal = function(modal_name) {
      $scope.modal[modal_name].remove();
    };

    $scope.removeModal = function(modal_name) {
      $scope.modal[modal_name].remove();
    };

    $scope.submitModal = function(modal_name) {
      var token = localStorage.getItem('chaoyang.token');
      var name = JSON.parse(localStorage.getItem('chaoyang.user')).name;
      var star = $scope.comment.star;
      var content = $scope.comment.content;
      var is_anonymity = $scope.comment.is_anonymity;
      if (token) {
        commentsService.postServiceComment(token, $stateParams.service_id, content, star, is_anonymity).then(function(data) {
          if (data.errcode !== undefined && data.errcode !== 0) {
            $cordovaDialogs.alert(data.errmsg, '温馨提示', '好的');
          } else {
            $scope.modal[modal_name].remove();
            $cordovaDialogs.alert('评价成功', '温馨提示', '好的');
            var now = new Date();
            $scope.comments.unshift({
              content: content,
              star: star,
              is_anonymity: is_anonymity,
              member_name: JSON.parse(localStorage.getItem('chaoyang.user')).name,
              create_at: now.getFullYear() + '-' + (now.getMonth() + 1) + '-' + now.getDate() + ' ' + now.getHours() + ':' + now.getMinutes() + ':' + now.getSeconds()
            });
            servicesService.setMyServiceIsComment($stateParams.service_id, true);
            //$scope.doRefresh();
          }
        }, function(error) {
          $ionicLoading.show({
            template: '网络错误',
            duration: 1000
          });
        });
      } else {
        $cordovaDialogs.alert('请先登录', '温馨提示：', '好的').then(function() {
          $location.path('/login');
        });
      }
    };
  });
