angular.module('zscy.register', ['ionic']);
angular.module('zscy.register')
  .config(function($stateProvider, $urlRouterProvider,templateUrlPath) {
    $stateProvider
      .state('tab.verify', {
        url: '/home/verify',
        views: {
          "tab-home": {
            templateUrl:templateUrlPath + 'templates/register/register_verify.html',
            controller:'RegisterCtrl'
          }
        }
      })
      .state('tab.hotlineverify', {
        url: '/hotlineverify',
        views: {
          "tab-hotline": {
            templateUrl:templateUrlPath + 'templates/register/hotlineregister_verify.html',
            controller:'RegisterCtrl'
          }
        }
      })
      .state('tab.memberserviceverify', {
        url: '/memberserviceverify',
        views: {
          "tab-memberService": {
            templateUrl:templateUrlPath + 'templates/register/memberserviceregister_verify.html',
            controller:'RegisterCtrl'
          }
        }
      })
      .state('tab.myverify', {
        url: '/myverify',
        views: {
          "tab-my": {
            templateUrl:templateUrlPath + 'templates/register/myregister_verify.html',
            controller:'RegisterCtrl'
          }
        }
      })
      .state('tab.done', {
        url: '/home/done/:union_mobile/:member_id',
        views: {
          "tab-home": {
            templateUrl:templateUrlPath + 'templates/register/register_done.html',
            controller:'RegisterCtrl'
          }
        }
      })
      .state('tab.hotlinedone', {
        url: '/hotlinedone/:union_mobile/:member_id',
        views: {
          "tab-hotline": {
            templateUrl:templateUrlPath + 'templates/register/hotlineregister_done.html',
            controller:'RegisterCtrl'
          }
        }
      })
      .state('tab.memberservicedone', {
        url: '/memberservicedone/:union_mobile/:member_id',
        views: {
          "tab-memberService": {
            templateUrl:templateUrlPath + 'templates/register/memberserviceregister_done.html',
            controller:'RegisterCtrl'
          }
        }
      })
      .state('tab.mydone', {
        url: '/mydone/:union_mobile/:member_id',
        views: {
          "tab-my": {
            templateUrl:templateUrlPath + 'templates/register/myregister_done.html',
            controller:'RegisterCtrl'
          }
        }
      });
  })
  .controller('RegisterCtrl', function($scope,$stateParams, userService, $ionicLoading, $location, $ionicHistory, $cordovaDialogs, $interval, $ionicPopover, md5Service) {
    $scope.register = {};
    $scope.title = "绑定用户信息";
    $scope.register.name = '';
    $scope.register.card = '';
    $scope.register.phone = '';
    $scope.register.verification_code = '';
    $scope.register.pw = '';
    $scope.register.pw_confirm = '';
    $scope.gain_code = '发送验证码';
    $scope.register.checked = false;
    $scope.token = localStorage.getItem('chaoyang.token');
    $scope.union_mobile = '';
    $scope.member_id = 0;
    $scope.count_down = function() {
      $scope.gain_code = '发送中' + '(' + 90 + 's)';
      var wait = 90;
      if (count !== undefined) {
        $interval.cancel(count);
      }
      var count = $interval(function() {
        $scope.gain_code = '发送中' + '(' + wait + 's)';
        wait--;
        if (wait === 0) {
          $interval.cancel(count);
          $scope.gain_code = '发送验证码';
          $scope.register.checked = false;
        }
      }, 1000);
    };

    $scope.verify = function() {
      userService.verify($scope.register.name, $scope.register.card.toUpperCase()).then(function(data) {
        if (data.errcode === 0) {
          localStorage.setItem('chaoyang.temptoken',data.token);
          $scope.union_mobile = data.union_mobile;
          $scope.member_id = data.member_id;
          $scope.register.name = '';
          $scope.register.card = '';
          $location.path('/tab/home/done/'+$scope.union_mobile+"/"+$scope.member_id);
        } else {
          $cordovaDialogs.alert(data.errmsg, '温馨提示', '好的');
        }
      }, function() {
        $ionicLoading.show({
          template: '网络错误',
          duration: 1000
        });
      });
    };
    $scope.verifyhotline = function() {
      userService.verify($scope.register.name, $scope.register.card.toUpperCase()).then(function(data) {
        if (data.errcode === 0) {
          localStorage.setItem('chaoyang.temptoken',data.token);
          $scope.union_mobile = data.union_mobile;
          $scope.member_id = data.member_id;
          $scope.register.name = '';
          $scope.register.card = '';
          $location.path('/tab/hotlinedone/'+$scope.union_mobile+"/"+$scope.member_id);
        } else {
          $cordovaDialogs.alert(data.errmsg, '温馨提示', '好的');
        }
      }, function() {
        $ionicLoading.show({
          template: '网络错误',
          duration: 1000
        });
      });
    };
    $scope.verifymy = function() {
      userService.verify($scope.register.name, $scope.register.card.toUpperCase()).then(function(data) {
        if (data.errcode === 0) {
          localStorage.setItem('chaoyang.temptoken',data.token);
          $scope.union_mobile = data.union_mobile;
          $scope.member_id = data.member_id;
          $scope.register.name = '';
          $scope.register.card = '';
          $location.path('/tab/mydone/'+$scope.union_mobile+"/"+$scope.member_id);
        } else {
          $cordovaDialogs.alert(data.errmsg, '温馨提示', '好的');
        }
      }, function() {
        $ionicLoading.show({
          template: '网络错误',
          duration: 1000
        });
      });
    };
    $scope.verifymemberservice = function() {
      userService.verify($scope.register.name, $scope.register.card.toUpperCase()).then(function(data) {
        if (data.errcode === 0) {
          localStorage.setItem('chaoyang.temptoken',data.token);
          $scope.union_mobile = data.union_mobile;
          $scope.member_id = data.member_id;
          $scope.register.name = '';
          $scope.register.card = '';
          $location.path('/tab/memberservicedone/'+$scope.union_mobile+"/"+$scope.member_id);
        } else {
          $cordovaDialogs.alert(data.errmsg, '温馨提示', '好的');
        }
      }, function() {
        $ionicLoading.show({
          template: '网络错误',
          duration: 1000
        });
      });
    };
    $scope.send_code = function() {
      $scope.token = localStorage.getItem('chaoyang.temptoken');
      localStorage.removeItem('chaoyang.temptoken');
      userService.sendValidCode($scope.token, $scope.register.phone).then(function(data) {
        if (data.errcode === 0) {
          $scope.register.checked = true;
          $scope.count_down();
        } else {
          $cordovaDialogs.alert(data.errmsg, '温馨提示', '好的');
        }
      }, function() {
        $ionicLoading.show({
          template: '网络错误',
          duration: 1000
        });
      });
    };
    $scope.register_judge = function() {
      localStorage.setItem('chaoyang.token', $scope.token);
      userService.modifyPhone($scope.token, $scope.register.phone, $scope.register.verification_code, md5Service.md5($scope.register.pw),$stateParams.union_mobile,$stateParams.member_id).then(function(data) {
        if (data.errcode === 0) {
          localStorage.removeItem('chaoyang.temptoken'); //移除temptoken
          if (localStorage.getItem('chaoyang.user')) {
            $scope.user = JSON.parse(localStorage.getItem('chaoyang.user'));
            $scope.user.phone = $scope.register.phone;
            localStorage.setItem('chaoyang.user', JSON.stringify($scope.user));
          }
          userService.info(localStorage.getItem('chaoyang.token')).then(function(data) {
            if (data.errcode === undefined) {
              $scope.register.name = '';
              $scope.register.card_name = '';
              $scope.register.jing_card = '';
              $scope.register.phone = '';
              $scope.register.pw = '';
              $scope.register.pw_confirm = '';
              $scope.register.verification_code = '';
              $scope.gain_code = '发送验证码';
              $scope.register.checked = false;
              $location.path('/home');
            } else if (data.errcode == -1) {
              $cordovaDialogs.alert(data.errmsg, '温馨提示', '好的');
            } else if (data.errcode == -2) {
              $cordovaDialogs.alert(data.errmsg, '温馨提示', '好的');
            }
          }, function(error) {
            $ionicLoading.show({
              template: '网络错误',
              duration: 1000
            });
          });
        } else if (data.errcode == 1) {
          localStorage.removeItem('chaoyang.token');
          localStorage.removeItem('chaoyang.user');
          $cordovaDialogs.alert('您填写的验证码已过期，猛戳发送验证码按钮获取新鲜的验证码吧', '温馨提示：', '好的');
        } else if (data.errcode == 2) {
          localStorage.removeItem('chaoyang.token');
          localStorage.removeItem('chaoyang.user');
          $cordovaDialogs.alert('您填写的验证码是不正确的，请重新填写', '温馨提示：', '好的');
        } else if (data.errcode == -1) {
          localStorage.removeItem('chaoyang.token');
          localStorage.removeItem('chaoyang.user');
          $cordovaDialogs.alert('自己编写的验证码是无法成功绑定的哦', '温馨提示', '好的');
        } else if (data.errcode == -2) {
          localStorage.removeItem('chaoyang.temptoken');
          localStorage.removeItem('chaoyang.token');
          localStorage.removeItem('chaoyang.user');
          $cordovaDialogs.alert(data.errmsg, '温馨提示', '好的');
        }
      }, function() {
        $ionicLoading.show({
          template: '网络错误',
          duration: 1000
        });
      });
    };
    $scope.myregister_judge = function() {
      localStorage.setItem('chaoyang.token', $scope.token);
      userService.modifyPhone($scope.token, $scope.register.phone, $scope.register.verification_code, md5Service.md5($scope.register.pw),$stateParams.union_mobile,$stateParams.member_id).then(function(data) {
        if (data.errcode === 0) {
          localStorage.removeItem('chaoyang.temptoken'); //移除temptoken
          if (localStorage.getItem('chaoyang.user')) {
            $scope.user = JSON.parse(localStorage.getItem('chaoyang.user'));
            $scope.user.phone = $scope.register.phone;
            localStorage.setItem('chaoyang.user', JSON.stringify($scope.user));
          }
          userService.info(localStorage.getItem('chaoyang.token')).then(function(data) {
            if (data.errcode === undefined) {
              $scope.register.name = '';
              $scope.register.card_name = '';
              $scope.register.jing_card = '';
              $scope.register.phone = '';
              $scope.register.pw = '';
              $scope.register.pw_confirm = '';
              $scope.register.verification_code = '';
              $scope.gain_code = '发送验证码';
              $scope.register.checked = false;
              $location.path('/tab/my');
            } else if (data.errcode == -1) {
              $cordovaDialogs.alert(data.errmsg, '温馨提示', '好的');
            } else if (data.errcode == -2) {
              $cordovaDialogs.alert(data.errmsg, '温馨提示', '好的');
            }
          }, function(error) {
            $ionicLoading.show({
              template: '网络错误',
              duration: 1000
            });
          });
        } else if (data.errcode == 1) {
          localStorage.removeItem('chaoyang.token');
          localStorage.removeItem('chaoyang.user');
          $cordovaDialogs.alert('您填写的验证码已过期，猛戳发送验证码按钮获取新鲜的验证码吧', '温馨提示：', '好的');
        } else if (data.errcode == 2) {
          localStorage.removeItem('chaoyang.token');
          localStorage.removeItem('chaoyang.user');
          $cordovaDialogs.alert('您填写的验证码是不正确的，请重新填写', '温馨提示：', '好的');
        } else if (data.errcode == -1) {
          localStorage.removeItem('chaoyang.token');
          localStorage.removeItem('chaoyang.user');
          $cordovaDialogs.alert('自己编写的验证码是无法成功绑定的哦', '温馨提示', '好的');
        } else if (data.errcode == -2) {
          localStorage.removeItem('chaoyang.temptoken');
          localStorage.removeItem('chaoyang.token');
          localStorage.removeItem('chaoyang.user');
          $cordovaDialogs.alert(data.errmsg, '温馨提示', '好的');
        }
      }, function() {
        $ionicLoading.show({
          template: '网络错误',
          duration: 1000
        });
      });
    };
    $scope.memberserviceregister_judge = function() {
      localStorage.setItem('chaoyang.token', $scope.token);
      userService.modifyPhone($scope.token, $scope.register.phone, $scope.register.verification_code, md5Service.md5($scope.register.pw),$stateParams.union_mobile,$stateParams.member_id).then(function(data) {
        if (data.errcode === 0) {
          localStorage.removeItem('chaoyang.temptoken'); //移除temptoken
          if (localStorage.getItem('chaoyang.user')) {
            $scope.user = JSON.parse(localStorage.getItem('chaoyang.user'));
            $scope.user.phone = $scope.register.phone;
            localStorage.setItem('chaoyang.user', JSON.stringify($scope.user));
          }
          userService.info(localStorage.getItem('chaoyang.token')).then(function(data) {
            if (data.errcode === undefined) {
              $scope.register.name = '';
              $scope.register.card_name = '';
              $scope.register.jing_card = '';
              $scope.register.phone = '';
              $scope.register.pw = '';
              $scope.register.pw_confirm = '';
              $scope.register.verification_code = '';
              $scope.gain_code = '发送验证码';
              $scope.register.checked = false;
              $location.path('/tab/memberService');
            } else if (data.errcode == -1) {
              $cordovaDialogs.alert(data.errmsg, '温馨提示', '好的');
            } else if (data.errcode == -2) {
              $cordovaDialogs.alert(data.errmsg, '温馨提示', '好的');
            }
          }, function(error) {
            $ionicLoading.show({
              template: '网络错误',
              duration: 1000
            });
          });
        } else if (data.errcode == 1) {
          localStorage.removeItem('chaoyang.token');
          localStorage.removeItem('chaoyang.user');
          $cordovaDialogs.alert('您填写的验证码已过期，猛戳发送验证码按钮获取新鲜的验证码吧', '温馨提示：', '好的');
        } else if (data.errcode == 2) {
          localStorage.removeItem('chaoyang.token');
          localStorage.removeItem('chaoyang.user');
          $cordovaDialogs.alert('您填写的验证码是不正确的，请重新填写', '温馨提示：', '好的');
        } else if (data.errcode == -1) {
          localStorage.removeItem('chaoyang.token');
          localStorage.removeItem('chaoyang.user');
          $cordovaDialogs.alert('自己编写的验证码是无法成功绑定的哦', '温馨提示', '好的');
        } else if (data.errcode == -2) {
          localStorage.removeItem('chaoyang.temptoken');
          localStorage.removeItem('chaoyang.token');
          localStorage.removeItem('chaoyang.user');
          $cordovaDialogs.alert(data.errmsg, '温馨提示', '好的');
        }
      }, function() {
        $ionicLoading.show({
          template: '网络错误',
          duration: 1000
        });
      });
    };
    $scope.hotlineregister_judge = function() {
      localStorage.setItem('chaoyang.token', $scope.token);
      userService.modifyPhone($scope.token, $scope.register.phone, $scope.register.verification_code, md5Service.md5($scope.register.pw),$stateParams.union_mobile,$stateParams.member_id).then(function(data) {
        if (data.errcode === 0) {
          if (localStorage.getItem('chaoyang.user')) {
            $scope.user = JSON.parse(localStorage.getItem('chaoyang.user'));
            $scope.user.phone = $scope.register.phone;
            localStorage.setItem('chaoyang.user', JSON.stringify($scope.user));
          }
          userService.info(localStorage.getItem('chaoyang.token')).then(function(data) {
            if (data.errcode === undefined) {
              $scope.register.name = '';
              $scope.register.card_name = '';
              $scope.register.jing_card = '';
              $scope.register.phone = '';
              $scope.register.pw = '';
              $scope.register.pw_confirm = '';
              $scope.register.verification_code = '';
              $scope.gain_code = '发送验证码';
              $scope.register.checked = false;
              $location.path('/tab/hotline');
            } else if (data.errcode == -1) {
              $cordovaDialogs.alert(data.errmsg, '温馨提示', '好的');
            } else if (data.errcode == -2) {
              $cordovaDialogs.alert(data.errmsg, '温馨提示', '好的');
            }
          }, function(error) {
            $ionicLoading.show({
              template: '网络错误',
              duration: 1000
            });
          });
        } else if (data.errcode == 1) {
          localStorage.removeItem('chaoyang.token');
          localStorage.removeItem('chaoyang.user');
          $cordovaDialogs.alert('您填写的验证码已过期，猛戳发送验证码按钮获取新鲜的验证码吧', '温馨提示：', '好的');
        } else if (data.errcode == 2) {
          localStorage.removeItem('chaoyang.token');
          localStorage.removeItem('chaoyang.user');
          $cordovaDialogs.alert('您填写的验证码是不正确的，请重新填写', '温馨提示：', '好的');
        } else if (data.errcode == -1) {
          localStorage.removeItem('chaoyang.token');
          localStorage.removeItem('chaoyang.user');
          $cordovaDialogs.alert('自己编写的验证码是无法成功绑定的哦', '温馨提示', '好的');
        } else if (data.errcode == -2) {
          localStorage.removeItem('chaoyang.temptoken');
          localStorage.removeItem('chaoyang.token');
          localStorage.removeItem('chaoyang.user');
          $cordovaDialogs.alert(data.errmsg, '温馨提示', '好的');
        }
      }, function() {
        $ionicLoading.show({
          template: '网络错误',
          duration: 1000
        });
      });
    };
  });
