angular.module('zscy.service_station', ['ionic']);
angular.module('zscy.service_station')
  .config(function($stateProvider, $urlRouterProvider,templateUrlPath) {
    $stateProvider
      .state('tab.station', {
        url: '/station',
        views: {
          'tab-home': {
            templateUrl:templateUrlPath + 'templates/service_station/service_station.html',
            controller: 'StationCtrl'
          }
        }
      })
      .state('tab.detail', {
        url: '/:detail_id/service-station/detail',
        views: {
          'tab-home': {
            templateUrl:templateUrlPath + 'templates/service_station/detail.html',
            controller: 'StationDetailCtrl'
          }
        }
      });
  })
  .controller('StationCtrl', ['$scope', '$cordovaDialogs', '$ionicLoading', 'geoLocationService', 'stationService', '$ionicModal', function($scope, $cordovaDialogs, $ionicLoading, geoLocationService, stationService, $ionicModal) {
    $scope.latitude = geoLocationService.getLatitude();
    $scope.longitude = geoLocationService.getLongitude();
    $scope.modal = {};
    $scope.page2 = 1;
    $scope.size2 = 10;
    $scope.search2 = {};
    $scope.search2.name = '';
    $scope.org_id = 1539;
    $scope.stations = stationService.getstationService().concat();
    var has_more = $scope.stations.length >= $scope.size;
    $scope.hasMore = function() {
      return has_more;
    };
    $scope.stationfresh = function() {
      stationService.refresh($scope.longitude, $scope.latitude, 1, $scope.size2, $scope.search2.name, $scope.org_id)
        .then(function(data) {
          if (data.errcode !== undefined && data.errcode !== 0) {
            $cordovaDialogs.alert(data.errmsg, '温馨提示', '好的');
          } else {
            if (data.length < $scope.size2) {
              has_more = false;
            } else {
              has_more = true;
            }
            $scope.page2 = 2;
          }
          $scope.stations = stationService.getstationService().concat();
        }, function(error) {
          $ionicLoading.show({
            template: '网络错误',
            duration: 1000
          });
        })
        .finally(function() {
          $scope.$broadcast('scroll.refreshComplete');
        });
    };
    $scope.stationfresh();
    $scope.dostationfresh = function() {
      $scope.search2.name = '';
      $scope.stationfresh();
    };
    $scope.stationmore = function() {
      stationService.more($scope.longitude, $scope.latitude, $scope.page2, $scope.size2, $scope.search2.name, $scope.org_id)
        .then(function(data) {
          if (data.errcode !== undefined && data.errcode !== 0) {
            has_more = false;
            $cordovaDialogs.alert(data.errmsg, '温馨提示', '好的');
          } else {
            $scope.page2++;
            if (data.length < $scope.size2) {
              has_more = false;
            }
          }
          $scope.stations = stationService.getstationService().concat();
          $scope.$broadcast('scroll.infiniteScrollComplete');
        }, function(error) {
          $ionicLoading.show({
            template: '网络错误',
            duration: 1000
          });
        });
    };
    $scope.openModal = function(modal_name) {
      $ionicModal.fromTemplateUrl('templates/modals/' + modal_name + '.html', {
        scope: $scope,
        animation: 'slide-in-up'
      }).then(function(modal) {
        $scope.modal[modal_name]=modal;
        $scope.modal[modal_name].show();
      });
    };

    $scope.closeModal = function(modal_name) {
      $scope.modal[modal_name].remove();
    };

    $scope.removeModal = function(modal_name) {
      $scope.modal[modal_name].remove();
    };

    $scope.submitModal = function(modal_name) {
      $scope.stationfresh();
      $scope.modal[modal_name].remove();
    };
  }])
  .controller('StationDetailCtrl', ['$scope', '$stateParams', 'stationinfoService', '$ionicModal', '$cordovaLaunchNavigator', 'geoLocationService', function($scope, $stateParams, stationinfoService, $ionicModal, $cordovaLaunchNavigator ,geoLocationService) {
    $scope.modal = {};
    $scope.stations = {};
    $scope.doRefresh = function() {
      stationinfoService.getStationInfo($stateParams.detail_id).then(function(data) {
          if (data.errcode === undefined) {
            $scope.stations = data;
          } else {
            $cordovaDialogs.alert(data.errmsg, '温馨提示', '好的').then(function() {
              $ionicHistory.goBack();
            });
          }
        }, function(error) {
          $ionicLoading.show({
            template: '网络错误',
            duration: 1000
          });
        })
        .finally(function() {
          $scope.$broadcast('scroll.refreshComplete');
        });
    };
    $scope.doRefresh();

    $scope.launchNavigator = function() {
      //var destination = [$scope.stations.latitude, $scope.stations.longitude];
      $cordovaLaunchNavigator.navigate($scope.stations.address).then(function() {
        console.log("Navigator launched");
      }, function(err) {
        console.error(err);
      });
    };

    $scope.openModal = function(modal_name) {
      $ionicModal.fromTemplateUrl('templates/modals/' + modal_name + '.html', {
        scope: $scope,
        animation: 'slide-in-up'
      }).then(function(modal) {
        $scope.modal[modal_name] = modal;
        $scope.modal[modal_name].show();
      });
    };
    $scope.closeModal = function(modal_name) {
      $scope.modal[modal_name].remove();
    };

    $scope.removeModal = function(modal_name) {
      $scope.modal[modal_name].remove();
    };

    $scope.submitModal = function(modal_name) {
      $scope.modal[modal_name].remove();
      //TODO
    };
    $scope.showImg = function(index) {
      $scope.stations.showpics = [$scope.stations.pics[index]];
      $scope.openModal('show_img');
    };
  }]);
