angular.module('zscy.filters', [])

.filter('codeListTrans', ['$http', function($http) {
  return function(code, list_name) {
    var list = JSON.parse(localStorage.getItem('chaoyang.' + list_name));
    for (var i = 0; i < list.length; i++) {
      if (code == list[i].code) {
        return list[i].name;
      }
    }
  };
}])

.filter('isProcess', function() {
  return function(number) {
    switch (number) {
      case 0:
        return '处理中';
      case 1:
        return '处理成功';
      case 2:
        return '处理失败';
    }
  };
})

.filter('verifyStatus', function() {
  return function(number) {
    switch (number) {
      case 0:
        return '未审核';
      case 1:
        return '审核通过';
      case 2:
        return '审核未通过';
    }
  };
})

// .filter('imgCache', function() {
//   return function(url) {
//     if (url == '') {
//       return '';
//     }
//     var data = localStorage.getItem('bj12351.imgcache.' + url);
//     if (data == null) {
//       console.log(url);
//       var canvas = document.createElement('canvas'),
//         ctx = canvas.getContext('2d'),
//         img = new Image;
//       img.crossOrigin = 'Anonymous';
//       img.onload = function() {
//         canvas.height = img.height;
//         canvas.width = img.width;
//         ctx.drawImage(img, 0, 0);
//         var dataURL = canvas.toDataURL('image/png');
//         localStorage.setItem('bj12351.imgcache.' + url, dataURL);
//         canvas = null;
//         img = null;
//         return dataURL;
//       }
//       img.src = url;
//     } else {
//       return data;
//     }
//   }
// })

.filter('timeCount', function() {

    return function(data_count) {

      if (data_count === "") {
        return "";
      }
      var now = new Date();
      if (data_count !== undefined) {
        if (!data_count) {
          return '';
        }

        var year = data_count.replace(/-|\s|:|\./g, ',').split(',')[0];
        var month = data_count.replace(/-|\s|:|\./g, ',').split(',')[1] - 1 || 0;
        var day = data_count.replace(/-|\s|:|\./g, ',').split(',')[2] || 1;
        var hour = data_count.replace(/-|\s|:|\./g, ',').split(',')[3] || 0;
        var minute = data_count.replace(/-|\s|:|\./g, ',').split(',')[4] || 0;
        var seconde = data_count.replace(/-|\s|:|\./g, ',').split(',')[5] || 0;
        var begin_time = new Date(year, month, day, hour, minute, seconde);
        var begin_Hours = begin_time.getHours();
        var begin_Minutes = begin_time.getMinutes();
        var begin_year = begin_time.getFullYear();
        var begin_month = begin_time.getMonth() + 1;
        var begin_date = begin_time.getDate();
        var sign = now.getTime() - begin_time.getTime();
        if (begin_Hours < 10) {
          begin_Hours = "0" + begin_Hours;
        }
        if (begin_Minutes < 10) {
          begin_Minutes = "0" + begin_Minutes;
        }
        if (begin_month < 10) {
          begin_month = "0" + begin_month;
        }
        if (begin_date < 10) {
          begin_date = "0" + begin_date;
        }
        var common = begin_year + "-" + begin_month + "-" + begin_date + " " + begin_Hours + ":" + begin_Minutes;
        var common_now = begin_month + "-" + begin_date + " " + begin_Hours + ":" + begin_Minutes;
        if (-999 < sign && sign < 999) {
          return "刚刚";
        } else if (sign < 0) {
          switch (begin_year - now.getFullYear()) {
            case 0:
              switch (begin_month - 1 - now.getMonth()) {
                case 0:
                  switch (begin_date - now.getDate()) {
                    case 0:
                      return begin_Hours + ":" + begin_Minutes;
                    case 1:
                      if (begin_time.getDay() === 0) {
                        return "周日 " + begin_Hours + ":" + begin_Minutes;
                      }
                      return '明天 ' + begin_Hours + ":" + begin_Minutes;
                    case 2:
                    case 3:
                    case 4:
                    case 5:
                    case 6:
                      if (begin_time.getDay() === 0) {
                        return "周日 " + begin_Hours + ":" + begin_Minutes;
                      }
                      if (begin_time.getDay() < now.getDay()) {
                        return common_now;
                      }
                      switch (begin_time.getDay()) {
                        case 0:
                          return "周日 " + begin_Hours + ":" + begin_Minutes;
                        case 2:
                          return "周二 " + begin_Hours + ":" + begin_Minutes;
                        case 3:
                          return "周三 " + begin_Hours + ":" + begin_Minutes;
                        case 4:
                          return "周四 " + begin_Hours + ":" + begin_Minutes;
                        case 5:
                          return "周五 " + begin_Hours + ":" + begin_Minutes;
                        case 6:
                          return "周六 " + begin_Hours + ":" + begin_Minutes;
                        default:
                          return common_now;
                      }break;
                    default:
                      return common_now;
                  }break;
                default:
                  return common_now;
              }break;
            default:
              return common;
          }
        } else if (sign < 60000) {
          return parseInt(sign / 1000) + "秒前";
        } else if (sign < 3600000) {
          return parseInt(sign / 60000) + "分钟前";
        } else {
          switch (now.getFullYear() - begin_year) {
            case 0:
              switch (now.getMonth() - begin_month + 1) {
                case 0:
                  switch (now.getDate() - begin_date) {
                    case 0:
                      return begin_Hours + ":" + begin_Minutes;
                    case 1:
                      if (begin_time.getDay() === 0) {
                        return common_now;
                      }
                      return '昨天 ' + begin_Hours + ":" + begin_Minutes;
                    case 2:
                    case 3:
                    case 4:
                    case 5:
                    case 6:
                      if (begin_time.getDay() > now.getDay()) {
                        return common_now;
                      }
                      switch (begin_time.getDay()) {
                        case 1:
                          return "周一 " + begin_Hours + ":" + begin_Minutes;
                        case 2:
                          return "周二 " + begin_Hours + ":" + begin_Minutes;
                        case 3:
                          return "周三 " + begin_Hours + ":" + begin_Minutes;
                        case 4:
                          return "周四 " + begin_Hours + ":" + begin_Minutes;
                        case 5:
                          return "周五 " + begin_Hours + ":" + begin_Minutes;
                        case 6:
                          return "周六 " + begin_Hours + ":" + begin_Minutes;
                        default:
                          return common_now;
                      }break;
                    default:
                      return common_now;
                  }break;
                default:
                  return common_now;
              }break;
            default:
              return common;
          }
        }
      }
    };
  })
  .filter('protectInfo', function() {
    return function(number) {
      if (number !== undefined) {
        switch (number.length) {
          case 11:
            return '*****' + number.slice(7);
          case 16:
            return '*****' + number.slice(12);
          default:
            return number.slice(0, 6) + '********' + number.slice(14);
        }
      }
    };
  })

.filter('anonymousFilter', function() {
  return function(name, is_anonymity) {
    if (is_anonymity) {
      name = '**' + name.substr(-1, 1);
    }
    return name;
  };
});
